lomiri-gallery-app (3.1.1-1+droidian0+git20250519211124.2da13f1.droidian) trixie; urgency=medium

  [ Cédric Bellegarde ]
  * debian: Import debian salsa package
  * [ci] Enable CircleCI
  * Implement image rotation using QtSensors
  * droidian: Rounded icon
  * droidian: Remove StartupNotify
  * droidian: Remove share button
  * droidian: Workaround issue between Phosh and Qt
  * droidian: Do not override video URI
  * droidian: Remove transparent background

  [ Ida Brenna ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Priit Jõerüüt ]
  * Translated using Weblate (Estonian)

  [ Mike Gabriel ]
  * Merge branch 'focal-changes' into 'main'
  * src/: Switch from deprecated/unsupported-now qSort() to std::sort().
  * copyright headers: Use uniform spelling for copyright holder 'Canonical Ltd.'.
  * README.md: Correctly attribute artwork files' copyright in upstream portion of the code tree (and not only in d/copyright).
  * po/gallery-app.pot: Drop file. Left over from name change.
  * Deleted translation using Weblate (Chinese (Traditional, Hong Kong))
  * Revert "Added translation using Weblate (Chinese (Traditional, Hong Kong))"
  * Revert "Deleted translation using Weblate (Chinese (Traditional, Hong Kong))"
  * Merge branch 'personal/gberh/cleanup' into 'main'
  * Merge branch 'personal/gberh/gettext-domain' into 'main'
  * Merge branch 'personal/lduboeuf/open_camera_fix' into 'main'
  * Merge branch 'personal/gberh/click-migrate' into 'main'
  * Merge branch 'fix/hanging-on-exit' into 'main'
  * Release 3.0.2
  * Merge branch 'exiv2-0.28' into 'main'
  * Merge branch 'fix/qt5_use_modules' into 'main'
  * Merge branch 'fix/gnuInstallDirs' into 'main'
  * Merge branch 'add/werrorOption' into 'main'
  * Merge branch 'add/BUILD_TESTING' into 'main'
  * Merge branch 'fix/nonclickSplash' into 'main'
  * Merge branch 'fix/album-title-edit' into 'main'
  * click/CMakeLists.txt: Install gallery-content.json as DATADIR/content-hub/peers/lomiri-gallery-app when built in non-click mode.
  * click/CMakeLists.txt: Use new DATADIR path for (lomiri-)content-hub peer configurations.
  * .gitlab-ci.yml: Use UBports GitLab runner.
  * Release 3.1.0
  * .gitlab-ci.yml: use shared runner if run outside our namespace.
  * src/config.h.in: Enforce 'gallery.ubports' as organization name, APP_PACKAGE_NAME CMake variable has been dropped a while ago.
  * Merge branch 'fix/bindtextdomain' into 'main'
  * Merge branch 'main_-_playicon' into 'main'
  * Merge branch 'main_-_pickermodetab' into 'main'
  * Merge branch 'fix/configLocation' into 'main'
  * Release 3.1.1

  [ OPNA2608 ]
  * Stop using qt5_use_modules
  * Fix GNUInstallDirs variable concatenations in CMake
  * CMakeLists.txt: Add ENABLE_WERROR option
  * debian/rules: Set ENABLE_WERROR to ON for UBports builds
  * CMakeLists.txt: Make tests optional
  * Move Qt5Test finding to top-level BUILD_TESTING conditional
  * desktop: Fix icons
  * Call i18n.bindtextdomain with buildtime-determined locale path
  * Migrate i18n init to C++
  * Always set organizationName, use {application,organization}Name for settings location

  [ Kugi Eusebio ]
  * Set Photos tab as default when in picker mode

  [ kugiigi ]
  * Redesigned play icon for better visibility

  [ Milo Ivir ]
  * Translated using Weblate (Croatian)
  * Translated using Weblate (Croatian)
  * Translated using Weblate (Croatian)
  * Translated using Weblate (Croatian)

  [ தமிழ்நேரம் ]
  * Translated using Weblate (Tamil)

  [ Hosted Weblate ]
  * Update translation files
  * Update translation files
  * Update translation files
  * Update translation files
  * Update translation files
  * Update translation files
  * Update translation files

  [ Ratchanan Srirattanamet ]
  * Merge branch 'personal/sunweaver/artwork-copyright-attributions' into 'main'
  * Merge branch 'personal/sunweaver/non-click-content-hub-fix' into 'main'
  * Merge branch 'personal/sunweaver/shared-runner-for-contributors' into 'main'
  * Merge branch 'personal/sunweaver/app-package-name-gone' into 'main'

  [ ikozyris ]
  * Translated using Weblate (Greek)

  [ Matthias Dahlmanns ]
  * fix: don't discard text changes in TextEditOnClick component
  * replace custom TextEditOnClick component by simple TextEdit
  * also check if album exists when committing new subtitle

  [ umesaburo sagawa ]
  * Translated using Weblate (Japanese)

  [ Jiri Grönroos ]
  * Translated using Weblate (Finnish)
  * Translated using Weblate (Finnish)
  * Translated using Weblate (Finnish)
  * Translated using Weblate (Finnish)

  [ Pino Toscano ]
  * Support Exiv2 0.28+

  [ Ali Beyaz ]
  * Translated using Weblate (Turkish)

  [ 复予 ]
  * Translated using Weblate (Chinese (Simplified))

  [ saveurlinux ]
  * Translated using Weblate (French)

  [ Giannis Vassilopoulos ]
  * Translated using Weblate (Greek)

  [ ancalina ]
  * Translated using Weblate (Korean)

  [ Weblate ]
  * Merge remote-tracking branch 'origin/master'
  * Merge remote-tracking branch 'origin/master'
  * Merge remote-tracking branch 'origin/master'
  * Merge remote-tracking branch 'origin/master'
  * Merge remote-tracking branch 'origin/master'
  * Merge remote-tracking branch 'origin/master'
  * Merge remote-tracking branch 'origin/master'
  * Merge remote-tracking branch 'origin/master'
  * Merge remote-tracking branch 'origin/master'
  * Merge remote-tracking branch 'origin/master'
  * Merge remote-tracking branch 'origin/master'
  * Merge remote-tracking branch 'origin/master'
  * Merge remote-tracking branch 'origin/master'
  * Merge remote-tracking branch 'origin/master'
  * Repair commit
  * Merge branch 'master' of https://github.com/ubports/gallery-app
  * Merge branch 'origin/master' into Weblate
  * Merge branch 'origin/master' into Weblate
  * Merge branch 'origin/master' into Weblate
  * Merge branch 'origin/master' into Weblate
  * Merge branch 'origin/master' into Weblate
  * Merge branch 'origin/master' into Weblate
  * Merge branch 'origin/master' into Weblate
  * Merge branch 'origin/master' into Weblate
  * Merge branch 'origin/master' into Weblate
  * Merge branch 'origin/master' into Weblate
  * Merge branch 'origin/master' into Weblate
  * Merge branch 'origin/master' into Weblate
  * Merge branch 'origin/master' into Weblate
  * Merge branch 'origin/master' into Weblate
  * Merge branch 'origin/master' into Weblate
  * Merge branch 'origin/master' into Weblate
  * Repair Commit
  * Merge branch 'origin/master' into Weblate.
  * Merge branch 'origin/master' into Weblate.
  * Merge branch 'origin/master' into Weblate.
  * Merge branch 'origin/master' into Weblate.
  * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic) - 95.6% (89 of 93 strings)
  * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic) - 96.7% (90 of 93 strings)
  * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic) - 96.7% (90 of 93 strings)
  * Translated by M.Sugahara <equaaqua@hotmail.com> using Weblate (Japanese) - 70.9% (66 of 93 strings)
  * Translated by Zmicer <nashtlumach@gmail.com> using Weblate (Belarusian) - 100.0% (93 of 93 strings)
  * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic) - 95.6% (89 of 93 strings)
  * Translated by Milan Korecký <milan.korecky@gmail.com> using Weblate (Czech) - 100.0% (93 of 93 strings)
  * Translated by Allan Nordhøy <epost@anotheragency.no> using Weblate (Norwegian Bokmål) - 100.0% (93 of 93 strings)
  * Translated by GK <miscgk@pm.me> using Weblate (Tamil) - 97.8% (91 of 93 strings)
  * Translated by GK <miscgk@pm.me> using Weblate (Tamil) - 100.0% (93 of 93 strings)
  * Translated by ierihon <idekovets@mail.ru> using Weblate (Russian) - 100.0% (93 of 93 strings)
  * Translated by imrufbd <imrufbd@gmail.com> using Weblate (Bengali (Bangladesh)) - 1.0% (1 of 93 strings)
  * Translated by imrufbd <imrufbd@gmail.com> using Weblate (Bengali (Bangladesh)) - 59.1% (55 of 93 strings)
  * Translated by Heimen Stoffels <vistausss@outlook.com> using Weblate (Dutch) - 100.0% (93 of 93 strings)
  * Translated by louies0623 <louies0623@gmail.com> using Weblate (Chinese (Traditional)) - 100.0% (93 of 93 strings)
  * Translated by Heimen Stoffels <vistausss@outlook.com> using Weblate (Dutch) - 100.0% (93 of 93 strings)
  * Merge branch 'origin/master' into Weblate.
  * Merge branch 'origin/master' into Weblate.
  * Translated by c4pp4 <c4pp4@seznam.cz> using Weblate (Czech) - 100.0% (93 of 93 strings)
  * Translated by vokaliz <vokaliz@protonmail.com> using Weblate (Russian) - 100.0% (93 of 93 strings)
  * Translated by Enceka <enceka@yeah.net> using Weblate (Chinese (Simplified)) - 100.0% (93 of 93 strings)
  * Translated by Ettore Atalan <atalanttore@googlemail.com> using Weblate (German) - 100.0% (93 of 93 strings)
  * Translated by Davidrebolomaga <davidre345@hotmail.com> using Weblate (Galician) - 100.0% (93 of 93 strings)
  * Translated by Herman <GermanAizek@yandex.ru> using Weblate (Russian) - 100.0% (93 of 93 strings)
  * Translated by M.Sugahara <equaaqua@hotmail.com> using Weblate (Japanese) - 72.0% (67 of 93 strings)
  * Translated by Milan Korecký <milan.korecky@gmail.com> using Weblate (Czech) - 100.0% (93 of 93 strings)
  * Translated by HEROBRINE7GAMER <tapermeerkat77@gmail.com> using Weblate (Arabic) - 100.0% (93 of 93 strings)
  * Translated by Adolfo Jayme Barrientos <fitojb@ubuntu.com> using Weblate (Spanish) - 100.0% (93 of 93 strings)
  * Translated by Hugo Carvalho <hugokarvalho@hotmail.com> using Weblate (Portuguese) - 100.0% (93 of 93 strings)
  * Translated by Lundrin <berenyi.vilmos@tutanota.com> using Weblate (Hungarian) - 100.0% (93 of 93 strings)
  * Translated by Герман Семенов <GermanAizek@yandex.ru> using Weblate (Russian) - 100.0% (93 of 93 strings)
  * Translated by Ivo Xavier <ivofernandes12@gmail.com> using Weblate (Portuguese) - 100.0% (93 of 93 strings)
  * Translated by anonymous <noreply@weblate.org> using Weblate (Japanese) - 80.6% (75 of 93 strings)
  * Translated by ប៉ុកណូ រ៉ូយ៉ាល់ <poknoroyal@outlook.com> using Weblate (Central Khmer) - 97.8% (91 of 93 strings)
  * Translated by HEROBRINE7GAMER <tapermeerkat77@gmail.com> using Weblate (Arabic) - 100.0% (93 of 93 strings)
  * Translated by ប៉ុកណូ រ៉ូយ៉ាល់ <poknoroyal@outlook.com> using Weblate (Central Khmer) - 100.0% (93 of 93 strings)
  * Translated by creepen123 <eg.ermakov2016@gmail.com> using Weblate (Russian) - 100.0% (93 of 93 strings)
  * Translated by Maciej Sopyło <maciek134@gmail.com> using Weblate (Polish) - 100.0% (93 of 93 strings)
  * Translated by Jiri Grönroos <jiri.gronroos@iki.fi> using Weblate (Finnish) - 100.0% (93 of 93 strings)
  * Translated by Heimen Stoffels <vistausss@fastmail.com> using Weblate (Dutch) - 100.0% (93 of 93 strings)
  * Added translation using Weblate (Lao)
  * Added translation using Weblate (Turkmen)
  * Added translation using Weblate (Thai)
  * Added translation using Weblate (Esperanto)
  * Added translation using Weblate (Bulgarian)
  * Added translation using Weblate (Pashto)
  * Added translation using Weblate (Armenian)
  * Added translation using Weblate (Croatian)
  * Added translation using Weblate (Hindi)
  * Added translation using Weblate (Friulian)
  * Added translation using Weblate (Maori)
  * Added translation using Weblate (Macedonian)
  * Added translation using Weblate (Georgian)
  * Added translation using Weblate (English (Canada))
  * Added translation using Weblate (French (Canada))
  * Added translation using Weblate (Dhivehi)
  * Added translation using Weblate (Kurdish (Northern))
  * Added translation using Weblate (Kurdish (Southern))
  * Added translation using Weblate (Chinese (Min Nan))
  * Added translation using Weblate (Nyanja)
  * Added translation using Weblate (Bemba)
  * Added translation using Weblate (Lingala)
  * Added translation using Weblate (Oromo)
  * Added translation using Weblate (Tajik)
  * Added translation using Weblate (Lojban)
  * Added translation using Weblate (French (Switzerland))
  * Added translation using Weblate (Luxembourgish)
  * Added translation using Weblate (Kabyle)
  * Added translation using Weblate (Malagasy)
  * Added translation using Weblate (Pampanga)
  * Added translation using Weblate (Sindhi)
  * Added translation using Weblate (Franco-Provençal)
  * Added translation using Weblate (Scots)
  * Added translation using Weblate (Ido)
  * Added translation using Weblate (Tetum)
  * Added translation using Weblate (Urdu)
  * Added translation using Weblate (Chinese (Traditional, Hong Kong))
  * Added translation using Weblate (Sanskrit)
  * Added translation using Weblate (Irish)
  * Added translation using Weblate (Estonian)
  * Added translation using Weblate (Bengali)
  * Added translation using Weblate (Occitan)
  * Added translation using Weblate (Odia)
  * Added translation using Weblate (Vietnamese)
  * Added translation using Weblate (Afrikaans)
  * Added translation using Weblate (Swahili)
  * Added translation using Weblate (Interlingua)
  * Added translation using Weblate (Norwegian Nynorsk)
  * Added translation using Weblate (Nepali)
  * Added translation using Weblate (Faroese)
  * Added translation using Weblate (Kazakh)
  * Added translation using Weblate (Kannada)
  * Added translation using Weblate (Sotho (Southern))
  * Added translation using Weblate (Kurdish)
  * Added translation using Weblate (Kyrgyz)
  * Added translation using Weblate (Uzbek)
  * Added translation using Weblate (Wolof)
  * Added translation using Weblate (Chechen)
  * Added translation using Weblate (Corsican)
  * Added translation using Weblate (Manx)
  * Added translation using Weblate (Xhosa)
  * Added translation using Weblate (Italian (it_CARES))
  * Added translation using Weblate (Tatar)
  * Added translation using Weblate (Tigrinya)
  * Added translation using Weblate (Filipino)
  * Added translation using Weblate (Tibetan)
  * Added translation using Weblate (Aragonese)
  * Added translation using Weblate (Kashubian)
  * Added translation using Weblate (Frisian)
  * Added translation using Weblate (Cornish)
  * Added translation using Weblate (Haitian)
  * Added translation using Weblate (Assamese)
  * Added translation using Weblate (Greenlandic)
  * Added translation using Weblate (Sami (Northern))
  * Added translation using Weblate (Ossetian)
  * Added translation using Weblate (Venetian)
  * Added translation using Weblate (Latin)
  * Added translation using Weblate (Silesian)
  * Added translation using Weblate (Chuvash)
  * Added translation using Weblate (Crimean Tatar)
  * Added translation using Weblate (Meadow Mari)
  * Added translation using Weblate (German (Walser))
  * Added translation using Weblate (Tamil (Sri Lanka))
  * Added translation using Weblate (Chinese (Simplified) (zh_LATN@pinyin))

  [ gallegonovato ]
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)

  [ phlostically ]
  * Translated using Weblate (Esperanto)
  * Translated using Weblate (Esperanto)
  * Translated using Weblate (Esperanto)
  * Translated using Weblate (Esperanto)

  [ Serhii Horichenko ]
  * Translated using Weblate (Russian)

  [ Maciej Sopylo ]
  * Fix MediaObjectFactory worker not quitting

  [ Abdullah AL Shohag ]
  * Translated using Weblate (Bengali (Bangladesh))

  [ Rudra Harsh V.Singh ]
  * Translated using Weblate (Hindi)
  * Translated using Weblate (English (Canada))
  * Translated using Weblate (Sanskrit)

  [ NPL ]
  * Translated using Weblate (Japanese)

  [ Temuri Doghonadze ]
  * Translated using Weblate (Georgian)
  * Translated using Weblate (Georgian)
  * Translated using Weblate (Georgian)
  * Translated using Weblate (Georgian)

  [ Guido Berhoerster ]
  * Port to Lomiri on focal
  * Update Debian packaging
  * Update and move Jenkinsfile to debian/
  * Remove obsolete snap packaging
  * Rename application
  * Change Camera App URL to its new name
  * Update translations
  * Switch to latest Clickable
  * Update GitLab CI configuration
  * CI: Do not fail builds on warnings and errors
  * Update path for lomiri-url-dispatcher
  * Rename application
  * Change Camera App URL to its new name
  * Update to the latest clickable version
  * Modernize i18n
  * Add .pot file
  * Merge branch 'personal/sunweaver/qSort-to-sort-switch' into 'main'
  * Merge branch 'personal/sunweaver/uniform-spelling-of-CanonicalLtd' into 'main'
  * Merge branch 'personal/sunweaver/drop-old-pot-file' into 'main'
  * gitlab-ci.yml: Remove fixed clickable version
  * Update CMake requirements
  * Remove click-build.sh
  * Remove unused and obsolete BZR_SOURCE and BZR_REVNO
  * Add instructions for translators
  * Release 3.0.0
  * Fix gettext domain set in QML
  * Fix icon name in non-click mode
  * Release 3.0.1
  * Add migration wrapper script
  * Add migrations to manifest
  * Use session-migration for migration in Debian
  * Merge branch 'add_review_error' into 'main'

  [ Danfro ]
  * clear two unused imports
  * add scrollview similar to PhotosOverview page
  * redesign splash screen to use icon and colors intead of header and white
  * add kill parameter to clickable.json
  * update all qt imports to 5.9 and raise framwork to 16.04.4
  * add ignore review errors to clickable.yaml to allow local building

  [ Jozef Mlich ]
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)

  [ Sylke Vicious ]
  * Translated using Weblate (Italian)

  [ Luna Jernberg ]
  * Translated using Weblate (Swedish)

  [ Nathan Giovannini ]
  * Translated using Weblate (Italian)

  [ Lionel Duboeuf ]
  * Fix camera not opening on events and photos view.

  [ gnu-ewm ]
  * Translated using Weblate (Polish)
  * Translated using Weblate (Polish)

  [ Sergii Horichenko ]
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)

  [ Asahi 95 ]
  * Translated using Weblate (Japanese)

  [ Daniel Frost ]
  * Translated using Weblate (English (United Kingdom))
  * add ScrollView to photo overview page
  * fix deprecated keyword "template" and replace with "builder"
  * add a select all button to photo and event overviews
  * Translated using Weblate (German)
  * Translated using Weblate (German)

  [ Dan ]
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Ukrainian)

  [ Ivo Xavier ]
  * Translated using Weblate (Portuguese)
  * Translated using Weblate (Portuguese)
  * Translated using Weblate (Portuguese)
  * Translated using Weblate (Portuguese)
  * Translated using Weblate (Portuguese)
  * Translated using Weblate (Portuguese)
  * Translated using Weblate (Portuguese)
  * Translated using Weblate (Portuguese)
  * Translated using Weblate (Portuguese)

  [ Muhammad ]
  * Translated using Weblate (Urdu)
  * Translated using Weblate (Urdu)
  * Translated using Weblate (Urdu)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)
  * Translated using Weblate (Norwegian Bokmål)
  * Translated using Weblate (Norwegian Bokmål)
  * Translated using Weblate (Norwegian Bokmål)

  [ Anonymous ]
  * Translated using Weblate (Asturian)
  * Translated using Weblate (Valencian)
  * Translated using Weblate (Kurdish (Central))
  * Translated using Weblate (English (United States))
  * Translated using Weblate (Icelandic)
  * Translated using Weblate (Malayalam)
  * Translated using Weblate (Marathi)
  * Translated using Weblate (Burmese)
  * Translated using Weblate (Shan)
  * Translated using Weblate (Sinhala)
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Lao)
  * Translated using Weblate (Turkmen)
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Pashto)
  * Translated using Weblate (Friulian)
  * Translated using Weblate (Maori)
  * Translated using Weblate (Macedonian)
  * Translated using Weblate (Dhivehi)
  * Translated using Weblate (Kurdish (Northern))
  * Translated using Weblate (Kurdish (Southern))
  * Translated using Weblate (Chinese (Min Nan))
  * Translated using Weblate (Nyanja)
  * Translated using Weblate (Bemba)
  * Translated using Weblate (Lingala)
  * Translated using Weblate (Oromo)
  * Translated using Weblate (Tajik)
  * Translated using Weblate (Lojban)
  * Translated using Weblate (French (Switzerland))
  * Translated using Weblate (Luxembourgish)
  * Translated using Weblate (Kabyle)
  * Translated using Weblate (Malagasy)
  * Translated using Weblate (Pampanga)
  * Translated using Weblate (Sindhi)
  * Translated using Weblate (Franco-Provençal)
  * Translated using Weblate (Scots)
  * Translated using Weblate (Ido)
  * Translated using Weblate (Tetum)
  * Translated using Weblate (Urdu)

  [ Emanuele Sorce ]
  * Merge branch 'master' into master
  * Added panel that shows info about the media file (#74)
  * Merge pull request #90 from StefWe/potBuild
  * Merge pull request #94 from StefWe/issue42
  * Merge pull request #76 from ubports/issue42
  * Merge pull request #97 from ubports-weblate/weblate-ubports-gallery-app
  * Merge pull request #96 from StefWe/albumView
  * Merge branch 'addingPicture' into 'master'
  * Merge branch 'versionBump' into 'master'
  * Merge branch 'albumPath' into 'master'
  * Merge branch 'issue92' into 'master'
  * Merge branch 'modifyClickable' into 'master'
  * Bumped version to 2.10.2
  * Merge branch 'gitlab-ci-changelog' into 'master'
  * Merge branch 'systemThemeSupport' into 'master'
  * v2.10.4
  * Merge branch 'update-gitlab-ci' into 'master'
  * Merge branch 'arm64' into 'master'
  * Merge branch 'ColorTweaks' into 'master'
  * Merge branch 'arm64-depl' into 'master'
  * Merge branch 'scroll' into 'master'
  * v2.10.5
  * Merge branch 'splashscreen' into 'master'
  * Merge branch 'scroll2' into 'master'
  * Merge branch 'cleanup' into 'master'
  * Merge branch 'fixtemplate' into 'master'
  * Merge branch 'kill' into 'master'
  * Merge branch 'config-updates' into 'master'
  * Merge branch 'NewSplash' into 'master'
  * Merge branch 'fix-video-play' into 'master'
  * Merge branch 'fix_ci_multiple_changelog' into 'master'
  * Merge branch 'selectall' into 'master'
  * Merge branch 'updateqt' into 'master'
  * v2.10.9
  * Merge branch 'port-to-lomiri-focal' into 'main'

  [ Florian Leeber ]
  * Merge pull request #3 from TronFourtyTwo/master
  * Merge pull request #7 from TronFourtyTwo/master
  * Merge pull request #9 from TronFourtyTwo/master
  * Merge pull request #11 from TronFourtyTwo/master
  * Merge pull request #12 from aitzol76/master
  * Merge pull request #13 from TronFourtyTwo/master
  * Merge pull request #14 from ubports-weblate/weblate-ubports-gallery-app
  * Merge pull request #15 from ubports-weblate/weblate-ubports-gallery-app
  * Merge pull request #16 from ubports-weblate/weblate-ubports-gallery-app
  * Merge pull request #17 from ubports-weblate/weblate-ubports-gallery-app
  * Merge pull request #22 from ubports-weblate/weblate-ubports-gallery-app
  * Translated using Weblate (German)
  * Merge pull request #23 from ubports-weblate/weblate-ubports-gallery-app
  * Merge pull request #25 from ubports-weblate/weblate-ubports-gallery-app
  * Merge pull request #30 from ubports-weblate/weblate-ubports-gallery-app
  * Merge pull request #31 from ubports-weblate/weblate-ubports-gallery-app
  * Merge pull request #32 from ubports-weblate/weblate-ubports-gallery-app
  * Merge pull request #34 from ubports-weblate/weblate-ubports-gallery-app
  * Translated using Weblate (English (United Kingdom))
  * Merge pull request #36 from ubports-weblate/weblate-ubports-gallery-app
  * Translated using Weblate (German)
  * Merge pull request #37 from ubports-weblate/weblate-ubports-gallery-app
  * Translated using Weblate (German)
  * Merge pull request #39 from ubports-weblate/weblate-ubports-gallery-app
  * Merge pull request #40 from ubports-weblate/weblate-ubports-gallery-app
  * Merge pull request #45 from ubports-weblate/weblate-ubports-gallery-app
  * Merge pull request #46 from ubports-weblate/weblate-ubports-gallery-app
  * Translated using Weblate (English (United Kingdom))
  * Merge pull request #47 from ubports-weblate/weblate-ubports-gallery-app
  * Merge pull request #50 from ubports-weblate/weblate-ubports-gallery-app
  * Merge pull request #51 from ubports-weblate/weblate-ubports-gallery-app
  * Merge pull request #52 from ubports-weblate/weblate-ubports-gallery-app
  * Merge pull request #72 from ubports-weblate/weblate-ubports-gallery-app
  * Translated using Weblate (Spanish)
  * Merge pull request #78 from ubports-weblate/weblate-ubports-gallery-app
  * Translated using Weblate (Deutsch)
  * Merge pull request #79 from ubports-weblate/weblate-ubports-gallery-app
  * Merge pull request #82 from ubports-weblate/weblate-ubports-gallery-app
  * Merge pull request #85 from ubports-weblate/weblate-ubports-gallery-app
  * Merge pull request #84 from TronFortyTwo/info-dialog-improvements
  * Merge pull request #86 from ubports-weblate/weblate-ubports-gallery-app
  * Merge pull request #91 from StefWe/fixStringInMediaViewer
  * Merge pull request #95 from ubports-weblate/weblate-ubports-gallery-app
  * Translated using Weblate (German)
  * Merge branch 'fix_ci_errors' into 'master'
  * Merge branch 'refactor_ci' into 'master'
  * Merge branch 'fix_ci' into 'master'

  [ mr-awk ]
  * Fixes problem with multiple change log messages on every build
  * fixes some errors in ci pipeline
  * refactor CI
  * fix paths of artifacts in CI

  [ tronfortytwo ]
  * Use a popup instead of a page
  * Merge branch 'master' of https://github.com/ubports/gallery-app
  * Info dialog: added date and time - improved layout
  * v2.10.7
  * v2.10.8

  [ Rodney Dawes ]
  * Use the UITK Actions API instead.
  * Work around MouseArea being parented under flickable.contentItem
  * Remove the second MouseArea for video playback.

  [ George Kitsopoulos ]
  * Translated by George Kitsopoulos <gkitsopoulos@tutanota.com> using Weblate (Greek) - 100.0% (93 of 93 strings)

  [ Heimen Stoffels ]
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)
  * Translated by Heimen Stoffels <vistausss@outlook.com> using Weblate (Dutch) - 100.0% (93 of 93 strings)
  * Translated by Heimen Stoffels <vistausss@outlook.com> using Weblate (Dutch) - 100.0% (93 of 93 strings)

  [ Joan CiberSheep ]
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Catalan)
  * Negative Action Button red, more obvious button text
  * Translated using Weblate (Catalan)
  * Merge branch 'master' into 'master'
  * Update README.md
  * Twek colors
  * Tweak Splash. Fix CMake Identation
  * Translated by Joan CiberSheep <cibersheep@gmail.com> using Weblate (Catalan) - 100.0% (93 of 93 strings)

  [ P.-H. Lin ]
  * Translated by P.-H. Lin <cypressyew@gmail.com> using Weblate (Chinese (Traditional)) - 100.0% (93 of 93 strings)

  [ Adria ]
  * Translated using Weblate (Sardinian)
  * Translated by Adria <adriamartinmor@gmail.com> using Weblate (Sardinian) - 100.0% (93 of 93 strings)

  [ Rüdiger Kupper ]
  * Translated using Weblate (German)
  * Translated by Rüdiger Kupper <ruediger.kupper+launchpad@gmail.com> using Weblate (German) - 100.0% (93 of 93 strings)

  [ tamer dab ]
  * Translated by tamer dab <dabsantamer@yahoo.com> using Weblate (Hebrew) - 84.9% (79 of 93 strings)
  * Translated by tamer dab <dabsantamer@yahoo.com> using Weblate (Hebrew) - 100.0% (93 of 93 strings)
  * Translated by tamer dab <dabsantamer@yahoo.com> using Weblate (Hebrew) - 100.0% (93 of 93 strings)

  [ dano6 ]
  * Translated using Weblate (Slovak)
  * Translated using Weblate (Slovak)
  * Translated by dano6 <dano.kutka@gmail.com> using Weblate (Slovak) - 100.0% (93 of 93 strings)

  [ Milan Korecký ]
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated by Milan Korecký <milan.korecky@gmail.com> using Weblate (Czech) - 100.0% (93 of 93 strings)

  [ Samson ]
  * Translated using Weblate (Amharic)
  * Translated using Weblate (Amharic)
  * Translated using Weblate (Amharic)
  * Translated by Samson <sambelet@yahoo.com> using Weblate (Amharic) - 98.9% (92 of 93 strings)

  [ Arvid Brodin ]
  * Translated by Arvid Brodin <arvidb@fripost.org> using Weblate (Swedish) - 100.0% (93 of 93 strings)

  [ Brian Douglass ]
  * Added gitlab ci
  * Updated gitlab-ci to publish with changelog messages
  * Update gitlab ci for clickable v6
  * Merge branch 'reduce-minimum-width'
  * v2.10.6
  * Updated gitlab config
  * Added ci build for amd64
  * Merge branch 'amd64-build'

  [ Efstathios Iosifidis ]
  * Translated by Efstathios Iosifidis <iefstathios@gmail.com> using Weblate (Greek) - 100.0% (93 of 93 strings)

  [ satriocode ]
  * Translated by satriocode <satrioismail52@gmail.com> using Weblate (Indonesian) - 100.0% (93 of 93 strings)

  [ suntron ]
  * Translated by suntron <suntorn.mon@gmail.com> using Weblate (Burmese) - 37.6% (35 of 93 strings)

  [ Young Kim ]
  * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) - 64.5% (60 of 93 strings)
  * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) - 73.1% (68 of 93 strings)
  * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) - 80.6% (75 of 93 strings)
  * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) - 81.7% (76 of 93 strings)
  * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) - 82.7% (77 of 93 strings)

  [ Stoian Minaiev ]
  * Translated using Weblate (Ukrainian)

  [ Dalton Durst ]
  * Update framework and policy version to 16.04 + change maintainer (#66)
  * Reduce the gallery's minimum width

  [ Eugene Markoff ]
  * Translated using Weblate (Russian)

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Czech)

  [ Neutrum N ]
  * Translated using Weblate (Galician)
  * Translated using Weblate (Galician)
  * Translated using Weblate (Galician)

  [ HSN80 ]
  * Translated using Weblate (Persian)
  * Translated using Weblate (Persian)

  [ Ege Öz ]
  * Translated using Weblate (Turkish)
  * Translated using Weblate (Turkish)

  [ M.Sugahara ]
  * Translated using Weblate (Japanese)

  [ Sami Törmänen ]
  * Translated using Weblate (Finnish)
  * Translated using Weblate (Finnish)

  [ Eugene ]
  * Translated using Weblate (Russian)

  [ Marius Gripsgard ]
  * Merge pull request #6 from TronFourtyTwo/master
  * Add Jenkinsfile
  * Update changelog
  * Remove upstart as dep since it does not depend on it
  * Bump version
  * Build for arm64
  * Add deployment of arm64 

  [ Alberto ]
  * Translated using Weblate (Galician)

  [ Moo ]
  * Added translation using Weblate (Lithuanian)
  * Translated using Weblate (Lithuanian)
  * Translated using Weblate (Lithuanian)
  * Translated using Weblate (Lithuanian)
  * Translated using Weblate (Lithuanian)
  * Translated using Weblate (Lithuanian)
  * Translated using Weblate (Lithuanian)
  * Translated using Weblate (Lithuanian)

  [ enolp ]
  * Translated using Weblate (Asturian)
  * Translated using Weblate (Asturian)

  [ Daniel Frańczak ]
  * Translated using Weblate (Polish)
  * Translated using Weblate (Polish)
  * Translated using Weblate (Polish)
  * Translated using Weblate (Polish)
  * Translated using Weblate (Polish)
  * Translated using Weblate (Polish)

  [ Anne Onyme ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ Yasser Lotfy ]
  * Translated using Weblate (Arabic)

  [ Moshe Lazar ]
  * Translated using Weblate (Russian)

  [ Aitzol Berasategi ]
  * Translated using Weblate (Basque)
  * Translated using Weblate (Basque)
  * Translated using Weblate (Basque)
  * Translated using Weblate (Basque)
  * Translated using Weblate (Basque)

  [ lxdb ]
  * Translated using Weblate (English (United States))
  * Translated using Weblate (Russian)

  [ Ari Börde Kröyer ]
  * Translated using Weblate (Norwegian Bokmål)
  * Translated using Weblate (Norwegian Bokmål)

  [ Stefan Weng ]
  * pot file with new strings for translation
  * fix thumbnail picture preview on Content Hub
  * add width and height to be a part of newRect
  * fix path QStandardPaths::writeableLocation returns
  * copy database if it is on the wrong location
  * Translated using Weblate (German)
  * changed informations to information
  * modify clickable.json to get conform with newer clickable versions
  * add system theme support

  [ louies0623 ]
  * Translated using Weblate (Chinese (Simplified))
  * Translated using Weblate (Japanese)
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Hong Kong))

  [ Aurelio Cilia ]
  * Translated using Weblate (Italian)

  [ Walter Garcia-Fontes ]
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Catalan)

  [ Vinícius F ]
  * Translated using Weblate (Portuguese (Brazil))

  [ 不朽正义 ]
  * Translated using Weblate (Chinese (Simplified))
  * Translated using Weblate (Chinese (Simplified))

  [ Hugh Y ]
  * Translated using Weblate (Chinese (Simplified))

  [ Aashrut ]
  * Added translation using Weblate (Gujarati)

  [ Tom Dom ]
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)

  [ maor26 ]
  * Translated using Weblate (Hebrew)

  [ Rúben Carneiro ]
  * Translated using Weblate (Portuguese)

  [ advocatux ]
  * Translated using Weblate (English (United Kingdom))
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)

  [ Anastopoulos Theocharis ]
  * Translated using Weblate (Greek)

  [ Adrià ]
  * Added translation using Weblate (Sardinian)
  * Translated using Weblate (Sardinian)
  * Translated using Weblate (Sardinian)
  * Translated using Weblate (Sardinian)
  * Translated using Weblate (Sardinian)
  * Translated using Weblate (Sardinian)
  * Translated using Weblate (Sardinian)

  [ Tom Rausner ]
  * Translated using Weblate (Danish)
  * Translated using Weblate (Danish)
  * Translated using Weblate (Danish)

  [ Ennio Lavagnini ]
  * Translated using Weblate (Italian)

  [ Jaume Angrill ]
  * Translated using Weblate (Catalan)

  [ Rondy Andersson ]
  * Translated using Weblate (Schwedisch)
  * Translated using Weblate (Swedish)
  * Translated using Weblate (Swedish)

  [ ierihon ]
  * Translated using Weblate (Belarusian)
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)
  * Translated using Weblate (Belarusian)

  [ Hussain Hashem Aljafri ]
  * Translated using Weblate (Arabic)

  [ Dito Kurnia P ]
  * Translated using Weblate (Indonesian)

  [ Stefan ]
  * on every build a new .pot file is in the directory /po
  * fixed two missing strings in the pot file
  * gridsize input with a slider
  * merged slider input
  * changed MediaSelector Icon from add to ok
  * try to detect if database is in right path or in the wrong path or even dont exist
  * delete the vivid database if vivid and xenial exists
  * bump versionnumber for the next release

  [ nigel wood ]
  * Translated using Weblate (English (United Kingdom))

  [ Sander ]
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)

  [ Louies ]
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (漢語（正體字）)
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Hong Kong))
  * Translated using Weblate (Chinese (Traditional))
  * Added translation using Weblate (English (United States))

  [ rocco ]
  * Translated using Weblate (Italian)
  * Translated using Weblate (Italian)

  [ Mike ]
  * Translated using Weblate (Italian)

  [ jEzEk ]
  * Translated using Weblate (Slovak)

  [ Max Libre ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ Dmytro Gladkyi ]
  * Translated using Weblate (Ukrainian)

  [ Bjarne Roß ]
  * Grid settings using Button
  * Grid settings using Button

  [ xqqy ]
  * Translated using Weblate (Chinese (Simplified))

  [ Sergio Reyes ]
  * Translated using Weblate (Spanish)

  [ Rodney ]
  * Merge pull request #81 from ubports/drop-unityactions

  [ SongInseo ]
  * Translated using Weblate (Koreanisch)

  [ ArashiHino ]
  * Translated using Weblate (Japanisch)

  [ Ben van Hartingsveldt ]
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)

  [ Øjvind Fritjof Arnfred ]
  * Translated using Weblate (Danish)

  [ P_E_T_O ]
  * Translated using Weblate (Slovak)

  [ ubports-weblate ]
  * Update from Weblate. (#38)
  * Translated using Weblate (German) (#44)
  * Update from Weblate. (#49)
  * Update from Weblate. (#53)
  * Update from Weblate. (#54)
  * Update from Weblate. (#55)
  * Update from Weblate. (#57)
  * Update from Weblate. (#59)
  * Update from Weblate. (#61)
  * Update from Weblate. (#62)
  * Update from Weblate. (#67)
  * Translated using Weblate (German) (#68)
  * Update from Weblate. (#69)
  * Translated using Weblate (Danish) (#70)

  [ StefWe ]
  * Translation issues fixed (#58)

  [ TronFortyTwo ]
  * Updated clickable file
  * Merge branch 'master' of https://github.com/ubports/gallery-app
  * Removed useless runOnDevice script
  * Work on the new Media Info Panel
  * Work on the info page

  [ Ivan Semkin ]
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)

  [ Eran ]
  * Translated using Weblate (Hebrew)
  * Translated using Weblate (Hebrew)
  * Translated using Weblate (Hebrew)
  * Translated using Weblate (Hebrew)

  [ Noock ]
  * Translated using Weblate (Portuguese (Brazil))
  * Translated using Weblate (Portuguese (Brazil))

  [ hensip ]
  * Translated using Weblate (Galician)

  [ ubports_arabic ]
  * Translated using Weblate (Arabic)

  [ Peter Nerlich ]
  * Translated using Weblate (German)
  * Translated using Weblate (German)
  * Translated using Weblate (German)

  [ qutghan ]
  * Translated using Weblate (Uighur)
  * Translated using Weblate (Uighur)

  [ Arda Canbolat ]
  * Translated using Weblate (Turkish)
  * Translated using Weblate (Turkish)
  * Translated using Weblate (Turkish)

  [ Sergio ]
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)

  [ Kristijan ]
  * Translated using Weblate (Slovenian)
  * Translated using Weblate (Slovenian)

  [ Peter Valachovič ]
  * Translated using Weblate (Slovak)
  * Translated using Weblate (Slovak)
  * Translated using Weblate (Slovak)

  [ Alexey Balmashnov ]
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)

  [ Brînzariu Cristian ]
  * Translated using Weblate (Romanian)
  * Translated using Weblate (Romanian)
  * Translated using Weblate (Romanian)
  * Translated using Weblate (Romanian)
  * Translated using Weblate (Romanian)
  * Translated using Weblate (Romanian)

  [ Gabriele ]
  * Translated using Weblate (Italian)
  * Translated using Weblate (Italian)

  [ RedXXIII ]
  * Translated using Weblate (French)

  [ Henrik Holm ]
  * Translated using Weblate (Danish)
  * Translated using Weblate (Danish)
  * Translated using Weblate (Danish)

  [ Mutse Young ]
  * Translated using Weblate (Chinese (Simplified))
  * Translated using Weblate (Chinese (Simplified))
  * Translated using Weblate (Chinese (Simplified))
  * Translated using Weblate (Chinese (Simplified))

  [ Stefano Melchior ]
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Catalan)

  [ Ahmed Suliman ]
  * Translated using Weblate (Arabic)
  * Translated using Weblate (Arabic)
  * Translated using Weblate (Arabic)
  * Translated using Weblate (Arabic)
  * Translated using Weblate (Arabic)

  [ Twinkybot ]
  * Translated using Weblate (German)
  * Translated using Weblate (German)

  [ Jonasz Potoniec ]
  * Translated using Weblate (Polish)

  [ Nelly Simkova ]
  * Translated using Weblate (Russian)

  [ Philipp Leibelt ]
  * Translated using Weblate (German)

  [ Jeff ]
  * Added translation using Weblate (Albanian)
  * Translated using Weblate (Albanian)
  * Translated using Weblate (Albanian)
  * Translated using Weblate (Albanian)

  [ Beton ]
  * Translated using Weblate (Polish)

  [ Reda ]
  * Translated using Weblate (French)

  [ Jan Sprinz ]
  * Merge pull request #24 from ubports-weblate/weblate-ubports-gallery-app
  * Merge pull request #29 from ubports-weblate/weblate-ubports-gallery-app

  [ František Tomajko ]
  * Translated using Weblate (Slovak)

  [ Arjan Vlek ]
  * Translated using Weblate (Dutch)

  [ dimitra ]
  * Translated using Weblate (Russian)

  [ wangyou ]
  * Translated using Weblate (Chinese (Simplified))
  * Translated using Weblate (Chinese (Simplified))

  [ t-h-e-p-e-t-e-r ]
  * Translated using Weblate (Slovak)

  [ Gerd Sänger ]
  * Translated using Weblate (German)
  * Translated using Weblate (German)

  [ Andrzej Stamburski ]
  * Translated using Weblate (Polish)

  [ TronFourtyTwo ]
  * Changed manifest file with current manteiners and added clickable.json file
  * Updated README file
  * Corrected typos in README
  * Use gitignore instead of bzrignore
  * Updated manifest file to make use of latest 15.04 framework, maybe
  * Nicer delete message
  * Updated version to 2.9.3
  * Started moving to latest ubuntu components
  * Fixed broken 'share to' button, and other improvements
  * Added License informations in README
  * Now photos can be zoomed until 5x, updated README
  * Merge branch 'master' of https://github.com/TronFourtyTwo/gallery-app
  * Rewritten README
  * Edit action in videos now is invisible
  * removed old bazaar stuff
  * Using the Suru "edit" icon
  * Removed icon_play image and using Suru theme icon instead
  * Removed unused 'delete' image
  * removed unused 'add' image
  * Removed unused icon images
  * Updated version number (next version gonna be 2.9.4)
  * Removed 'album-add' picture and replaced it with standard components
  * Little resizing of a the play icon for a better experience
  * Added some dependencies to clickable.json
  * Added media information BottomEdge, just basic implementation

  [ Francisco Molinero ]
  * Translated using Weblate (Spanish)

  [ Weblate Admin ]
  * Translated using Weblate (German)

  [ aitzol76 ]
  * Update eu.po

  [ Launchpad Translations on behalf of phablet-team ]
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.
  * Launchpad automatic translations update.

  [ Renato Araujo Oliveira Filho ]
  * Make sure that the options undo/redo/revertToOriginal is disibale if is not possible to execute the action.
  * Created autopilot test for undo/redo/revetToOriginal menu states.
  * Reverted code changes not relevant on this commit.
  * Fixed code style to follow Qt style.
  * Added missing documentation.
  * [autopilot] Wait for toolbar finish the animation before reveal it
  * Make sure that the options undo/redo/revertToOriginal are disable if is not possible to execute the action. Fixes: https://bugs.launchpad.net/bugs/1163174.
  * Fixed duplicate entries in Media Album Table;
  * Create a new function to  check if a photo is attached to the album.
  * Removed unecessary comments.
  * Fixed duplicate entries in Media Album Table;. Fixes: https://bugs.launchpad.net/bugs/1163353.
  * Set Import dir based on "SNAP" env var.
  * Make use of ubuntu-app-platform.
  * Added snap metadata.
  * Fixed app launcher.
  * Added missing files from xdg-user-dirs.
  * Make sure that pulse library can be find.
  * Release snap 2.9.2
  * Set Import dir based on "SNAP" env var. (LP: #1629009)
  * Make use of ubuntu-app-platform.
  * Sync version with changelog.
  * Trunk merged.
  * Remove 'thumbnailer' from interface list. (still not available on snapd)
  * [snap] Added "mir" interface on plug list
  * [snap] Use 'build-attributes: [no-system-libraries]' to not include extra libraries.
  * Add missing deps.
  * [snap] Connect with mir-libs content share.

  [ Bileto Bot ]
  * Releasing 0.0.67+16.10.20160609.1-0ubuntu1
  * Releasing 0.0.67+16.10.20160921-0ubuntu1
  * Releasing 0.0.67+17.04.20161129-0ubuntu1
  * Releasing 0.0.67+17.04.20161213-0ubuntu1

  [ Ken VanDine ]
  * * Use Ubuntu.OnlineAccounts to create share list
  * use uoa
  * Use UOA to populate share menu
  * Only display facebook accounts for sharing for now.
  * Use UOA to populate share menu
  * use pkgconfig provided in content-hub >= 0.0+13.10.20130930.1
  * use pkgconfig provided in content-hub >= 0.0+13.10.20130930.1
  * Install as a source for content-hub
  * Updated to build against changes in content-hub
  * merged trunk
  * merged trunk
  * merged trunk
  * Updated to build against changes in content-hub
  * WIP to use a share handler
  * merged trunk
  * Don't use a Popover for the ContentPeerPicker and handle sharing videos as well as photos
  * Added autopilot test for the share button and peer picker
  * Set the objectName for the ContentPeerPicker and dropped the unneeded 
  * merged trunk
  * Register with the content-hub for deb installs
  * Added runtime depends on qml-module-ubuntu-thumbnailer0.1
  * Register with the content-hub for deb installs
  * Added apparmor profile
  * merged trunk
  * build dep on dh-apparmor
  * added apparmor profile for gallery-app

  [ Arthur Mello ]
  * Add support for toggling fullscreen using keyboard shortcuts.
  * Fix Desktop platform detection
  * Add autopilot test for toggle fullscreen
  * Add commentary about MainScreen property been used on autopilot test
  * Add target directory's sub folders to the directory watch list
  * Add unittest to check sub folders monitoring
  * Output unit test result on failure
  * Remove rule for output unittests results on failure since it does not fixed the problem
  * Use QTemporaryDir during unittest to avoid hardcoded /tmp
  * Add debug messages to unittest
  * Disable toggle to camera button when on Desktop mode
  * Add autopilot tests to check if Camera Button is not visible at Desktop
  * Fix isDesktopMode() method on application
  * Remove --fullscreen option from desktop mode
  * Shouldn't be checking formFactor() as it defaults to desktop always
  * Fix fullscreen test on Desktop mode
  * Shouldn't be checking formFactor() as it defaults to desktop always
  * Add support to toggle fullscreen using F11 and Escape keys on Desktop platform. Fixes: 1272813, 1279539
  * Merge latest changes from trunk
  * Add debug message every time a media is added
  * Fix autopilot test replacing hardcoded path of generated thumbnail
  * - Fix the check if a file is a video or a photo
  * Add different video file to autopilot test to check if the thumbnail is displayed
  * Cange unittest since we now support others video filenames and formats
  * Add sample movie to autopilot test
  * Add play icon if thumbnail is from video
  * Remove hardcoded MediaSource type
  * Merge lp:~artmello/gallery-app/display_photos_in_sub_folders/
  * Merge lp:~artmello/gallery-app/switching_to_camera
  * Merge lp:~artmello/gallery-app/gallery-app-not_display_video
  * Merge lp:~artmello/gallery-app/gallery-app-overlay_video_icon
  * Merge lp:~amanzi-team/gallery-app/gallery-app-black-flash-zoom
  * Remove gstreamer deps
  * Rename getManifest to generateManifest so the new getter does not have a conflict name
  * Add a manifest function to Media Monitor so we can get all files found.
  * Adding list of bugs this branch fixes
  * multiple gallery-app bug fixes Bug #907870: [desktop] Gallery does not display photos in sub folders, Bug #1221968: use libthumbnailer for gallery thumbnails, Bug #1268748: videos are not displayed when running on desktop, Bug #1271327: disable switching between camera and gallery on desktop, Bug #1287272: Black flash at the end of the zoom animation" Fixes: 907870, 1221968, 1268748, 1271327, 1287272
  * Fix typo on CheckConsistency function
  * Make sure that gallery will not be able to remove media files from disk if it finds any sort of inconsistency
  * The destroy function is used by the delete option, make sure that this option still works
  * Make sure that album cover will be not behind header at album edit screen
  * Add an overlay play icon over Video preview on media navigation
  * Gallery should only display videos recorded by camera-app when on device.
  * Make gallery-app only search for videos on the path where camera-app will save recording files on devices. Fixes: 1296634
  * Merge with trunk
  * Fix destroyMedia call since signature changed
  * Make sure that videos placed out the video directory will be not displayed on devices
  * Change is desktop check
  * Change the check place to do not let database entry to be created
  * Make the check for files on database too
  * Fix autopilot test
  * Change the way we pass the resource object to media factory
  * Make sure the target directory exists
  * Make sure that gallery will not be able to remove media files from disk if it finds any sort of inconsistency Fixes: 1295344
  * Make sure that videos placed out the video directory will be not displayed on devices Fixes: 1296634
  * Add unittest to check if only videos on the correct path are beeing added to gallery on device
  * Merge with trunk code
  * Fix the behavior on devices
  * Add missing file
  * Fix height on Nexus 4
  * Use a MouseArea on desktop since MultiPointTouchArea does not work with TouchPad
  * Make two fingers swipe navigate between photos
  * Add fixes to the two fingers swipe bug
  * Change propagateComposedEvents property
  * Fix pinch to zoom on device
  * Fix typo
  * Make two fingers swipe available when we have a video on the list
  * Make sure that album cover will be not behind header at album edit screen Fixes: 1294291
  * Add unittest to check if only videos on the correct path are beeing added to gallery on device 
  * Add an overlay play icon over Video preview on media navigation Fixes: 1294282
  * Apply a similar workaround to the one suggested by Zsombor to work around bug #1296832 to temporarily replace MouseAreas within PinchAreas Fixes: 1288695
  * Make sure we do not monitor hidden directories
  * Make gallery does not create a new album if process is canceled
  * Update media monitor unittest
  * Add autopilot test to check if cancelling an album just after adding it does not add the album
  * Fix comment errors
  * Add comments to the changes
  * Make sure gallery deletes all album content when it is requested.
  * Change the page title so it does not show the app name.
  * Fallback for date that file was created if no information about encoded date was found on video metadata
  * Make sure we do not monitor hidden directories Fixes: 907870
  * Make gallery does not create a new album if process is canceled Fixes: 1300337
  * Make sure gallery deletes all album content when it is requested. Fixes: 1300344
  * Change the page title so it does not show the app name. Fixes: 1312123
  * Fallback for date that file was created if no information about encoded date was found on video metadata Fixes: 1314632
  * Fix path where POT file is created
  * Update po and pot files 
  * Change to use PageStack to fix issue with toolbar while activating and desactivating Pages
  * Fix add album transitions
  * Fix add photo to new album
  * Merge with trunk
  * Fix edit existing album animation
  * Fix album viewer animation
  * Fix autopilot tests
  * Return back button to handle autopilot test
  * Fix autopilot tests
  * Add hack to fix AP test
  * Add missing include
  * Disable picker mode AP test
  * Push/Pop pages when opening photos from an album
  * Merge with trunk
  * Change to use PageStack to fix issue with toolbar while activating and deactivating Pages. Fixes: 1319927
  * Fix autopilot test issue
  * Remove unnecessary test
  * Fix AP test on gallery
  * Fix autopilot issue caused by the change to use Page Stack 
  * Disable "Add" button if no media is selected on selection screen
  * Add support to load qttestability using env var QT_LOAD_TESTABILITY
  * Merge with trunk
  * Merge with trunk
  * Display all videos on Videos directory on device
  * Remove AlbumViewerTransition from album openning
  * Remove AlbumViewerAnimated from album openning
  * Fix open album in first page
  * Hide keyboard when adding photos during album edition
  * Link to bug report
  * Fix returning from photo to album
  * Fix header visible when loading AlbumViewer
  * Remove unused components
  * Fix AP test check for AlbumViewer fully open
  * Fix AP test changing check for AlbumViewerAnimated close by AlbumViewer close
  * Disable "Add" button if no media is selected on selection screen 
  * Add support to load qttestability using env var QT_LOAD_TESTABILITY Fixes: 1321783
  * Remove album opening/closing transition to reduce load timer on devices. Fixes: 1090122
  * Add option to remove from album or delete from gallery when viewing photos from an album
  * Fix when album contains only one photo
  * Add AP test to check if remove photo from album is working
  * Change AP test. Check if file was not removed from disk
  * Add AP test to check remove from album and delete
  * Add AP test form canceling remove photo from album dialog
  * Create functions on emulator to simpligy tests for album view
  * Merge with trunk
  * Fix AP tests based on flake8
  * Merge with trunk
  * Fix unittest
  * Fix pep8 issues
  * Fix AP test
  * Remove wrong signal since that cause issues when removing last photo of an album
  * Fix the way we hide the header on AlbumViewer
  * Add option to remove from album or delete from gallery when viewing photos from an album Fixes: 1322095
  * Display all videos on Videos directory on device Fixes: 1324617
  * Fix the way we hide the header on AlbumViewer Fixes: 1331382
  * Do not set fullscreen by default if we are not on Desktop.
  * Make sure the set fullscreen is called before the view show.
  * Fix comment typo
  * Show view fullscreen on devices
  * Ensure the window is made fullscreen before it is shown, to work around an issue with calculating window coordinates.
  * Fix definition on GETTEXT_PACKAGE on CMakeLists to make translations works for click pkgs
  * Remove unnecessary dependencies of video unittest
  * Remove unnecessary dependencies of video unittes 
  * Fix definition on GETTEXT_PACKAGE on CMakeLists to make translations works for click pkgs Fixes: 1349958
  * Search for new directories when there is any change on the watched directories
  * Reduce duplicate code
  * Improve unittest to check if new created folders are monitored
  * Start migrating gallery to the new header
  * Unset the caller for the "Add to Album" popup so it shows up correctly
  * Fix popup position on the MediaViewer
  * Add a background to the MediaViewer header
  * Fix header for MediaViewer when media is video
  * Tapping on the picture should toggle header on/off
  * Search for new directories when there is any change on the watched directories
  * Display header on album viewer
  * Make new header works on the Album Viewer
  * Remove "Import" button from the header
  * Fix visibility of header on MediaViewer
  * Fix the backAction of the AlbumViewer
  * Fix backAction on the MediaViewer
  * Fix header for the share option on the MediaViewer
  * Merge with trunk
  * Fix AP tests for TestPhotoEditor to work with new header
  * Fix AP tests for TestPhotoViewer to work with new header
  * Fix AP tests for TestPhotosView to work with new header
  * Fix AP tests for TestAlbumEditor and TestAlbumView to work with new header
  * Fix AP tests for TestAlbumsView to work with new header
  * Fix AP tests for TestEventsView to work with new header
  * Load the main screen asynchronously to prevent blocking Fixes: 1349124
  * Replace the old MediaViewer with cleaner code inspired by the camera-app photo roll
  * Remove the new MediaViewer to test AP tests
  * Fix PickerScreen AP tests
  * Merge with trunk
  * Fix AP tests to wait for the Loading Screen to be dismissed
  * Fixes for the autopilot tests.
  * Fix test Album Editor
  * Replace the old MediaViewer with cleaner code inspired by the camera-app photo roll
  * Merge with trunk
  * Remove undefined property
  * Fix AP tests related to SingleMediaViewer
  * Make sure component is fully loaded
  * Increase rate of the drag event since a fast drag seems to fail sometimes
  * Another couple of fixes: decrease the swipe rate and remove unnecessary clicks.
  * Make gallery-app uses the new header Fixes: 1289160
  * Move the Loading Screen to inside the tabs
  * Merge with trunk
  * Change sync load of Gallery Application QML
  * Fix AP tests after the changes on the LoadingScreen
  * Fix PickerScreen to work without the loading screen
  * Fix AlbumsOverview
  * Add debug messages
  * Add Database path DEBUG msgs
  * Unset applicationName
  * Remove debug msgs
  * Unset applicationName property
  * Set applicationName to com.ubuntu.gallery
  * Fix database path on AP tests
  * Fix the editing of the album name by setting the hint to turn off predictive text
  * Link the MR to the correct bug
  * Move the Loading Screen to inside the tabs Fixes: 1325001
  * Fix the editing of the album name by setting the hint to turn off predictive text 
  * Added new url schema to the url-dispatcher
  * Create urlhandler class to handle the new uri schema
  * Add support to url schema and to --media-file option on the command line parser
  * Add support for the specified media on the gallery-application.cpp
  * Change MainScreen qml to open a specified media file
  * Update pot files
  * Merge with trunk
  * Fix mainScreen to wait for media scanner finishing process
  * Link to the correct lp bug
  * Add "file://" protocol to the media selected property
  * Remove support for the video scheme
  * Add urls to the manifest of the click pkg
  * Fix manifest file
  * Undo changes on pot file
  * Make sure we do not keep stacking new pages for it photo opened
  * Make sure the selected mediaFile should open if it was the same as the last call
  * Hide the video thumbnail when playing the video on gallery
  * Fix gallery-app.install file
  * Add support for the photo and video url schema Fixes: 1369652
  * Hide the video thumbnail when playing the video on gallery Fixes: 1371021
  * Comment out the call that is crashing for the events view
  * Move the check if should keep propagating the signals
  * The event ui is being updated but we need to update the event header
  * Remove the event header if it is empty
  * make sure gallery will not enter in a loop again
  * Reset model after a remove
  * Add FIXME msg
  * Does not include the event header on the count used at the delete dialog
  * Take into account the kind of objects selected into the delete message for Photos tab
  * Take into account the kind of objects selected into the delete message for Events tab
  * Fix header label not being updated correctly
  * Fix the title for the Album view
  * Fix the title when the gallery is called from the url handler
  * Fix the header title when an album is open and gallery is called from an url
  * Fix the gallery-app crash when removing files Fixes: 1334807, 1375713
  * Fix header label not being updated correctly Fixes: 1377765
  * Show header by default on an empty album
  * Fix code style
  * Show header by default on an empty album Fixes: 1378367
  * Add support for setting the DateTimeDigitized Exif field
  * Set the TimeDigitized exif field for the import date on imported files.
  * Change when the exif data is changed
  * Move the current UI mode after importing files
  * Switch to events view after a media imported
  * Fix binding issues
  * Fix header visibility
  * Move the Events list to the beginning position after the import
  * Delay the opening photo process until all media files are loaded when called by url handler
  * Delay the opening photo process until all media files are loaded when called by url handler Fixes: 1389514
  * Switch to events view after a media imported Fixes: 1382109
  * Set the TimeDigitized Exif field for the import date on imported files Fixes: 1381583
  * Load the AlbumEditor without the animation to improve the startup time
  * Load the AlbumEditor without the animation to improve the load time Fixes: #1398419
  * Delay the adding of a new album until the editor is finished
  * Delay the adding of a new album until the editor is finished 
  * Make gallery display files that are not supported by QImageWriter or that do not have metadata
  * Disable the editing options for files that are not supported by QImageWriter
  * Fix stub on unittests
  * Add some checks to make sure the file has good metadata before changing it
  * Add some checks to make sure the file has good metadata before changing it 
  * Make gallery display files that are not supported by QImageWriter or that do not have metadata
  * Move media object factory to another thread
  * Add debug msg
  * The worker object cannot have a parent to be be moved to the new thread
  * Cosmetic change on methods name
  * Reenable some unittests related with media-object-factory
  * Change to reenable unittests
  * Reenable the missing unittests for media-object-factory
  * Change the unittests to use QSignalSpy
  * Remove debug msg
  * Fix to read files from the database
  * Make sure we do not hide the loading screen while we are still loading files
  * Fix the loading screen behavior
  * Remove the harcoded timeout for the loading screen
  * Move the check if a file on the DB exists on the filesystem to before we start creating all the media objects.
  * Fix unittest
  * Add a priority queue to the media object create process
  * Fix unittests
  * Create a new thread to handle the queue of new files
  * Fix the way that the priority queue is implemented
  * Call runCreate on the right time
  * Move MediaObjectFactory to another thread to make sure when we are loading multiple files we keep the interface responsible Fixes: #1413952
  * Do not create objects if a file was removed from the time the create was requested and when it was started
  * Makes gallery-app to call MediaPlayer to play videos instead of playing by itself
  * Use the same toolbar for any media type
  * Make fullscreen mode dynamic when on device
  * Makes gallery-app to call MediaPlayer to play videos instead of playing by itself Fixes: #1324622
  * Make fullscreen mode dynamic when on device Fixes: #1415140
  * Add check box feedback when in selection mode
  * Add support for viewing the preview of a file when in selection mode from content hub
  * Add support for viewing the preview of a file when in selection mode from content hub on Photos tab
  * Do not show the select feedback for event header on pick mode
  * Do not show the check box for event headers
  * Use a fixed size checkbox
  * Send the selection object to the PopupPhotoViewer
  * In selection mode add only one action to the toolbar: toggle selection of the current photo
  * Make the header visible by default when viewing photos in selection mode
  * Stay on fullscreen mode while viewing a photo
  * Change the toggle select icons when in selection mode
  * Change the title when viewing a photo in content hub selection mode
  * Change the icons when viewing a photo
  * Merge with trunk
  * Make the Album Viewer fullscreen
  * Make sure that the last selected item is fully visible on the Photos grid view
  * Make the selected item visible on photos tab when called by content hub
  * Add check box feedback when in selection mode
  * Change the toggle select icons when in the slideshow view
  * Change the toggle select icons when in the slideshow view 
  * Merge with trunk
  * Remove dead code
  * Increase the version number of the Extras package
  * Fix showing the photo on SingleMediaViewer
  * Fix the source property on SingleMediaViewer
  * Make sure we update the image viewer if the file was edited
  * Merger with trunk
  * Merge with trunk
  * Add a local version of the extras photoeditor source code
  * Merge with trunk
  * Cleanup
  * Add local version of Extras QML code for PhotoEditor
  * More cleanup
  * Fix sequence on build process
  * Load the Extras PhotoEditor if it is presented on the system
  * Fix picker mode AP test
  * Fix AP test for Events view related to selecting photo
  * Fix AP test error related to the change on the image provider
  * Add missing file
  * Fix AP test for rotate photo
  * Disable Enhance photo test, since this feature is not implemented at the moment
  * Merge with trunk
  * Merge with trunk
  * Do not update PhotoViewer Image sourceSize everytime the app is resized on devices.
  * Fix the MouseArea zoom control on SingleMediaViewer.qml
  * Should not animate on height while zooming the photo
  * Fix the calculation of maxDimension since the old way was crashing the image provider cache
  * Only show the high resolution image after it is loaded
  * Replace the built-in photo editor with the one from ubuntu-ui-extras
  * Do not update PhotoViewer Image sourceSize everytime the app is resized on devices.
  * Convert video exposure time from UTC to local time
  * Set videos exposure time to loacal time for those stored on DB
  * Merge with trunk
  * Add unittest to verify that exposure time is being stored correct for videos
  * Add the "at" param to the calls of thumbnailer image provider to make sure the images will be updated after the user
  * Add the "at" param to the calls of thumbnailer image provider to make sure the images will be updated after the user edit them
  * Change thumbnail's image provider header for videos on SingleMediaViewer
  * Add AP test to make sure the video thumbnail will be always loaded
  * Fix AP test
  * Fix AP test
  * Convert video exposure time from UTC to local time when the event header for the video is created. The video exposure time will still be stored using UTC in the DB Fixes: #1433739
  * Change thumbnail's image provider header for videos on SingleMediaViewer Fixes: #1430357
  * Fix AP tests
  * Add another check to make sure remove from album dialog is fully open
  * Fix flake8 minor issues
  * Merge changes from lp:~canonical-platform-qa/gallery-app/clean_delete_autopilot_tests
  * Fix AP tests
  * Add a timer before going fullscreen while on image viewer to reduce flickering
  * Change the mediaLibrary component in MainScreen to use a loader
  * Make possible to the qml code be notified which new file was added
  * Make sure that if a requested file is added to the collection later it will be opened
  * Fix check if file was requested
  * Link to the bug report
  * Make sure that DateTimeDigitized is the first tag evaluated to get exposure time
  * Update unittest for resource since gallery handle removable sd cards
  * Add new unittest to check the exposure date time
  * Revert changes on resource test
  * Add rule to output log when test fails
  * Fix wrong header in config.h.in
  * Fix unittest
  * Update icons
  * Make sure that photos that are opened from scopes and are not on gallery library will be displayed correctly Fixes: #1389514
  * Add a timer before going fullscreen while on image viewer to reduce flickering Fixes: #1425563
  * Make sure that DateTimeDigitized is the first tag evaluated to get exposure time
  * update icon Fixes: #1457424
  * Disable unused GalleryPhotoComponent so we stop doing unnecessaru request to thumbnailer
  * Disable unused GalleryPhotoComponent so we stop doing unnecessary request to thumbnailer Fixes: #1460993
  * Fix issue when delegates are not available
  * Fix issue while connecting onDataChanged signal
  * Change default comparator when adding files with same timestam
  * Delay creation of delegate until event header is loaded
  * Fix MediaGrid thumbnail requests with invalid size
  * Fix thumbnail request size for Events tab
  * Make sure we are not requesting video thumbnails as 0
  * Fix typo
  * Link to bug
  * Do not request tthumbanils when going fullscreen
  * Merge with trunk
  * FIx AP tests
  * Improve AP tests to fix an issue after we changed thumbnailers to be async
  * Increase cacheBuffer so the effect of loading delegates during events navigation is reduced
  * Fix the use of actionManager.localContexts to match last changes on it
  * Fix thumbnail requests with invalid size on Events and Photos tab Fixes: #1460993, #1467743
  * Fix the use of actionManager.localContexts to match last changes on it Fixes: #1481920
  * Do not ignore file if gallery is not able to read its metadata
  * Merge with trunk
  * Defines the Loader width/height since that reduce the memory issue we  are facing
  * Change cacheBuffer to width
  * Refactory MediaObjectFactory unittests to test different files format
  * Fix build issue
  * remove unused warning msg
  * Change file output for errors
  * Add debug messages to trace issue when building on CI
  * More log messages to debug CI issue
  * Add missing build requirements
  * Remove log msgs
  * Request only one thumbnail to be displayed at SingleMediaViewer to avoid reloading at fullscreen toggle
  * Merge with trunk
  * Handle photoviewer resize on desktop
  * Only change the thumbnailer size for resizes bigger than 5%
  * Set both attributes of size
  * Does not use overview
  * Always set thumbSize with a 5% margin 
  * Remove wrong test for video thumbnails
  * Do not ignore file if gallery is not able to read its metadata.
  * Request only one thumbnail to be displayed at SingleMediaViewer to avoid reloading at fullscreen toggle Fixes: #1494383
  * Update copyright
  * Fix PhotosOverview to work with new SDK version
  * Fix EventsOverview to work with new SDK version
  * Stop using deprecated property for UbuntuShape
  * Fix AlbumsOverview to work with new SDK
  * Fix camera icon on Photos/Events view
  * Fix header on AlbumViewer and PopupPhotoViewer
  * Toggle header visibility
  * Fix typo
  * Fix toggle fullscreen
  * Fix header visibility and fullscreen on AlbumViewer
  * Fix check for camera button on PhotosView
  * Fix camera button check for events view
  * Fix check for camera button in Albums view
  * Fix aspect ratio of thumbnails for Events/Photos overview
  * Make share picker header equal from MediaViewer and Photos/Events view
  * Fix PickerScreen
  * Fix AP tests for PopupPhotoViewer
  * Fix AP tests related with AlbumViewer
  * Fix flake8 issues
  * Fix AP tests
  * Fix canBeEdited property to remove warning log message
  * Fix header issue on PopupPhotoViewer
  * Remove legacy code from old album viewer animations not used anymore
  * Move AlbumEditor to a Loader
  * Merge with trunk
  * Update version for other Ubuntu imports
  * Update all QtQuick imports
  * Fix typo
  * Fix more QtQuick imports
  * Fix GalleryApplication import
  * Update QML code to work with Ubuntu.Components 1.3 Fixes: #1508363
  * Use a Loader for OrganicMediaLst delegates to avoid crashes when loading multiple files Fixes: #1470109, #1475210
  * Fix AlbumEditor AP test waiting for Editor to be available
  * Remove deprecated auto_ptr
  * Fix AlbumEditor AP test waiting for Editor to be available
  * Remove deprecated auto_ptr Fixes: #1496479
  * Save imported files from content hub in a specific folder
  * Add missing import
  * Imported video using create date should use local time
  * Store video exposure time as local time instead of UTC
  * Change from UTC to localtime when adding video from DB
  * Fix view when gallery is open and a new file is imported
  * Fix typo
  * Add workaround to set List/Grid view to right position after a positionViewAtBeginning
  * Update unittest to handle new exposureTime
  * Remove local copy of PhotoEditor and keep using only the Ubuntu Extras one
  * Save imported files from content hub in a specific folder
  * Remove local copy of PhotoEditor and keep using only the Ubuntu Extras one Fixes: #1524973
  * Add missing pkg dependency for qtdeclarative5-ubuntu-thumbnailer0.1
  * Remove photo-image-provider to use the one provided by ubunut-ui-extras
  * Reduce delta between photo metadata in gallery and in ui-extras
  * Fix action button calls on AP tests
  * Add a time to make sure all taken photos are added into collection in a batch
  * Add comments to the code
  * Fix warning
  * Set albums created from PopupAlbumPicker as not new, so they will not be deleted after editing 
  * Make sure to request a thumbnail big enough to handle all the possible sizes that way media items will not request a new one every time it changes its position
  * Set Window flag instead of Window state to toggle fullscreen mode for media viewer
  * Fix typo
  * Bump framework version to 15.04.4
  * Update properties names
  * Change to use 0x00800000 as fullscreen flag
  * Show a checkered background as a background for transparent images
  * Set cache to true
  * Reduce width/hight so background is not visible on the border of camera photos
  * Following some changes on thumbnailer image provider we need to handle Image.Error status for videos that are unable to load correctly
  * Update pot file
  * Enable sharing multiple files
  * Add AP tests to check sharing files from photos and events view
  * Update pot file
  * Merge with trunk
  * Do not bump framework version
  * Do not show checkered bg while loading photos
  * Merge with trunk
  * Disable fade out when swiping an image on image viewer
  * Set albums created from PopupAlbumPicker as not new, so they will not be deleted after editing Fixes: #1483870
  * Add a timer to make sure all taken photos are added into collection in a batch Fixes: #1521365
  * Fix action button calls on AP tests
  * Make sure to request a thumbnail big enough to handle all the possible sizes that way media items will not request a new one every time it changes its position. Fixes: #1529452
  * Add missing pkg dependency for qtdeclarative5-ubuntu-thumbnailer0.1 Fixes: #1531604
  * Show a checkered background as a background for transparent images Fixes: #1548855
  * Remove photo-image-provider to use the one provided by ubunut-ui-extras
  * Following some changes on thumbnailer image provider we need to handle Image.Error status for videos that are unable to load correctly Fixes: #1542083
  * Undo changes to pot files
  * Merge with trunk
  * Add changes to pot file
  * Merge with trunk
  * Add framework bump to ubuntu-sdk-15.04.4
  * Enable sharing multiple files
  * Set Window flag instead of Window state to toggle fullscreen mode for media viewer Fixes: #1535397
  * Remove c++ contentHub API usage
  * Move to PickerScreen when pick mode is requested
  * Add missing include
  * Set transfer state properly when cancelled
  * Store current requested transfer
  * Fix support to export files to other apps
  * Fix gallery state after an export when the app is preously open
  * Add initial support to handle imported files to gallery
  * Save imported files on the specific folder
  * Remove unnecessary pkg request
  * Check MimeType to verify if it's an image format before adding to gallery's collection
  * If there is a .nomedia file ignores all files and dirs bellow the current path
  * Add proper ngettext-style plural forms
  * Use Settings instead of StateSaver
  * Store media currently in view on settings
  * Media currently in view should be only reopened after an inproper application close
  * Fix conflict
  * Merge with lp:~artmello/gallery-app/gallery-app-qml_content_hub
  * Wait gallery ends collection processing before loading events model on picker mode
  * Do not display event if there is no media on it
  * Fix OrganicMediaList properties
  * Fix typo
  * Add linker flag to strip gallery-app binary file
  * Change property type
  * Use Settings instead of StateSaver to open gallery always on the last tab viewed Fixes: #1560159
  * If there is a .nomedia file ignores all files and dirs bellow the current path Fixes: #1568310
  * Check MimeType to verify if it's an image format before adding to gallery's collection Fixes: #1536168
  * Add proper ngettext-style plural forms Fixes: #1551149
  * Stop using C++ Content Hub API and use QML one instead Fixes: #1568857
  * Wait gallery ends collection processing before loading events model on picker mode Fixes: #1569844
  * Add linker flag to strip gallery-app binary file Fixes: #1570616
  * Set media type filter to EventCollectionModel in PickerScreen
  * Filter events model by media type before calling PickerScreen view
  * Notify View Collection when a container contents is changed
  * Fix PickerScreen delay when previewing media files
  * Use the same code path when deleting files from ui that is used when a file is removed from filesystem
  * Make sure to only remove files from filesystem when requested by UI
  * Use the same code path when deleting files from ui that is used when a file is removed from filesystem (LP: #1589496)
  * Add yaml file and place icon to the expected path
  * Clean up build deps
  * Change snapcraft to add wrapper taht will symlink ~/Pictures and ~/Videos
  * Add wrapper
  * Fix how autopilot tests select media entries from Organic media view
  * Add support to blacklist directories from scan process based on regexp
  * Initialize blacklisted list correctly
  * Fix typo
  * Fix var name
  * Save conffig on the correct conf file
  * Fix typo
  * Delete from database entries that were added to blacklist afteralready scanned
  * Add thumbnailer interface
  * Merge with trunk
  * If regexp is a valid path add that to the SQL LIKE format
  * Do not stop processing blacklist if there is no sdcard inserted
  * Remove unnecessary icon
  * Remove empty dir
  * Add upstart as a build dep so gallery will not be build against archs that do not have it
  * Fix wrapper
  * Fix how autopilot tests select media entries from Organic media view (LP: #1613816)
  * Add support to blacklist directories from scan process based on regexp (LP: #1445755)
  * Add yaml file and place icon to the expected path to add initial support to build a gallery snap pkg
  * Add upstart as a build dep so gallery will not be build against archs that do not have it

  [ Florian Boucault ]
  * Stricten dependency on Qt4 based version of qt-components-ubuntu
  * releasing version 0.0.16.1
  * Remove retrieval of maximum texture size. It is not useful and causing crashes.
  * Fix compilation
  * Fix compilation
  * Fix compilation
  * Merged with trunk
  * Added compilation flag to make compilation work.
  * Remove retrieval of maximum texture size. It is not useful and causing crashes. 
  * Respect EXIF orientation when showing a photo by starting to use the GalleryStandardImageProvider again.
  * Respect EXIF orientation when showing a photo by starting to use the GalleryStandardImageProvider again. Fixes: 1377298
  * Merged lp:~penk/gallery-app/sdcard
  * Removed unwanted write/read paths from apparmor profile.
  * Append directory under /media/phablet to m_mediaDirectories, so photos captured onto SD card can be listed. 
  * Support videos from SD card.
  * Support videos from SD card by adding /media/phablet folder to the video directories. 
  * Fix unit tests.
  * Do not create objects if the file was removed from the time the create was requested and when it was started 
  * Swiping quickly through slideshow no longer causes photos to zoom. Workaround for QTBUG-39332.
  * Swiping quickly through slideshow no longer causes photos to zoom. Workaround for QTBUG-39332. Fixes: #1400141
  * Fixes for crossbuilding.
  * Fixes for crossbuilding.

  [ CI Train Bot ]
  * Releasing 0.0.67+15.04.20141209-0ubuntu1
  * Releasing 0.0.67+15.04.20141211-0ubuntu1
  * Releasing 0.0.67+15.04.20150108.1-0ubuntu1
  * Releasing 0.0.67+15.04.20150121.1-0ubuntu1
  * Releasing 0.0.67+15.04.20150125.1-0ubuntu1
  * Releasing 0.0.67+15.04.20150126.2~rtm-0ubuntu1
  * Releasing 0.0.67+15.04.20150202-0ubuntu1
  * Releasing 0.0.67+15.04.20150210.1-0ubuntu1
  * Releasing 0.0.67+15.04.20150212.1-0ubuntu1
  * Releasing 0.0.67+15.04.20150217-0ubuntu1
  * Releasing 0.0.67+15.04.20150219-0ubuntu1
  * Releasing 0.0.67+15.04.20150318-0ubuntu1
  * Releasing 0.0.67+15.04.20150330~rtm-0ubuntu1
  * Releasing 0.0.67+15.04.20150409-0ubuntu1
  * Releasing 0.0.67+15.04.20150422-0ubuntu1
  * Releasing 0.0.67+15.10.20150629-0ubuntu1
  * Resync trunk.
  * Releasing 0.0.67+15.10.20150706-0ubuntu1
  * Resync trunk.
  * Releasing 0.0.67+15.10.20150806-0ubuntu1
  * Releasing 0.0.67+15.10.20150923-0ubuntu1
  * Releasing 0.0.67+16.04.20151106-0ubuntu1
  * Releasing 0.0.67+16.04.20151124-0ubuntu1
  * Resync trunk.
  * Releasing 0.0.67+16.04.20151216-0ubuntu1
  * Releasing 0.0.67+16.04.20160225.1-0ubuntu1
  * Resync trunk.
  * Releasing 0.0.67+16.04.20160323.1-0ubuntu1
  * Releasing 0.0.67+16.04.20160426-0ubuntu1
  * Releasing 0.0.67+16.10.20160519-0ubuntu1
  * Resync trunk.

  [ James Henstridge ]
  * Use lastModified for "at" parameter when invoking the thumbnailer rather 
  * Refresh the FileInfo before emitting dataChanged() so the new 
  * Merge from trunk
  * Use the file's last modified date for the "at" parameter when invoking the thumbnailer to avoid needlessly reloading thumbnails. Fixes: #1485490

  [ Bill Filler ]
  * fixed build-deps and debian/rules
  * fix for LP: #1070593 
  * merge for LP: #1070593
  * changed name in desktop file to Gallery
  * fix name in desktop file. Fixes: https://bugs.launchpad.net/bugs/1091202.
  * merged lp:~schwann/gallery-app/gallery-pick-return
  * launch camera as a click
  * merge lp:~sergiusens/gallery-app/minors
  * merge sergio changes
  * run in fullscreen mode by default unless env DESKTOP_MODE set
  * don't run in fullscreen if DESKTOP_MODE
  * don't run in fullscreen if DESKTOP_MODE=1.
  * merge to support content-hub click
  * merge from trunk
  * get rid of duplicate method
  * merge sergio's changes to AP tests
  * merged from sergio
  * add friends to the policy for sharing
  * skip flaky test
  * Click support 
  * adding list of bugs this branch fixes
  * fixes lp:907870
  * updated framework version
  * fix issue with blurry thumbnails being shown on navigation of photos since move to libthumbnailer
  * fix blurry thumbnails when navigating photos 
  * check platformName rather than DESKTOP_MODE env var to determine if we are in desktop mode
  * change check for desktopMode to use platform name rather than env var 
  * skip broken test
  * skip broken test until root cause can be found 
  * fixes for lp:1311123 - disable sharing button on desktop mode
  * disable sharing option on desktop Fixes: 1311123
  * merge trunk
  * skip test for share button on desktop as it's not relevant
  * fix import
  * fix test
  * Switch to using the content-hub for sharing. When selecting the share action, the ContentPeerPicker will be shown with a list of apps that provide sharing. 
  * bump the security policy version as needed for the 14.10 framework
  * removed friends from policy as that's not supported anymore
  * no longer needs accounts policy as it now uses content-hub
  * get rid of depends for qtdeclarative5-accounts-plugin, as it's not needed
  * bump framework and security version of the click package 
  * revert async true on loader
  * fixes 1356841
  * revert change to async loader as it's causing lp:1356841 Fixes: 1356841
  * merged lp:~vrruiz/gallery-app/i18n-strings
  * Mark strings for translation 
  * fix sharing string
  * using "Share" instead of "Share photo" in action as it may be a video 
  * use header in splash
  * use header in splash screen Fixes: 1378379
  * fix size of text on Albums
  * Scale the album title proportionally to the album itself, so it works on all devices. Fixes: 1377767
  * updated framework version
  * update framework version 
  * add read_path to allow access to all subdirectories on SD card
  * merge lp:~bfiller/gallery-app/sd-card-rules
  * updated deps
  * update depends on ui-extras new version 
  * bump framework version to 15.04.2
  * update security policy version
  * bump framework version to 15.04.2

  [ Timo Jyrinki ]
  * Allow translating the date strings in EventCard.qml, update .pot file (LP: #1457357)
  * Allow translating the date strings in EventCard.qml, update .pot file (LP: #1457357) Fixes: #1457357

  [ Leonardo Arias Fonseca ]
  * Added an autopilot test to check the deletion of a photo.
  * Updated the logs, removed unused method.

  [ Olivier Tilloy ]
  * Add runtime dependency on qtdeclarative5-accounts-plugin.
  * Add missing runtime dependency on qtdeclarative5-accounts-plugin.
  * Fix FTBFS.
  * Fix FTBFS. Fixes: https://bugs.launchpad.net/bugs/1213776.
  * Ensure the toolbar is hidden before interacting with the application.
  * Explicitly close the toolbar in a few more places to avoid race conditions
  * Revert a few changes that are now rendered useless by the updated emulator that ensures the toolbar is open before actually clicking a button.
  * Fix a flaky test by always waiting for the confirmation dialogue to be fully visible before interacting with it.
  * Fix typo.
  * Use QT5_WRAP_CPP instead of QT_WRAP_CPP.
  * Use QT5_WRAP_CPP instead of QT_WRAP_CPP.
  * Fix a flaky test by always waiting for the confirmation dialogue to be fully visible before interacting with it.
  * Use keyboard.type(…) to input text instead of emulating pressing every single key.
  * Ensure the fields have active focus before interacting with them.
  * Fix the AlbumEditor emulator to select the correct editable text fields.
  * Ensure the fields have active focus before interacting with them.
  * Revert a few changes that are now rendered useless by the updated emulator that ensures the toolbar is open before actually clicking a button.
  * No change rebuild to pick up the latest translation updates.
  * No change rebuild to pick up the latest translation updates. 
  * Fix photo selection in TestPhotosView.
  * Update copyright notice.
  * Fix gallery_app.tests.test_albums_view.TestAlbumsView.test_add_album.
  * Fix a couple of failing tests under gallery_app.tests.test_album_view.
  * Fix 3 failing tests under gallery_app.tests.test_picker_mode.
  * Fix failing gallery_app.tests.test_album_editor.TestAlbumEditor.test_add_photo.
  * Fix failing test when run with a non english locale: do not rely on the text of a menu item to select it.
  * Fix styling issues (flake8 errors).
  * Exit fullscreen mode when showing the header, as initially requested in bug #1415140:
  * Fix the last test failure by ensuring that the app doesn’t go fullscreen when opening the content picker to share a picture.
  * Fix failing autopilot tests that were broken by the changes introduced at revision 1143 (fix for bug #1416043).
  * Remove a useless runtime dependency.
  * Remove a useless runtime dependency.
  * Translation template update.

  [ Richard Huddie ]
  * Added method for selecting a named photo
  * added simple test to select a named photo
  * Added test for selecting a named photo in picker mode
  * renamed picker test and updated assertion. Also removed un-necessary get_named_photo() method and test from photos view
  * fix review comments
  * merge from trunk
  * update image path to use thumbnailer
  * renamed test data file
  * changed test to use existing sample file
  * use wait_select_single for selecting QQuickImage item
  * merge from trunk
  * creat file path based on sample dir
  * A new emulator method for selecting a specific photo from the picker view. A new test is also added to use this method and then click on the Pick button. 
  * Add Page object for photos view with and go_to_photos() method
  * add click_pick_button() method to picker screen
  * Add select_photo() method to PickerScreen
  * re-enable pick named photo test
  * updates for photosPage and use wait_select_single for getting PickerScreen
  * extend wait period for picker view
  * add pick-mode parameter check
  * reset self.ARGS before each test
  * Enable disabled tests
  * Update to use focusedApplicationId
  * picker state is not saved
  * merge from trunk
  * merge trunk
  * A new Page view to represent photos page in picker view with method to select the named photo.
  * fix for test_add_photo_to_new_album
  * Don't zoom in before running test
  * fix for test_add_album
  * Use eventually matcher for checking pick button state
  * slow down the drag to make it more reliable
  * slow down speed of album page turns to make them more reliable
  * test_share_button fix, ensure cancel button is visible before pressing
  * merge from trunk
  * Fixes for dashboard failures, bug lp:1419849 Fixes: #1419849

  [ Ugo Riboni ]
  * Before switching to the share app write a temporary file with the location of the image to be shared.
  * Write a temporary file with the path of the shared image before launching the share app.
  * Switch to the camera when pressing the camera button in the main view toolbar
  * Fix the switching to the share app which was using an older appmanager API
  * Update to match further API changes in appmanager
  * merged changes from trunk
  * focusFavoriteApplication doesn't take a 2nd argument anymore
  * Launch the camera from the camera button, and fix the way share app is launched. Fixes: https://bugs.launchpad.net/bugs/1090047.
  * Hide the share popover when selecting any share menu item
  * Dismiss the share popover when selecting any share menu item. Fixes: https://bugs.launchpad.net/bugs/1091784.
  * Explicitly add pkg-config to the dependencies
  * Use the share component instead of launching the share-app
  * Add dependency on the package containing the share component
  * Use the version of SharePopup from ubuntu-ui-extras instead of the local one
  * Merge changes from trunk
  * Merge changes from trunk
  * Use the renamed ubuntu-ui-extras package
  * Remove the share file hack and the share app caller as we are using share as a component now
  * Fix autopilot tests failing apparently due to changes in autopilot itself
  * Use the share component from ubuntu-ui-extras instead of launching the share app.
  * Switch to the new Actions API instead of using the HUD directly
  * Remove dependency on the hud as it's not used anymore
  * Activate the local context when necessary
  * Merge changes from trunk
  * Use the Actions API instead of using the HUD directly. Fixes: https://bugs.launchpad.net/bugs/1220279, https://bugs.launchpad.net/bugs/1221344.
  * Use the URL dispatcher to launch the camera app
  * Simplify the code
  * Use the URL dispatcher to launch the camera app. Fixes: https://bugs.launchpad.net/bugs/1233236.
  * If facebook is configured, go to share directly. If not, give option to configure it.
  * Close the popover if already open
  * Remove the share button test as the outcome of pressing the button now depends on external factors that can't be controlled in an AP test but should be the target of an integration test.
  * If facebook is configured, share to it immediately. If not give the option to configure it. Fixes: https://bugs.launchpad.net/bugs/1229430.
  * Unify the loading of the picker screen and the main screen, as I see no reason for them to be in separate Loaders.
  * Save the selected tab so when we restart the app we get back to the same tab
  * Include tests in the qmlproject files, for convenience
  * Add autopilot tests (only partially working)
  * Make AP tests work properly on all platforms
  * Add state saving tests for main view too
  * Return to the picture that was last open in events or photo view, if we closed while in that view
  * Restore the currently open album, if any
  * Fix an error preventing the current album to be saved
  * Prevent photos and albums from being restored only the first time
  * If a picture was open when quitting while in an album, return to the same picure on reopening.
  * Refactor some AP tests for less code
  * Add some autopilot tests to verify returning to an opened image
  * Add autopilot tests to verify reopening albums
  * Expand the home directory more properly
  * Rename some symbols for more clarity
  * Fix property type
  * Fix python style issues
  * Use the Tabs emulator to select the current tab instead of reimplementing it
  * Clarify a comment
  * Remove TODO
  * Fix a comment
  * Add missing dependency
  * Explicitly depend on pkg-config instead of having it pulled in by some other package.
  * Temporarily disable the AP tests
  * Add missing imports. Whoops
  * Save the state of the view when restarting the app.
  * Hide the detailed preview in a way that doesn't interrupt flicking
  * Add autopilot tests for the change
  * Fix and improve the unit test
  * Merge changes from trunk
  * Use the SDK thumbnailer instead of the custom one.
  * Remove the built-in thumbnail image provider as it's not used anymore
  * fix navigating of photos requiring 2 swipes Fixes: 1268744
  * Merge changes from trunk
  * Force the thumbnail preview to reload once the editing is finished so that the thumbnailer will regenerate it from the new image data
  * Touch the file when reverting to original so that the thumbnail will be properly regenerated
  * When an image changes, refresh all thumbnails across all tabs
  * Remove the PreviewManager since all the previews are now handled by the SDK thumbnailer
  * Make sure the zoomed pictured has finished loading before we hide the transition one
  * Prepare album add test for working regardless of the number of albums present
  * Add tests for fipping album pages
  * Allow closing the album by paging to the cover
  * Merge changes from trunk
  * Fix tests by returning the correct album from the list
  * Fix event view tests relying on the assumption on number of pictures in tests, on their order and on the fact they would all fit in the view
  * Move an internal property to a common base class so that all tests can access it
  * Fix photo viewer/editor tests by using sample images of the correct size, waiting when necessary on tests, ensuring we go to the right tab and most importantly waiting for event data to be loaded only when dealing with events.
  * In some cases images return with size 0,0, so cover for this case by avoiding divisions by zero and returning sensible defaults
  * Refactor events view tests so that they have their own emulator and don't spill all over gallery_utils and the base class
  * fix one error caused from previous refactor
  * Reapply the album close fix that was mistakenly removed
  * Fix photo delete test to account for the fact that we have 2 more pictures in the list
  * Release back pages when not fully flipping
  * Merge changes from trunk
  * Allow closing to the album cover without closing the whole album
  * Correctly animate opening and closing the AlbumViewer from/to the cover
  * Scale the album cover properly when paging to it
  * Fix the album page flipping test to reflect the fact we don't close the album when paging to the cover
  * Merge changes from trunk
  * Fix broken test from incorrect merge
  * Merge changes from trunk
  * Do not allow swiping past the cover or past the last populated page
  * Fix broken test from incorrect merge from trunk
  * Allow paging back to the cover when in a 2-page spread (e.g. on desktop)
  * Add workaround for bug 1296832 (MouseArea prevents PinchArea from working)
  * Add missing license
  * Fix test for adding videos by replacing videos with two that will end up in the same event on top of the list, so that delegtes will always be there.
  * Fix album page flipping test to account for 2 page spread on desktop
  * Update the database used for confined execution so it includes the 2nd album necessary for the new album flipping tests
  * Fix album navigation, allowing to page all the way to the last page, and to close the album by paging to the cover. Fixes: 1287355
  * fix autopilot test 
  * Show progress indicator while loading photo thumbnails
  * Show progress indicator while loading thumbnails in photo view Fixes: 1295124
  * Asynchronously load the main view so the UI doesn't lock
  * Remove qmlproject file and make all files visible from cmake file
  * Remove dead code which is preventing tests from building
  * Allow filtering the media collection by media type
  * Load the main screen asynchronously to prevent blocking Fixes: 1349124
  * merge changes from trunk
  * Expose content type requested by transfer to QML
  * Refactor the name of the filter and correctly interpret the string passed from the content transfer
  * Implement filtering in QML models so that both media lists and event lists can be filtered by media type
  * Actually filter the lists used by the content picker according to the media type requested by the content transfer
  * Merge changes from trunk
  * Change the type of the mediaTypeFilter to an enum type for faster comparisons
  * Fix problem with uninitialized members
  * Fix tests which could not find the content peer picker
  * Filter the picker lists according to the content type that is being requested by the content hub. Fixes: 1349493
  * Remove some dead code
  * Move the new album title and subtitle strings to QML so they can be translated
  * merge changes from trunk
  * Move the new album strings to QML to make them translatable. Remove some dead code. Fixes: 1364310
  * Implement sharing from the phots and events view while selecting.
  * Translate the desktop files inline
  * Hide the header when launching the share picker. Correctly count selected medias.
  * Fix naming object naming to prevent existing tests from failing
  * Fix a typo and remove unnecessary definition
  * Fix out of tree builds, and simplify
  * fix a silent failure in xgettext by specifying paths correctly
  * Change the share photo message to a generic share because we could be sharing a video too
  * Temporarily merge qtcompat branch
  * More properly fix test
  * Fix incorrect calculation of media types and total media
  * Hide and show the ContentPeerPicker more properly
  * Translate the .desktop file inline Fixes: 1325626
  * Merge changes from trunk
  * Make sure header is hidden even when sharing after coming back from photo viewer
  * Allow sharing from the events or photo view, while selecting. Fixes: 1366820
  * Do not upscale the thumbnail when viewing the unzoomed picture but load a downscaled version of the picture instead
  * Do not upscale the thumbnail when viewing the unzoomed picture but load a downscaled version of the picture instead Fixes: 1376767
  * Scale the album title text based on the album height, so that it appears with the same proportions on all devices
  * If a new album is empty when closing it, delete it
  * Add AP tests
  * Fix positon of album cover pattern chooser
  * Delete the new empty album if the album editor is closed by clicking outside of the album cover Fixes: 1234128
  * Adjust the popover position for the cover pattern editor. Fixes: 1374016
  * Replace internal photo editor with the one from Ubuntu.Components.Extras
  * Remove broken QML file from previous commit
  * Start cleanup the Photo class by removing some editing methods
  * Properly add the PhotoEditor as a Page that gets pused and popped off the stack
  * Remove the edit state and edit database classes
  * Remove the gallery standard image provider and use the photo provider from the extra components
  * Remove dead code
  * Move to QML the choice of using thumbnailer or photo image provider, and simplify the c++ classes as a consequence
  * Remove the photo editing cache, as it is not done in the gallery anymore
  * Properly reload photos when they change in the editor
  * Add copyright header
  * Merge changes from trunk
  * Correctly read the size of the image when first adding it to the database
  * Merge changes from trunk
  * Load a downscaled version of the image that fits the screen using the gallery image provider instead of asking the thumbnailer to do it.
  * Remove debug messages
  * Use the post-edit reload mechanism built into the photo editor instead of manually doing it from qml
  * Do not use thumbnailer to display pictures in the main viewer
  * Save the exif thumbnail after editing the image
  * Directly downscale the images for the viewer instead of asking the thumbnailer to do it (which it would do incorrectly) Fixes: #1412442
  * Make sure the first time a photo is added to the database we read the actual size save it to the database Fixes: #1404170

  [ CI bot ]
  * release trunk into CI Train 
  * Releasing 0.0.67+14.04.20140131-0ubuntu1
  * Releasing 0.0.67+14.04.20140214-0ubuntu1
  * Releasing 0.0.67+14.04.20140306-0ubuntu1
  * No change rebuild against Qt 5.2.1. 
  * Releasing 0.0.67+14.04.20140307-0ubuntu1
  * Resync trunk
  * Releasing 0.0.67+14.04.20140319-0ubuntu1
  * Releasing 0.0.67+14.04.20140321-0ubuntu1
  * Resync trunk
  * Releasing 0.0.67+14.04.20140325-0ubuntu1
  * Releasing 0.0.67+14.04.20140328-0ubuntu1
  * Releasing 0.0.67+14.04.20140408.1-0ubuntu1
  * Releasing 0.0.67+14.10.20140501-0ubuntu1
  * Releasing 0.0.67+14.10.20140505-0ubuntu1
  * Releasing 0.0.67+14.10.20140509-0ubuntu1
  * Resync trunk
  * Releasing 0.0.67+14.10.20140515.1-0ubuntu1
  * Releasing 0.0.67+14.10.20140522-0ubuntu1
  * Releasing 0.0.67+14.10.20140522.3-0ubuntu1
  * Releasing 0.0.67+14.10.20140528-0ubuntu1
  * Releasing 0.0.67+14.10.20140610-0ubuntu1
  * Releasing 0.0.67+14.10.20140618.1-0ubuntu1
  * Releasing 0.0.67+14.10.20140625.1-0ubuntu1
  * Releasing 0.0.67+14.10.20140701-0ubuntu1
  * Releasing 0.0.67+14.10.20140703-0ubuntu1
  * Releasing 0.0.67+14.10.20140718-0ubuntu1
  * Resync trunk
  * Releasing 0.0.67+14.10.20140726-0ubuntu1
  * Resync trunk
  * Releasing 0.0.67+14.10.20140812-0ubuntu1
  * Resync trunk
  * Releasing 0.0.67+14.10.20140814-0ubuntu1
  * Releasing 0.0.67+14.10.20140821-0ubuntu1
  * Releasing 0.0.67+14.10.20140827-0ubuntu1
  * Releasing 0.0.67+14.10.20140906-0ubuntu1
  * Resync trunk
  * Releasing 0.0.67+14.10.20140917-0ubuntu1
  * Releasing 0.0.67+14.10.20140922-0ubuntu1
  * Releasing 0.0.67+14.10.20140925.1~rtm-0ubuntu1
  * Releasing 0.0.67+14.10.20140925.3~rtm-0ubuntu1
  * Releasing 0.0.67+14.10.20141002-0ubuntu1
  * Releasing 0.0.67+14.10.20141008-0ubuntu1
  * Releasing 0.0.67+14.10.20141010-0ubuntu1
  * Releasing 0.0.67+14.10.20141017-0ubuntu1
  * Releasing 0.0.67+15.04.20141112-0ubuntu1

  [ Sebastien Bacher ]
  * Backport changelog from manual saucy upload
  * Backport changelog from manual saucy upload.
  * Have the affirmative action on the right
  * Have the affirmative action on the right Fixes: 1372832
  * Use a Binding to set the gettext domain, fixes the import mode translations
  * Use a Binding to set the gettext domain, fixes the import mode translations Fixes: 1378384

  [ Jussi Pakkanen ]
  * Store original path as an image attribute as required by the thumbnail spec.
  * Store original path as an image attribute.
  * Fix thumbnailer import.
  * Fix thumbnailer import. Fixes: 1368492

  [ Niklas Wenzel ]
  * Change delete message for videos
  * Merge trunk
  * Change video delete message for removeFromAlbumDialog
  * Correct the title for delete dialog based on video or photo. 

  [ Pawel Stolowski ]
  * Added X-Ubuntu-Default-Department-ID key to the desktop file
  * Added X-Ubuntu-Default-Department-ID key to the desktop file. This is required by click scope to support departments for preinstalled applications. 

  [ Penk Chen ]
  * Append /media directory if there is any
  * Added MEDIA_DIR to header
  * Loop through media directories
  * append m_videoDirectories too
  * Append only /media + userName

  [ Víctor R. Ruiz ]
  * Mark strings for translation
  * Update pot file
  * Mark string for localization. Update pot.
  * Fix plurals
  * Fix arg in i18n.tr
  * Fix plural form
  * Refix plural form
  * Fix .desktop localization
  * Remove X-Ubuntu-Gettext-Domain to activate .desktop file localization. 

  [ David Planella ]
  * Revert .pot update to avoid merge conflict in the gallery's silo. It will be updated manually after landing
  * Mark photo deletion strings for translation Fixes: 1365032

  [ Benjamin Zeller ]
  * Make sure gallery-app cmake project works out of the box in the SDK:
  * Merge lp:~phablet-team/gallery-app/gallery-app-remove-qmlproject to remove old project files
  * Make sure gallery-app cmake project works out of the box in the SDK:

  [ Albert Astals ]
  * Update .pot
  * Update .pot

  [ Leo Arias ]
  * Properly override the toolkit toolbar autopilot helper.
  * Updated the copyright year.
  * Fixed typo.
  * 
  * Properly override the toolkit toolbar autopilot helper. 
  * 
  * Update the content picker version on autopilot tests.
  * Update the content picker version on autopilot tests. Fixes: 1358968
  * Fixed get_album_at to not depend on the order of the items on the tree.
  * Updated the other call of open_album_At.
  * Remove the hack to launch the local file.
  * Override the way to show the header.
  * The objectName must be defined on the Action.
  * Updated the share button test.
  * Removed last mentions of the toolbar.
  * Some autopilot imporovements.
  * Slow down the swipe.

  [ Colin Watson ]
  * Link exiv2 statically in click mode.
  * Build-depend on libexpat1-dev and zlib1g-dev to ensure that we can statically link against libexiv2 in click mode.
  * Link exiv2 statically in click mode. Fixes: 1342840
  * Update click framework to ubuntu-sdk-14.10-dev2.

  [ Michael Sheldon ]
  * Implement content-hub import handler
  * Merge from trunk
  * Fix import of files when a file with that name already exists
  * Merge from trunk
  * Merge from trunk
  * Add a content-hub import handler, allowing other applications to add images to the gallery. 
  * Don't register with content-hub until after the gallery manager is fully initialised as new content can arrive at start-up from the import handler
  * Merge from trunk
  * Wait until the media monitor's consistency check has finished before connect to the content hub as this can trigger new images being imported during start up.
  * Merge from trunk
  * Merge from trunk
  * Remove left over debugging
  * Wait until the media monitor has completed its consistency checks before connecting to the content hub. 
  * Add videos as supported content-hub destination and source
  * Place imported videos in ~/Videos
  * If an incoming file doesn't have an extension add one based on the mimetype
  * When creating new filename to avoid overwriting existing files on import, format filename so that original file extension is preserved
  * Adjust placement of '.' in filenames without a suffix
  * Add videos as supported content-hub destination and source type. 
  * Hide media viewer toolbar when share picker is visible
  * Finalize content-hub transfers to allow temporary files to be cleaned up
  * Hide the media viewer toolbar when displaying the share picker. 
  * Finalize content-hub transfers so that temporary files in ~/.cache can be cleaned up by content-hub. 

  [ Michał Sawicz ]
  * New icon.
  * New icon from suru theme. 

  [ Sergio Schvezov ]
  * click building support
  * Allowing Qt to do the right thing for the HUD
  * fixing tests to work for click and minimizing code duplication.
  * Merging trunk
  * Click mode for rc
  * Removing unnecessary set of plugin dir
  * reverting change to locale install dir
  * gallery_dir woes
  * dding README on how to build for click.
  * Click building support and fixing tests to work for click and minimizing code duplication.
  * Using svg icon for click
  * Making GETTEXT dependant on click building
  * Adding script to easily build click package
  * ICON to use GALLERY
  * Adding APP_URIS support and saving Pictures on test run
  * Fixes for running the tests as click.
  * Merging trunk
  * Handling wiped case better
  * Fixing test init for ci
  * Update the framework for ubuntu-sdk-14.04-dev1 and apparmor 1.1
  * Fix paths for click launching
  * Remove tabs from CMakeLists.txt
  * Fixing click launching
  * Correct click manifest for python3.

  [ Ricardo Salveti de Araujo ]
  * releasing package gallery-app version 0.0.67+14.04.20140408.1-0ubuntu2
  * releasing package gallery-app version 0.0.67+14.10.20140505-0ubuntu2

  [ Dimitri John Ledkov ]
  * Fix sample_dir to be detected relative current test (regardless of type) and not depend on /home/xnox/canonical/gallery-app.
  * Use pkg_resources API to retrieve sample_dir. 
  * Correct click manifest for python3.
  * missing comma

  [ Chris Gagnon ]
  * pep8 fixes, move functions in to emulator where they belong
  * more pep8 fixes
  * update album view proxy object
  * refactor flaky tests
  * remove unneeded sleep
  * apply py3 patch from barry, [https://launchpad.net/~barry]
  * fix doc string, change _swipe_setup and swipes, use pointing_device from gallery_util, get self.media_view in setup instead of property
  * fix flakyness, pep8 fixes and make work on desktop
  * fix tests on desktop, 

  [ Barry Warsaw ]
  * Use pkg_resources API.
  * Give these files some content.
  * Fix path.

  [ Automatic PS uploader ]
  * Releasing 0.0.67daily13.05.22ubuntu.unity.next-0ubuntu1, based on r668
  * Releasing 0.0.67daily13.05.22ubuntu.unity.next-0ubuntu1 to ubuntu.
  * Releasing 0.0.67daily13.05.31.1ubuntu.unity.next-0ubuntu1, based on r677
  * Releasing 0.0.67daily13.05.31.1ubuntu.unity.next-0ubuntu1 to ubuntu.
  * Releasing 0.0.67daily13.06.05-0ubuntu1, based on r683
  * Releasing 0.0.67daily13.06.05-0ubuntu1 to ubuntu.
  * Releasing 0.0.67daily13.06.11-0ubuntu1, based on r696
  * Releasing 0.0.67daily13.06.11-0ubuntu1 to ubuntu.
  * Releasing 0.0.67daily13.06.12-0ubuntu1, based on r708
  * Releasing 0.0.67daily13.06.12-0ubuntu1 to ubuntu.
  * Releasing 0.0.67daily13.06.13-0ubuntu1, based on r713
  * Releasing 0.0.67daily13.06.13-0ubuntu1 to ubuntu.
  * Releasing 0.0.67daily13.06.14.1-0ubuntu1, based on r719
  * Releasing 0.0.67daily13.06.14.1-0ubuntu1 to ubuntu.
  * Releasing 0.0.67daily13.06.17-0ubuntu1, based on r726
  * Releasing 0.0.67daily13.06.17-0ubuntu1 to ubuntu.
  * Releasing 0.0.67daily13.06.18-0ubuntu1, based on r730
  * Releasing 0.0.67daily13.06.18-0ubuntu1 to ubuntu.
  * Releasing 0.0.67daily13.06.19-0ubuntu1, based on r734
  * Releasing 0.0.67daily13.06.19-0ubuntu1 to ubuntu.
  * Releasing 0.0.67daily13.06.21-0ubuntu1, based on r741
  * Releasing 0.0.67daily13.06.21-0ubuntu1 to ubuntu.
  * Releasing 0.0.67daily13.06.25-0ubuntu1, based on r748
  * Releasing 0.0.67daily13.06.25-0ubuntu1 to ubuntu.
  * Releasing 0.0.67+13.10.20130626-0ubuntu1, based on r750
  * Releasing 0.0.67+13.10.20130626-0ubuntu1 to ubuntu.
  * Releasing 0.0.67+13.10.20130627-0ubuntu1, based on r753
  * Releasing 0.0.67+13.10.20130627-0ubuntu1 to ubuntu.
  * Releasing 0.0.67+13.10.20130628-0ubuntu1, based on r757
  * Releasing 0.0.67+13.10.20130628-0ubuntu1 to ubuntu.
  * Releasing 0.0.67+13.10.20130701-0ubuntu1, based on r762
  * Releasing 0.0.67+13.10.20130701-0ubuntu1 to ubuntu.
  * Releasing 0.0.67+13.10.20130709-0ubuntu1, based on r770
  * Releasing 0.0.67+13.10.20130709-0ubuntu1 (revision 770 from lp:gallery-app).
  * Releasing 0.0.67+13.10.20130712-0ubuntu1, based on r772
  * Releasing 0.0.67+13.10.20130712-0ubuntu1 (revision 772 from lp:gallery-app).
  * Releasing 0.0.67+13.10.20130718-0ubuntu1, based on r778
  * Releasing 0.0.67+13.10.20130718-0ubuntu1 (revision 778 from lp:gallery-app).
  * Releasing 0.0.67+13.10.20130722-0ubuntu1, based on r781
  * Releasing 0.0.67+13.10.20130722-0ubuntu1 (revision 781 from lp:gallery-app).
  * Releasing 0.0.67+13.10.20130725-0ubuntu1, based on r784
  * Releasing 0.0.67+13.10.20130725-0ubuntu1 (revision 784 from lp:gallery-app).
  * Releasing 0.0.67+13.10.20130729-0ubuntu1, based on r788
  * Releasing 0.0.67+13.10.20130729-0ubuntu1 (revision 788 from lp:gallery-app).
  * Releasing 0.0.67+13.10.20130801-0ubuntu1, based on r790
  * Releasing 0.0.67+13.10.20130801-0ubuntu1 (revision 790 from lp:gallery-app).
  * Releasing 0.0.67+13.10.20130802-0ubuntu1, based on r792
  * Releasing 0.0.67+13.10.20130802-0ubuntu1 (revision 792 from lp:gallery-app).
  * Releasing 0.0.67+13.10.20130808.1-0ubuntu1, based on r795
  * Releasing 0.0.67+13.10.20130808.1-0ubuntu1 (revision 795 from lp:gallery-app).
  * Releasing 0.0.67+13.10.20130808.2-0ubuntu1, based on r796
  * Releasing 0.0.67+13.10.20130808.2-0ubuntu1 (revision 796 from lp:gallery-app).
  * Releasing 0.0.67+13.10.20130809.1-0ubuntu1, based on r798
  * Releasing 0.0.67+13.10.20130809.1-0ubuntu1 (revision 798 from lp:gallery-app).
  * Releasing 0.0.67+13.10.20130809.2-0ubuntu1, based on r800
  * Releasing 0.0.67+13.10.20130809.2-0ubuntu1 (revision 800 from lp:gallery-app).
  * Releasing 0.0.67+13.10.20130813.1-0ubuntu1, based on r807
  * Releasing 0.0.67+13.10.20130813.1-0ubuntu1 (revision 807 from lp:gallery-app).
  * Releasing 0.0.67+13.10.20130813.2-0ubuntu1, based on r809
  * Releasing 0.0.67+13.10.20130813.2-0ubuntu1 (revision 809 from lp:gallery-app).
  * Releasing 0.0.67+13.10.20130820.2-0ubuntu1, based on r817
  * Releasing 0.0.67+13.10.20130820.2-0ubuntu1 (revision 817 from lp:gallery-app).
  * Releasing 0.0.67+13.10.20130821-0ubuntu1, based on r819
  * Releasing 0.0.67+13.10.20130821-0ubuntu1 (revision 819 from lp:gallery-app).
  * Releasing 0.0.67+13.10.20130827-0ubuntu1, based on r823
  * Releasing 0.0.67+13.10.20130827-0ubuntu1 (revision 823 from lp:gallery-app).
  * Releasing 0.0.67+13.10.20130827.1-0ubuntu1, based on r825
  * Releasing 0.0.67+13.10.20130827.1-0ubuntu1 (revision 825 from lp:gallery-app).
  * Releasing 0.0.67+13.10.20130829.1-0ubuntu1, based on r827
  * Releasing 0.0.67+13.10.20130829.1-0ubuntu1 (revision 827 from lp:gallery-app).
  * Releasing 0.0.67+13.10.20130903-0ubuntu1, based on r831
  * Releasing 0.0.67+13.10.20130903-0ubuntu1 (revision 831 from lp:gallery-app).
  * Releasing 0.0.67+13.10.20130905-0ubuntu1, based on r835
  * Releasing 0.0.67+13.10.20130905-0ubuntu1 (revision 835 from lp:gallery-app).
  * Releasing 0.0.67+13.10.20130918.1-0ubuntu1, based on r839
  * Releasing 0.0.67+13.10.20130918.1-0ubuntu1 (revision 839 from lp:gallery-app).
  * Releasing 0.0.67+13.10.20130919.3-0ubuntu1, based on r842
  * Releasing 0.0.67+13.10.20130919.3-0ubuntu1 (revision 842 from lp:gallery-app).
  * Releasing 0.0.67+13.10.20130920-0ubuntu1, based on r846
  * Releasing 0.0.67+13.10.20130920-0ubuntu1 (revision 846 from lp:gallery-app).
  * Releasing 0.0.67+13.10.20130924.1-0ubuntu1, based on r849
  * Releasing 0.0.67+13.10.20130924.1-0ubuntu1 (revision 849 from lp:gallery-app).
  * Releasing 0.0.67+13.10.20131001.3-0ubuntu1, based on r855
  * Releasing 0.0.67+13.10.20131001.3-0ubuntu1 (revision 855 from lp:gallery-app).
  * Releasing 0.0.67+13.10.20131007.1-0ubuntu1, based on r865
  * Releasing 0.0.67+13.10.20131007.1-0ubuntu1 (revision 865 from lp:gallery-app).
  * Releasing 0.0.67+13.10.20131007.2-0ubuntu1, based on r867
  * Releasing 0.0.67+13.10.20131007.2-0ubuntu1 (revision 867 from lp:gallery-app).
  * Releasing 0.0.67+13.10.20131011.1-0ubuntu1, based on r872
  * Releasing 0.0.67+13.10.20131011.1-0ubuntu1 (revision 872 from lp:gallery-app).
  * Releasing 0.0.67+14.04.20131105-0ubuntu1, based on r880
  * Releasing 0.0.67+14.04.20131105-0ubuntu1 (revision 880 from lp:gallery-app).
  * Releasing 0.0.67+14.04.20131106-0ubuntu1, based on r882
  * Releasing 0.0.67+14.04.20131106-0ubuntu1 (revision 882 from lp:gallery-app).
  * Releasing 0.0.67+14.04.20131217-0ubuntu1, based on r892
  * Releasing 0.0.67+14.04.20131217-0ubuntu1 (revision 892 from lp:gallery-app).
  * Releasing 0.0.67+14.04.20140108.2-0ubuntu1, based on r902
  * Releasing 0.0.67+14.04.20140108.2-0ubuntu1 (revision 902 from lp:gallery-app).

  [ daker ]
  * Fixed the loading screen
  * Use Column instead
  * Fixed the loading screen. Fixes: https://bugs.launchpad.net/bugs/1262004.

  [ Adnane Belmadiaf ]
  * Minor tweaks

  [ Dmitrijs Ledkovs ]
  * Remove gstreamer0.10-ffmpeg dependency. (LP: #1254033)
  * Remove gstreamer0.10-ffmpeg dependency. (LP: #1254033). Fixes: https://bugs.launchpad.net/bugs/1254033.

  [ Omer Akram ]
  * first attempt at writing autopilot tests, lets see how well that goes for jenkins.
  * merge
  * add objectName(s) so that tests don't fail on jenkins
  * add sample data, and fix some more
  * adapt
  * more tests
  * experimenting a bit
  * add objectName for albumviewer and more
  * add a bunch of photo viewer tests
  * move album editor tests into its own emulator/tests
  * add more tests
  * reuse code
  * tidy up
  * removed tests as they are now in album_viewer
  * clean
  * add docstrings.
  * merge
  * merge autopilot tests.
  * fix a few tests.
  * merge
  * merge in autopilot
  * 
  * merge
  * 
  * add object name for cropinteractor, fix few tests
  * fix few more tests, failing tests are commenting out, working on them
  * fix all tests for trunk
  * avoid tests failing on jenkins
  * fix
  * merge
  * merge trunk
  * mrge
  * add objectname for chromebar
  * correct some stuff
  * more objectNames
  * fix more tests
  * fix the crap out of this test thing
  * lines fix
  * first batch of autopilot tests for the gallery app.
  * merge trunk
  * change sample source
  * merge trunk
  * pick sample from installed location.
  * merge trunk
  * mrg
  * start work on the branch
  * lets comment out the failing tests for now, tried to fix others
  * remove commented out lines as it turns out all the tests are failing due to wrong cordniates being revealed by the application
  * just experiment
  * merge
  * merge
  * fresh up
  * merge
  * fix universal
  * fix what's fixable, for now
  * fix some autopilot tests and disable others.
  * merge
  * merge
  * merge
  * start to add tests for the photos view
  * start on adding tests for the photos tab
  * add some more
  * remove some commented out tests, add a new one, more coming
  * rename files
  * comment out a failing test for now, will fix soon
  * add more tests to the photos view.
  * rename and fix
  * finally fix em all
  * test a bit of delete dialog
  * merge
  * Add a few new autopilot tests for the goodhope plus renamed a few files to look better.
  * merge
  * add few more autopilot tests
  * hopefully resolve conflicts
  * wait for the photos view to fully appear as it may fail on slow systems.
  * tests deleting a photo works
  * fix line
  * add a few autopilot tests for the events view.
  * add autopilot tests for the photeditor.
  * merge trunk
  * merge
  * merge
  * do not copy sample file to ~/Pictures as now the app supports run time location, also remove those tests which require the sample.jpg file to be in a r+w allowed directories, see next commit msg
  * add a seperate directory for those tests where changes are required to be written to the sample.jpg but since the sample exisits in a readonly place it needs to be copied to a rw location
  * fix
  * do not copy sample.jpg for all tests but only for there where we need to write to the sample file.
  * fix per gunther's comment
  * change sample
  * tidy up the code, no more magic numbers
  * Add autopilot tests for the Photo Editor.
  * make autopilot tests platform aware, port to ap-1.3
  * fix minor autopilot issues
  * port gallery-app to ap 1.3.
  * Dummy commit to test mediumtests runner
  * fix album view tests on touch
  * fix another album view test
  * fix album editor tests on touch
  * removed dummy changelog entry
  * add missing import
  * wait 0.25 secs before opening a photo, this may fix an issue in jenkins where photo is not opened
  * fix a few timing issues for failing tests in jenkins
  * on desktop setup wait 0.25 second before clicking due to timing issues in jenkins
  * increase delay between click
  * decrease delay between clicks to 0.35 sec as previous value made the test run consume more time
  * add a delay of 0.5 between click for the only failing test, restore back to 0.25 sec delay for the general case
  * add comment and missing import
  * bring more sanity into AP tests
  * hopefully fix a final itch for jenkins
  * fix
  * Fix autopilot test: make sure the edit dialog appears before moving the input there
  * hopefull fix the failing test
  * fix per gunther' comments
  * merge trunk
  * merge trunk
  * Fix autopilot test: wait for the edit dialog to fully appear before moving towards it.
  * dummy
  * 
  * fix another ap test
  * fix per suggestions
  * Fix failing tests on touch devices.
  * reduce pep8 complaints
  * Fixes a few pep8 complaints.
  * fix failing test in jenkins, now we wait for the dialog to appear before moving the mouse
  * fix another test which could potetially fail as well
  * simplify by a million
  * fix silly mistake
  * fix long standing failing test on nexus 7 and jenkins
  * Autopilot test: wait for the edit dialog to appear before moving the mouse.
  * drag the tabbar a bit so that the albums button can be clicked on phones, fixes autopilot tests on gallery-app
  * fixes a few autopilot tests on the phone devices.
  * add test for auto enhance
  * add test deleting last photo gets you back to main view
  * merge trunk
  * fix failing tests
  * Add autopilot test for the auto-enhance feature in the edit dialog. Also add a test to make sure that deleting the last photo in the gallery take you back to the main view.
  * autopilot test: make sure the photo is fully zoomed and not animating before unzooming
  * 0 > False
  * make sure the delete dialog is visible before clicking stuff
  * makes the photo zoom autopilot tests more reliable. Fixes: https://bugs.launchpad.net/bugs/1211425.
  * remove our pointing device creation code, rather use from the uitoolkit
  * remove unused imports
  * use pointing device creation code from the UIToolkit emulators.
  * change color of the cancel button per design guidelines
  * Changes the color of the delete dialog's cancel button. Fixes: https://bugs.launchpad.net/bugs/1207399.

  [ Łukasz 'sil2100' Zemczak ]
  * Add build-dep for python
  * Typo
  * Add a build-dependency on python, as needed to get autopilot tests installed.
  * libhud-qt-qml has been renamed to qtdeclarative5-hud1.0
  * libhud-qt-qml has been renamed to qtdeclarative5-hud1.0.
  * Remove sharing of albums LP: #1163862
  * Ensure the toolbar is hidden before interacting with the application.
  * Updating tests in preparation of autopilot 1.4 release.

  [ Christopher Lee ]
  * Fix use of appending kwargs to a list.
  * Fix issue when launching on device.
  * Opinionated refactor
  * Fix for interaction failing
  * Initial updates for AP 1.4
  * Remove typo
  * remove dead code
  * Updated to work with deleting test.
  * Opinionated refactor/minor cleanup
  * Fix for interaction failing
  * Autopilot 1.4 updates
  * Update debian/control for 1.4 version
  * update use of select_single
  * Change use of relying on list index and update method to do what the comment says (was clicking below, now to the left).
  * Updated to not use list index
  * Update using work around for lp:1247698
  * Fix test (including split it into 2 tests)
  * Merge trunk.
  * Merge trunk resolve conflict

  [ Guenter Schwann ]
  * Improve FPS while scrolling in event view
  * Merge from trunk
  * Remove test artifact
  * Improve FPS while scrolling in event view.
  * Use a loader to avoid lots of unneeded bindings and creations
  * Save thumbnails as jpeg always
  * Save thumbnails as jpeg always.
  * * New daily build
  * Use a loader to avoid lots of unneeded bindings and creations.
  * Replace UbuntuShape with a faster custon version (hack with fixed sizes)
  * New daily build
  * Add border to the custom shapes
  * Replace UbuntuShape with a faster custom version.
  * Adjust flick velocity and decleration for faster scrolling
  * Adjust flick velocity and deceleration for faster scrolling.
  * New daily build
  * * Use separate thumbnail with smaller size for the square image in event view and photo overview
  * Use bigger cacheBuffer for event overview. So scrolling is smooth for
  * Use separate thumbnail with smaller size for the square image in event view and photo overview. Fixes: https://bugs.launchpad.net/bugs/1034918, https://bugs.launchpad.net/bugs/1091654.
  * Fix build for tests on i386
  * Fix build for UI tests on i386.
  * * Use "custom UbuntuShape" for the EventCard as well
  * Fix for running gallery within the sources
  * Fix for running gallery within the sources.
  * * Use "custom UbuntuShape" for the EventCard as well
  * Release 0.0.35
  * Release 0.0.35.
  * Release 0.0.36
  * Release 0.0.36
  * Fixes to run the UI tests locally
  * Fixes to run the UI tests locally
  * Use ActiviIndicator instead of an AnimatedImage (with broken source)
  * Use ActiviIndicator instead of an AnimatedImage (with broken source). Fixes: https://bugs.launchpad.net/bugs/1067896.
  * Show busy indicator during editing
  * Show busy indicator during editing.
  * Add missing license header
  * Add missing license headers. Fixes: https://bugs.launchpad.net/bugs/1097082.
  * Enable the albums again
  * Enable the albums again.
  * Fir broken UI tests
  * Delete "dead" files
  * Fix broken UI tests.
  * Delete dead files.
  * Small refactor, to get rid of the Page component
  * Small refactor, to get rid of the Page component.
  * * Release of 0.0.38
  * Release of 0.0.38.
  * * fix, to load the thumbnails instead of the full images
  * Fixes for Qt5 final release packages
  * * include files cleanups
  * * include files cleanups
  * * move all album stuff to a new AlbumsOverview
  * Compile fix
  * Remove dead code / warning
  *  move all album stuff to a new AlbumsOverview.
  * Fix generation of test coverage report
  * Fix to open a photo
  * Fix to open a photo.
  * Fix generation of test coverage report.
  * Fixes for Qt5 final release packages
  * Fixes for Qt5 final release packages
  * Fixes for Qt5 final release packages
  * Fixes for Qt5 final release packages
  * Fixes for Qt5 final release packages
  * Add unit tests for Resource
  * Fix year of copyright
  * Add unit tests for Resource.
  * * load the ablums overview asynchronously
  * * load the albums overview asynchronously
  * Add (empty )documentation to all classes and functions
  * Add QML (empty) documentation
  * Add (empty) QML documentation.
  * Add (empty )documentation to all classes and functions.
  * Fix to open an album on touch devices
  * Fix to open an album on touch devices. Fixes: https://bugs.launchpad.net/bugs/1105134.
  * release 0.0.39
  * Trunk merged
  * release 0.0.39.
  * trunk merged
  * Fixes for Qt5 final release packages
  * Add first support for HUD usage
  * Qt5 final support.
  * * some internal album code reshuffling
  * * Fixes for Qt5 final release packages
  * Merge from trunk
  * * Fixes for Qt5 final release packages
  * Improve resource unit test build
  * Set max. flicking speed in photo view dependent on the grid unit
  * Improve resource unit test build.
  * Set max. flicking speed in photo view dependent on the grid unit.
  * Use SDK Popover component for the album edit and delete menu
  * Add documentation for the AlbumEditMenu
  * Release 0.0.46
  * Release 0.0.46.
  * Move command line parsing to it's own class
  * Use SDK Popover component for the album edit and delete menu.
  * Set album sizes for tablet
  * Calculate spacing in photos grid view instad of a hardcoded value
  * Calculate spacing in photos grid view instad of a hardcoded value.
  * * Remove qthybris dependency
  * HUD actions with parameters added
  * Add exposure compensation for editing, and a EditPreview for live preview
  * Addes exposure editing functionality with live preview (need to be wirerd
  * Wire exposure functionality from HUD to gallery editing
  * HUD support
  * Release 0.0.48.
  * Increase buffer size for event view, so no image loading is visible.
  * HUD support
  * Automaticly detect if the device is a tablet or not
  * Use Screen item to detect gallery is running on a tablet
  * Set bigger album sizes for tablet.
  * Replace magic number by relation to height of the view
  * Increase buffer size for event view, so no image loading is visible.
  * Release 0.0.49
  * Release 0.0.49.
  * Improve debian files
  * Revert source format to 3.0
  * Revert QML changes
  * Update debian files
  * Better description
  * Improve debian files.
  * Use new SDK toolbar for album view and albums view
  * Remove icons from album menu
  * Remove icons from album menu.
  * Better names for tools item for the toolbar
  * * use Qt.resolvedUrl for relative file paths
  * Use new SDK toolbar for album view and albums view.
  * * Update toolbar to work with the next UITK release (0.1.29)
  * * make crop functionality via HUD work
  * * make crop functionality via HUD work
  * Release 0.0.50
  * Release 0.0.50.
  * Fix crash when loading a preview before the preview was created
  * Run on desktop wihtout HUD
  * Rename to ubuntu-gallery
  * Proper App ID confirmed by the HUD guys
  * Run on desktop wihtout HUD.
  * Fix crash when checking if preview/thumbnail exists, but the id contains the URL scheme in addition to the filename. Fixes: https://bugs.launchpad.net/bugs/1117357.
  * Rename to ubuntu-gallery.
  * Release 0.0.51
  * Release 0.0.51.
  * Fix event view for select mode
  * Revert photos tab indent fixes
  * On first album open show the photos instead of a big album cover
  * On first album open show the photos instead of a big album cover.
  * Disable opening a photo from a album, as it is unstable
  * Disable opening a photo from a album, as it is unstable.
  * * Fix exposure live preview
  * Fix color balance preview
  * * Fix exposure live preview
  * Release 0.0.52
  * Release 0.0.52.
  * Add package replacement for goodhope
  * Add package replacement for goodhope.
  * Fix margins for albums in tablet mode
  * Leave select mode in event view when moving to another tab
  * Change title to "Select" when the event view is in select mode.
  * Fix margins for albums in tablet mode. Fixes: https://bugs.launchpad.net/bugs/1123411.
  * New assets and theme for crop
  * Faster page flip
  * Faster page flip in albums. Fixes: https://bugs.launchpad.net/bugs/1124184.
  * Increase the size of the touch sensitive are of the crop handles
  * Release 0.0.53
  * Release 0.0.53.
  * New assets and theme for crop.
  * Unload album view when not used anymore
  * Unload album view when not used anymore.
  * Release 0.0.54
  * Release 0.0.54.
  * Plish album open animation
  * Polish album open animation. Fixes: https://bugs.launchpad.net/bugs/1123453.
  * Disable first/last page close album behaviour
  * Fix for portrait mode
  * Show an ActivityIndicator when loading a thumbnail in event view
  * Code in more declarative style
  * Show an ActivityIndicator when loading a thumbnail in event view. Fixes: https://bugs.launchpad.net/bugs/1116689.
  * Release 0.0.55
  * Release 0.0.55.
  * Disable first/last page close album behaviour. Fixes: https://bugs.launchpad.net/bugs/1123441.
  * Remove old stuff used for name transition
  * Remove old stuff used for name transition.
  * Use the preview to show first in the albums.
  * Merged trunk
  * Use the preview to show first in the albums.
  * Release 0.0.56
  * Release 0.0.56.
  * Do the color balance transformation on the final image (LP: #1128571)
  * Rever in docu to shader implementation
  * Release 0.0.57
  * Fix date/time in changelog
  * Release 0.0.57.
  * Add unit test
  * Remove the author, as I usually don't use that inthe license header
  * Fixunit test on ARM platform
  * Fix typeo
  * Fix typo in documentation
  * Reuse the color variable during transformation
  * Keep showing the preview while the image is transformed (and spinner shown)
  * Do the color balance transformation on the final image (LP: #1128571). Fixes: https://bugs.launchpad.net/bugs/1128571.
  * Release version 0.0.58
  * Release 0.0.8.
  * Fix the autopilot tests
  * Fix the autopilot tests.
  * Fix photo editing autopilot tests
  * Fix photo editing autopilot tests.
  * Make test usable, even ia an older test didn't clean up the test data dir
  * Make test usable, even ia an older test didn't clean up the test data dir.
  * Fix running tests when installed from a package
  * Fix running tests when installed from a package.
  * Set packages for the autopilot tests
  * Set packages for the autopilot tests.
  * Use 4 spaces to indent in whole project
  * Use 4 spaces to indent in whole project.
  * More stable photo tests
  * More stable photo tests.
  * Use another way to reveal the toolbar
  * Use hopefully more stable code to reveal the toolbar.
  * In the test, give gallery the time to save and create the thumbnails before final cleanups
  * add a FIXME, as using sleep() is no good idea
  * In the test, give gallery the time to save and create the thumbnails before final cleanups.
  * Listview instead of Repeater for organic view (works except animation)
  * Link to Qt bug for the animation error
  * Use OrganicMediaList as delegate directly
  * ListView instead of Repeater for organic view.
  * Removing unused files
  * Removing unused files.
  * (Re-)Enable "add (to)" album and opening photo view from album
  * (Re-)Enable "add (to)" album and opening photo view from album.
  * Use 4 spaces to indent in QML files
  * Use 4 spaces to indent in QML files.
  * Release 0.0.60
  * Release 0.0.60.
  * Fix autopilot tests after EventView and SDK breakages
  * Rename to gallery-app
  * Add the debian links file for compatibilty
  * Support new and old SDK Toolbar in autopilot tests
  * Fix the cancel button
  * Do release of new name
  * Revert the last name change entry in changelog
  * Rename to gallery-app.
  * Fix autopilot tests after EventView and SDK breakages.
  * Prepare depenedent package renaming on Qt 5.0.1 update
  * Rename autopilot test package to gallery_app
  * Rename autopilot test package to gallery_app.
  * Use Dialog instead of Popover for photo delete
  * Use Dialog instead of Popover for photo delete.
  * Fix missing renames to gallery-app
  * Disable unstable tests for now
  * Disable unstable tests for now.
  * Prepare depenedent package renaming on Qt 5.0.1 update.
  * Fix missing renames to gallery-app.
  * Release 0.0.62
  * Release 0.0.62.
  * Re-enable pinch to zoom
  * indentation update
  * Fix one empty line
  * Re-enable pinch to zoom.
  * Fix and enable autopilot test for photo delete
  * Enable photos test again
  * Fix and enable autopilot test for photo delete.
  * Enable photos test again.
  * Reenable and polish the crop autopilot test
  * Search for delete dialog and photo viewer more robustly
  * Fix crash opening a photo from the album view, and fix the toolbar handling then
  * Fix for showing photos more than once
  * Fix typos
  * Search for delete dialog and photo viewer more robustly.
  * Reenable and polish the crop autopilot test.
  * Fix crash opening a photo from the album view, and fix the toolbar handling then. Fixes: https://bugs.launchpad.net/bugs/1109206.
  * Release 0.0.63
  * Release 0.0.63.
  * Add toolbar in photos view and implement add, delete and start camera functionality
  * Documentation update
  * Add fixme comment for translation
  * Add toolbar in photos view and implement add, delete and start camera functionality.
  * More stable tests for photos view
  * Makes the photos view tests stable.
  * Get max texture size from OpenGL
  * Remove unneeded include
  * Autopilot test refactoring
  * Move unit tests to test directory
  * Update docu and one function name
  * Documentation update
  * Get max texture size from OpenGL.
  * Move unit tests to tests directory.
  * Autopilot test refactoring.
  * Lazy loading from the DB for the edit stack in Photo
  * At startup add photos to albums in one bulk, not every photo separately
  * Put the album picker in a loader and load it only when needed
  * Release 0.0.64
  * Release 0.0.64.
  * Lazy loading from the DB for the edit stack in Photo.
  * Code cleanups
  * Code cleanups.
  * Put the album picker in a loader and load it only when needed.
  * Use sleep to wait until, tabs don't move anymore
  * Use SVG icon and install it
  * Use sleep to wait until, tabs don't move anymore.
  * At startup add photos to albums in one bulk, not every photo separately.
  * * Move .desktop file and app icons to separate desktop directory
  * Add first test for albums overview
  * Do not install the svg icon
  * Add test for adding an album in albums overview.
  * Update and enable test for album edit
  * Use only one resolution (for now) and use ubuntu-mobile theme
  * Add icons for the hicolor theme as well
  * Use correct directory to install the icons
  * More stable setting new text
  * * put app icons an desktop file in separate desktop directory
  * Update and enable test for album edit.
  * Fix bug of constant redraw when event view is not visible LP:1164425
  * Fix bug of constant redraw when event view is not visible LP:1164425. Fixes: https://bugs.launchpad.net/bugs/1164425.
  * First test for the album viewer
  * Fix code style
  * First test for the album viewer.
  * First unfinished version of new mediaselector
  * * cleanup
  * Fix bottom
  * Merge trunk
  * Tests for the media selector
  * Cleanup
  * Remove old unused qml files
  * New MediaSelector, using SDK components.
  * Make some tests more robust (hopefully)
  * One fix for album editor test
  * * Reduce magic numbers
  * Fix test fir album editor
  * * Better tap function
  * Use a function to indicate the sleep for the UI update
  * Make some tests more robust (hopefully).
  * Sow a button in the toolbar to add photos to an album
  * Put common color to Gallery.js
  * Use better name
  * Wait for 2 seconds on test startup, to make sure, gallery is started
  * In the tests check for the AlbumsOverview to be fully loaded
  * Simpler check for the albums in the tests
  * Use progress instead of status property to see if the loading is finished
  * Fix typo and wrong documentation
  * More robust way to switch to albums view in tests.
  * Remove old unused qml files.
  * Fix issues found yb pep8 and pyflakes
  * Use buttons in the toolbar of the MediaSelector. Fixes: https://bugs.launchpad.net/bugs/1163421.
  * Fix issues found yb pep8 and pyflakes.
  * Add right maring in event view
  * Add right maring in event view.
  * Release 0.0.66
  * Separate the work item from Renato
  * Updated timestamp
  * Release 0.0.66.
  * Cancel on the toolbar is a button instead of a menu item (LP: #1163408)
  * typo
  * For cancel on the toolbar use a button instead of a menu item. Fixes: https://bugs.launchpad.net/bugs/1124128, https://bugs.launchpad.net/bugs/1163408.
  * Use i18n.tr() to translate all user visible strings
  * Merge master
  * Wrap all UI strings in i18ntr() function to prepare translation
  * Typo
  * Wrap all UI strings in i18n.tr() function to prepare translation.
  * Use cmake instead of qmake
  * Add cmake dependency
  * Fix loading qml files from installed application
  * Add support for coverage report
  * Update debian changelog
  * Merge trunk
  * Use pkgconfig to include exiv2
  * Use cmake instead of qmake.
  * Release 0.0.67
  * Release 0.0.67.
  * Smaller default size on desktops
  * Switching tabs by swiping is disabled, so the command can be cleaned up
  * * Fix releaving the toolbar in autopilot tests
  * Shader test - disabling most of qml
  * * Fix releaving the toolbar in autopilot tests
  * Use OpenGLESv2 instead of OpenGL
  * Merge trunk
  * Set changelog entry
  * Fix autopilot reveal and autopilot toolbar buttons click
  * Remove test/asserts for button hovered
  * Remove the camera test totally - it anyway does no meaningful testing
  * Fix autopilot reveal and autopilot toolbar buttons click.
  * Merge trunk
  * Use OpenGL on the desktop, and OpenGL ESv2 on the device
  * merge trunk
  * Speed up thumbnail creation, and limit number of thumbnails on startup
  * Update Toolbar API
  * Smaller default size on desktops.
  * Merge trunk
  * Use OpenGLESv2 instead of OpenGL. Fixes: https://bugs.launchpad.net/bugs/1173286, https://bugs.launchpad.net/bugs/1175260.
  * Merged trunk
  * Smarter way of getting the scale size
  * Speed up thumbnail creation, and limit number of thumbnails on startup.
  * Use Components and PopupUtils for the edit and share Popover
  * Fix broken test
  * Use Components and PopupUtils for the edit and share Popover.
  * Don't update changelog (done automaticly now)
  * Use SDK Popover for cover image menu
  * Trunk merged
  * Autopilot test for album cover menu
  * Update Toolbar API.
  * Improve readability
  * improve test
  * Remove obsolete files
  * Add SlidingPane.qml again, as it should be removed by a separate MR
  * revert last 2 commits
  * Remove obsolete files
  * Use SDK Popover for cover image menu.
  * Remove quit action from HUD
  * Enable orientation change
  * First german translation
  * Add HUD keywords and descriptions
  * Remove translation of empty string
  * Merge trunk
  * Merge trunk
  * First german translation, and everything needed to make it work.
  * Merge trunk
  * Support orientation change.
  * Fixes sharing functionality (LP: 1183460)
  * Fixes sharing functionality (LP: 1183460). Fixes: https://bugs.launchpad.net/bugs/1183460.
  * Remove old unused files
  * Split gallery into static libraries, for better modualirity, and easier testing
  * Remove old unused files.
  * Use ${gallery_src_SOURCE_DIR} instead of "../" to reference to the source directory
  * Remove moc files from cmake files
  * As default save database in $HOME/.local/share
  * Split gallery into static libraries, for better modualirity, and easier testing.
  * Trunk merged
  * Compile fix
  * Refactor PreviewManager to save thumbnails in $HOME/.cache/thumbnails (LP: 1089655)
  * As default save database in $HOME/.local/share/gallery-app.
  * Trunk merged
  * Update thumbnails for autopilot tests
  * Cleanups for tests
  * Remove quit action from HUD.
  * Trunk merged
  * Switching tabs by swiping is disabled, so the command can be cleaned up.
  * Fix typro
  * More robust autopilot tests by using the *_retry functions more often
  * More robust autopilot tests by using the *_retry functions more often.
  * Refactor PreviewManager to save thumbnails in $HOME/.cache/thumbnails (LP: 1089655). Fixes: https://bugs.launchpad.net/bugs/1089655.
  * Remove directories from includes, but set them in the include paths.
  * Trunk merged
  * Add (and empty) video class
  * Trunk merged
  * Work around cmake issues with circular dependencies
  * Move image providers and preview manager to a separate library
  * Trunk merged
  * media does not depend on qml anymore :)
  * Remove many dependencies on photo
  * Add missing files
  * Compile fix
  * Trunk merged
  * Comment the workaround in the cmake files
  * Group and sort includes
  * Trunk merged
  * Trunk merged
  * Remove directories from includes, but set them in the include paths.
  * Trunk merged
  * Comment cmake workaround
  * trunk merged
  * Minor improvements of old (now moved) code
  * Improved ensure_at_least_one_event() function
  * Fix slot names
  * Move image providers and preview manager to a separate library.
  * Improved ensure_at_least_one_event() function.
  * Remove many dependencies on photo.
  * Trunk merged
  * Add preview Paths to Video class
  * Add documentation
  * Move file timestamp from Photo to MediaSource
  * Move the texture size out of MediaSource
  * Reduce old dependencies in cmake files
  * Use Qt coding style for util
  * Use Qt coding style for core
  * Use Qt coding style for medialoader
  * Use Qt coding style for media
  * Use Qt coding style for album
  * Use Qt coding style for database
  * Use Qt coding style for event
  * Use Qt coding style for photo
  * Use Qt coding style for qml
  * Use Qt coding style for src
  * Fix signal names in QML
  * Trunk merged
  * Trunk merged
  * Trunk merged
  * Trunk merged
  * Trunk merged
  * More altered -> changed
  * Trunk merged
  * Better argument name (to not clash with member variable)
  * Clean up video cmake files
  * Add initial video class.
  * Use Qt coding style for util.
  * Use Qt coding style for core.
  * Use Qt coding style for medialoader.
  * Use Qt coding style for media.
  * Use Qt coding style for album.
  * PreviewManager does the loading and orientating of photos on it's own
  * Update bzr ignore file
  * Add files generated by running unit tests
  * Use Qt coding style for database.
  * Use Qt coding style for event.
  * Use Qt coding style for photo.
  * Update bzr ignore file.
  * Update for some better names
  * Support to translate the .desktop file
  * Trunk merged
  * Update ignore file
  * Update documentation
  * Fix one variable name
  * Use Qt coding style for qml.
  * Use Qt coding style for src.
  * Add X-Ubuntu-Gettext-Domain to desktop file
  * Trunk merged
  * Sort the files for translation
  * Support to translate the .desktop file.
  * Show thumbnail in gallery for videos
  * Trunk merged
  * Update documentation
  * Trunk merged
  * Use a factory class instead of havin the static load functions in Photo/Video
  * Fix updating thumbnails
  * Fix updating thumbnails.
  * Rudimentary video playback functionality
  * Add play/pause to toolbar when showing a video
  * Update translation file
  * Trunk merged
  * Fix autopilot tests using the toolbar buttons
  * Fix autopilot tests using the toolbar buttons.
  * Trunk merged
  * Show thumbnail in gallery for videos.
  * Trunk merged
  * Support multiple directories
  * Trunk merged
  * Use ~/Videos as default media directory in addition to ~/Pictures
  * Fix autopilot tests
  * Put video player in a loader and destry it after playback
  * Fix unit test
  * Clean up dependencies
  * Run gallery in fullscreen
  * Run gallery in fullscreen.
  * Unit tests for MediaObjectFactory
  * Trunk merged
  * Multi directory support, and use ~/Videos as default media directory in addition to ~/Pictures.
  * Trunk merged
  * Trunk merged
  * Unit tests for MediaObjectFactory.
  * Rudimentary video playback functionality.
  * Unit test for MediaObjectFactory::create()
  * Fix parameter name
  * Unit test for MediaObjectFactory::create().
  * Trunk merged
  * Add autopilot test for video support
  * Add autopilot test for video support.
  * Close PhotoViewer when last media is deleted (LP: #1131802)
  * Close PhotoViewer when last media is deleted (LP: #1131802). Fixes: https://bugs.launchpad.net/bugs/1131802.
  * PreviewManager does the loading and orientating of photos on it's own.
  * Album picker can add an album
  * Trunk merged
  * Use UbuntuShape until there is a proper asset
  * Play automatically when directly launching the video
  * Play automatically when directly launching the video. Fixes: https://bugs.launchpad.net/bugs/1170052.
  * Album picker can add an album. Fixes: https://bugs.launchpad.net/bugs/1163403.
  * New arrangement for the qml files and cleanups
  * Fix path for empty album
  * Fix install
  * New arrangement for the qml files and cleanups.
  * Add command line arguments for photo and video pick mode
  * Add command line arguments for photo and video pick mode.
  * Better and more startup feedback
  * Delete startup timer after startup is completed
  * Show a special UI for picking content
  * Trunk merged
  * Use new design for organic view
  * Better and more startup feedback.
  * Fix autopilot test
  * Show a special UI for picking content mode.
  * * remove qml dependency from album
  * * remove qml dependency from album
  * Remove dependency of media on events
  * Use new design for organic view. Fixes: https://bugs.launchpad.net/bugs/1193001.
  * Remove dependency of media on events.
  * Put the file monitorin an extra thread
  * Remove query to update the mediatable rows at startup
  * Remove query to update the mediatable rows at startup.
  * Faster startup 
  * Put the file monitorin an extra thread.
  * Trunk merged
  * Fix typo
  * Load the media object from the DB without checkin for the files (and separate queries)
  * Faster startup
  * Trunk merged
  * Fix editing a photo
  * Add a unit tests
  * Improve delete tests
  * Minor cleanup
  * Load the media object from the DB without checkin for the files (and separate queries)
  * Reduce use of singleton
  * Oder sun projects by layer, not by alphabet
  * Use old includes, because of dependency issues
  * Reduce use of singleton.
  * More robust test for opening a photo
  * Disable test, that blocks the UI
  * Don't do file monitoring during editing
  * More robust test for opening a photo.
  * Don't do file monitoring during editing.
  * Separate copyright for visual items
  * Minor performance improvement comparing MediaSource dates
  * Minor performance improvement comparing MediaSource dates.
  * Remove sharing of albums LP: #1163862
  * Work around SDK bug
  * Separate copyright for visual items.
  * Run edit operations in a background task
  * Properly block undo/redo
  * Run edit operations in a background task. Fixes: https://bugs.launchpad.net/bugs/1011710.
  * Update autopilot test to newest SDK
  * Update autopilot test to newest SDK. Fixes: https://bugs.launchpad.net/bugs/1207647.
  * Start to use the UITK emulators
  * Close the toolbar when an editing operation was selected
  * Close the toolbar when an editing operation was selected.
  * Trunk merged
  * Fixing todos
  * make pyflakes happy
  * Fix test
  * Start to use the UITK emulators.
  * Use UITK emulator functions for the toolbar buttons
  * Remove old commented code
  * Fix test
  * Long press in event view enters selection mode
  * * remove function that is only there for pyflakes to not complain
  * better check for the delete dialog in photo view
  * Handle file names correctly to not accidentially delete photos
  * Use more const
  * Handle file names correctly to not accidentially delete photos.
  * Better getter functions for the delete dialog
  * Long press in event view enters selection mode. Fixes: https://bugs.launchpad.net/bugs/1086416.
  * Create vido thumbnails from the videos
  * Use UITK emulator functions for the toolbar buttons.
  * Fix unit video test
  * Use UITK functions to switch tabs in autopilot tests
  * Create vido thumbnails from the videos.
  * Remove unused GreaterThan import
  * Use UITK functions to switch tabs in autopilot tests.
  * Fix crash on exit
  * Fix crash on exit. Fixes: https://bugs.launchpad.net/bugs/1211334.
  * * read video metadata from video file
  * Clean up cmake files
  * Additional test when opening the edit popover
  * More cleanup
  * Better test for new album cover
  * More tests for the delete dialog
  * In tests wait for edits to have finished
  * Put spinner test in separate function
  * Add an emulator for the MediaViewer
  * Additional test when opening the edit popover.
  * Trunk merged
  * Clean up cmake files.
  * Trunk merged
  * Set define/flag for mediainfo correctly
  * Explain why libzen-dev dependency ist explicitly set
  * Fix package creation
  * * read video metadata from video file
  * Use content hub for content picking
  * Trunk merged
  * * be more strict about compiler warnings and errors
  * Add script to compile and run gallery on the device
  * * be more strict about compiler warnings and errors
  * Minor cmake improvement
  * Trunk merged
  * trunk merged
  * * remove (wrong) author of copyright
  * * cleanups for the autopilot tests
  * * cleanups for the autopilot tests
  * Pick mode always shows photos and videos and is multiselection
  * Pick mode always shows photos and videos and is multiselection.
  * Trunk merged
  * Dynamicly switch to pick mode if needed
  * Fix to start with --pick-mode
  * Better name for "normal" mode of gallery
  * Fix comments from MR
  * Use content hub for content picking.
  * Return urls not filenames to content hub
  * Fix test for the toolbar using the old active property
  * Force share component fixed verison or later
  * Use another function to switch to album tab
  * Maybe some more time helps?
  * Revert last changes
  * Fix test for the toolbar using the old active property. Fixes: https://bugs.launchpad.net/bugs/1218953.
  * Trunk merged
  * Return urls not filenames to content hub.
  * Get and use single/multiselection in pick mode from transfer object
  * Add missing include
  * Fix bug closing the album view LP: #1207395
  * Enable delete in album view (close view without animation) fixes LP: #1163437
  * Trunk merged
  * Always quit gallery after picking for now
  * Enable delete in album view (close view without animation) fixes LP: #1163437. Fixes: https://bugs.launchpad.net/bugs/1163437.
  * Fix bug closing the album view LP: #1207395. Fixes: https://bugs.launchpad.net/bugs/1207395.
  * When adding a new album, go to album edit directly Fixes LP: #1163414
  * Get and use single/multiselection in pick mode from transfer object.
  * Fix autopilot on device
  * When adding a new album, go to album edit directly Fixes LP: #1163414. Fixes: https://bugs.launchpad.net/bugs/1163414.
  * Fix getting the correct selection type fixes LP: #1229801
  * Not sure why Transfer::SelectionType::single is nneded instead of Transfer::single but it fixes the MR for newer images
  * Fix getting the correct selection type fixes LP: #1229801
  * Do not quit gallery when done with picking content fixes LP: #1236308
  * Quit app after picking content when startet in conent pick mode
  * Put share panel in a Loader
  * Put share panel in a Loader. Fixes: https://bugs.launchpad.net/bugs/1221266.

  [ Matthew Fischer ]
  * Move the icon path to apps
  * merging from trunk
  * Fix the path for the icon.
  * Disable the installation of the icon into the ubuntu-mobile theme since
  * Remove the icon from the package. Fixes: https://bugs.launchpad.net/bugs/1235070.

  [ Ted Gould ]
  * Matching the application ID to what the Platform API gives
  * Change HUD application ID to "goodhope".
  * Adding single instance marker to the desktop file
  * Adding single instance marker to the desktop file.

  [ Gerry Boland ]
  * Accept but ignore --desktop_file_hint command line switch
  * Accept but ignore --desktop_file_hint command line switch. Fixes: https://bugs.launchpad.net/bugs/1088934.
  * Change name in desktop file to suit dash
  * Change name in desktop file to suit dash on phablet. Fixes: https://bugs.launchpad.net/bugs/1126482.
  * Application module name changed, update the UbuntuApplicationWrapper
  * Application module name changed, update the UbuntuApplicationWrapper.

  [ Chris Wayne ]
  * Don't need to set font or color for Label, as it should just be inherited by the theme
  * Also removing font from PopupAlbumPicker label, as its unnecessary
  * In EventCard.qml, there's no reason to explictly set the font or the color for label, as that should just be inherited by the theme. Fixes: https://bugs.launchpad.net/bugs/1220352.

  [ Robert Bruce Park ]
  * debian/control cleanup.
  * Resize icons to fit precisely in the space they claim to.
  * Add lintian override.
  * Fix lintian warnings as per http://paste.ubuntu.com/5741741/.
  * Put the missing dependency in the right place, not here.
  * Put the dependency in the right place, not here.

  [ David Henningsson ]
  * Remove dependency on qtubuntu-media (not wanted on PulseAudio image)
  * qtubuntu-media dependency should be part of the touch seeds instead.

  [ Kaleo ]
  * Use Label instead of TextCustom that was renamed/deprecated in the SDK.
  * Use Label instead of TextCustom that was renamed/deprecated in the SDK.
  * New daily build
  * releasing version 0.0.34
  * releasing version 0.0.34.
  * releasing version 0.0.37
  * release.
  * Make sure the photo viewer height is the size of the window by overriding the default height set by Page.
  * Make sure the photo viewer height is the size of the window by overriding the default height set by Page. Fixes: https://bugs.launchpad.net/bugs/1204327.

  [ Javier Collado ]
  * Removed unused imports
  * Fixed long lines
  * Removed whitespace in empty line
  * Fixed indentation
  * Marked comment as such
  * Fixed static analysis problems in autopilot test cases source code.

  [ tpeeters ]
  * Use Ubuntu.Components.Button instead of PopupDialogButton in PopupActionCancelDialog
  * Use Ubuntu.Components.Button instead of PopupDialogButton in PopupActionChoiceDialog
  * Remove PopupDialogButton
  * Update ToolbarIconButton to inherit from Ubuntu.Components.ButtonWithForeground
  * update ToolbarTextButton to be a subclass of Button
  * remove ToolbarTextButton and use Button instead.
  * use pressAndHold signal that was added to the AbstractButton.
  * Fix the missing mouseArea property in AbstractButton by using the newly added pressAndHold signal.
  * replace ButtonWithForeground by transparent Button
  * Replace ButtonWithForeground by Button with transparent background theme.
  * add objectName to Loader in GalleryApplication.qml to find it with autopilot
  * add objectName to Loader in GalleryApplication.qml to find it with autopilot.
  * Add ChromeBar and ChromeButton components
  * add chromebar
  * Remove from album in delete menu when in album
  * releasing version 0.0.25
  * working on integration
  * daily release.
  * 
  * 
  * add back icon
  * use back icon
  * add icons
  * clean
  * remove references to chrome, and remove timers for hiding chrome
  * hide chrome bar by default
  * hide chrome bar on left/right swipe
  * re-introduce the chromeFadeWaitClock
  * remove DeletePopover ReferenceError
  * update ubuntu shape radius and font weight for event card
  * remove orange bar + update (invisible) mouse area
  * clean code
  * add share menu
  * Use ChromeBar and Popovers in photo viewer.
  * merge trunk
  * First version with new tabs
  * merge trunk
  * don't use navbar scroll orchestrator
  * pass photo url to facebook
  * fix photo path
  * clean
  * clean
  * Use medium-radius UbuntuShapes in overview; use bold Ubuntu font in EventCard.
  * remove add to album popup
  * add toolbar to event overview
  * add chromebar to event view and selection mode
  * re-add add button
  * remove ViewerChrome from Overview
  * clean
  * merge trunk
  * propagate composed events
  * merge trunk
  * previous commit was merge more-tabs branch
  * Add chromebar to event and selection views.
  * merge trunk
  * Use UITK tabs.
  * fix packaging
  * Fix packaging. Thanks Ricardo Mendoza.
  * new share menu.
  * fix gallery size issue on phone
  * fix gallery size issue on phone. Fixes: https://bugs.launchpad.net/bugs/1087644.
  * add alwaysVisible property to chromeBar
  * revert removing of blank line
  * link to bug
  * Always show the bottom toolbar when in selection mode. Fixes: https://bugs.launchpad.net/bugs/1087373.
  * update delete popovers
  * new share icon
  * New share icon for the toolbars.
  * avoid code duplication
  * Update delete popovers. Fixes: https://bugs.launchpad.net/bugs/1092871.
  * integrating in gallery
  * CORRECTION: integrating toolbar in gallery
  * use toolbar
  * proper cancel button
  * make it run without any toolbar
  * use the Actions from SDK to define toolbar
  * remove debugging code and comments
  * Use SDK classes for the toolbar.
  * use new ToolbarActions
  * fix issue caused by entering event view in selection mode with the toolbar hidden
  * re-enable HUD
  * onSelectionModeChanged not needed
  * Update toolbar to work with the next UITK release (0.1.29).
  * changes to run on desktop
  * Use the new header and toolbar
  * revert hud-removal changes
  * merge trunk
  * no HUD
  * make album editor animated a page
  * show toolbar in album editor by default
  * revert locking and showing the toolbar in album editor
  * move tools to AlbumEditor
  * merge trunk
  * revert commenting-out of HUD
  * put root.header.hide() on its own line
  * HUD off
  * move page properties from AlbumViewerAnimated to AlbumViewer
  * HUD on
  * Use the updated header and toolbar from the SDK.
  * run on desktop
  * make it work with new ToolbarActions (tim's tools branch)
  * revert run on desktop
  * Update the type of tools properties to be compatible with upcoming changes in UITK.
  * run on desktop
  * use new tools API
  * album tests pass
  * fix tests
  * fix test_album_view
  * clean
  * undo changes to run on desktop
  * merge trunk
  * fix type of videoToolbar property
  * Use new toolbar API.

  [ Michael Terry ]
  * Modernize and clean up packaging
  * add a notice about uploading to trunk vs archive
  * Update packaging to be more modern.  Sort Build-Depends and Depends, only build for architectures that qtdeclarative supports, fix a copyright typo, use --fail-missing, and fix some lintian warnings.
  * Use bzr-builddeb split mode
  * Use bzr-builddeb split mode.
  * Add bootstrap message for daily-release
  * Add bootstrap message for daily-release.
  * Port to HUD 1.0
  * Port to HUD 1.0.

  [ Didier Roche ]
  * add bootstrap commit message for daily release
  * add bootstrap commit message for daily release.

  [ Ying-Chun Liu ]
  * Add X-Ubuntu-Touch field into desktop file.
  * Add X-Ubuntu-Touch field into desktop file.
  * * Delete unused debian/gallery-app.links.
  * Tweak debian/changelog.
  * Add X-Ubuntu-Touch field into desktop file.

  [ Benjamin Kerensa ]
  * Add Homepage Field
  * Comply with Debian Policy.

  [ Michael Zanetti ]
  * added initial autopilot structure. No actual test yet.
  * added a package containing autopilot tests
  * install autopilot tests as python package to make them re-usable for integrational tests
  * use pointing_device instead of mouse to make it run on the phone too
  * fix running the tests without installing them
  * fix waiting for ChromeBar to become visible
  * change make target coverage-gcovr to coverage-xml
  * change make target coverage-gcovr to coverage-xml
  * GPLv3, not any later one
  * release
  * GPL v3, not any later version.

  [ Antti Kaijanmäki ]
  * add the parameterized actions.
  * merge from upstream.
  * fix commitLabel property and add some stub debug.
  * Clean up the placeholder code a bit.
  * HUD support.
  * Hook up the HUD Toolbar Quit button.
  * Merge from upstream.
  * Hook up to the HUD Toolbar Quit button.
  * work around touch event handling bug with HUD parameter view.
  * no reason to make things complicated..
  * remove unending recursion.
  * Don't flick during parameterized HUD action.
  * * Don't flick during parameterized HUD action.
  * Add HUD dummy Actions.
  * Add HUD dummy Actions. Fixes: https://bugs.launchpad.net/bugs/1125656.

  [ Nicolas d'Offay ]
  * Created GalleryManager class which manages all other classes which have been refactored from by singletons.
  * Moved public members above private members.
  * Deleted members, other minor semantic based refactoring. Would have been some serious mem leakage.
  * Moved more calls and members from GalleryApplication to GalleryManager.
  * Another minor change moved global to member.
  * Got rid of unused gallery_mgr pointer in GalleryApplication.
  * Removed comments left in as safety measures. Some old code written by the previous maintainers had a call to an init() function which didn't actually initialise the class, I had left the class instance in place just as a precautionary measure.
  * Refactored singletons to use base GalleryManager class.
  * Images are now created upon request rather then up front when the gallery is created.
  * Merged trunk.
  * Added support to the unit tests for newly created classes, removed GalleryApplication as a dependency. Fixed path issues loading pictures.
  * Added new unittest .cpp's, removed commented out code.
  * Changed - to correct. on header include.
  * Correct file path added to images.
  * Added copyright to new cpp files.
  * Added query to image url's to check whether we're loading a full image or a thumbnail.
  * Minor refactoring of prior load image by level.
  * Added unit test for gallerystandardimage.
  * Merged thread safe fixes into my branch.
  * Cleaned up last commit after review comments.
  * Some more trimming.
  * Added test for IdToFile.
  * Added test for size_level, moved all tests into single function.
  * Fixed bug getting the image. Added a correct PreviewFromFilename test.
  * Fixed thumbnail name test.
  * Fixed thumbnail case from idToFile.
  * Final fix for the test. Mistype.
  * Added correct thumbnail path.
  * Removed comment.
  * Final commit of path definitions to test.
  * Fixed test with thumbnail appended character.
  * Hopefully fixed idToFile now.
  * More redoing of idToFile to try pass tests.
  * Sets the value now in our idToFile correctly.
  * Changed path to absolute path.
  * Added full screen or preview case for image creation as well as a unit test for gallerystandardimage.
  * Minor refactoring based on comments.
  * Got rid of friend command line test and changed form factor in command line parser to const &.
  * Changed form_factor member to use implicit Qt sharing.
  * Merged trunk.
  * Changed initialisation order of command line parser test. Used init and cleanup functions for test instead of constructor and destructor.
  * Move command line parsing to it's own class.

  [ Ricardo Mendoza ]
  * Remove qthybris dependency
  * Remove qthybris.

  [ Thomas Moenicke ]
  * adding a property maxSize for max scaling of a picture. The value is hardcoded to 2048, as GL_MAX_TEXTURE_SIZE is currently only available in render thread.
  * merged GalleryPhotoComponent and Photocomponent as they always go together
  * setting scale flag in gallery-standard-image-provider to Qt::KeepAspectRatio, instead of Qt::KeepAspectRatioByExpanding
  * moving max texture size query into a central instance: Resource, still provided by media-source though 
  * adding a property maxSize for max scaling of a picture. The value is hardcoded to 2048, as GL_MAX_TEXTURE_SIZE is currently only available in render thread.

  [ Loïc Molinari ]
  * Removed RoundCornerShape temporary hack.
  * Removed RounderCornerShape temporary hack, UbuntuShape from SDK is much faster now.

  [ Jim Nelson ]
  * Added .bzrignore file to ignore generated and local user files.
  * Adds infrastructure of core data structures similar in concept and implementation
  * Merge commit.
  * Create album from photo overview: Closes #899272
  * Merge commit for #899272.
  * Rearranged QML and image files under rc/ directory.
  * Merge commit.
  * Space and size previews according to specification: Closes bug #899347
  * Initial implementation of album overview: Closes bug 899274
  * Enable OpenGL backend and limit video memory used by photo viewer:
  * Album viewer and additional album template page: Closes bug #899275
  * Implements grid view: Closes bug #899270
  * Introduce navigation stack in UIController and link grid view to the
  * Add to existing album from photo viewer: Closes bug #899279
  * Gallery should not display topbar: Closes #907011
  * Tab navigation unavailable in selection mode: Closes #905242
  * Description text now shown when in selection mode: Closes #905248
  * This properly componentizes AlbumPreviewDelegate so that it does not
  * Created new QmlMediaSource which provides a QML interface to the native
  * Create album from album overview: Closes bug #899267
  * Add photos to album from album view: Closes bug #899287
  * PhotoViewer navigation now correct when using glass arrows: Closes bug #906658
  * Removed "to edit" in selection text help as per Calum's request.
  * Source code gardening, an attempt to use some standard rules for naming
  * Further source code gardening, grouping code into folders by
  * Phase one of moving core data model into QML, this makes Photo, Album,
  * Phase two of refactoring data models into QML types.  This removes the
  * Merge commit.
  * Created NavStack component and changed app to begin using it throughout.
  * Fixes problem where wrong photo was displayed in PhotoViewer when launched
  * Fixes problem where album preview wasn't updating properly if photos
  * Fixes issue where PhotoViewer would not always display the starting photo
  * Adds event cards to the Events (nee Photos) Overview page: Closes bug
  * Event cards displayed when creating new album (or adding photos to an
  * Event card may now be selected when creating a new album: Closes bug
  * Photos with no exposure date/time caused crash at startup: Closes bug
  * Event and EventCollection introduced, represented in QML by
  * Event Timeline initial implementation (bug #915655).
  * Further work on Event Timeline (bug #915655): Timeline now accessible
  * Merge.
  * Merge commit.
  * Fixes bug where switching away from Events tab to Albums tab caused
  * Merge commit.
  * Fixes slow startup: Closes bug #922237
  * Event Timeline now corresponds to layout spec: Closes bug #921905
  * Initial steps toward completing bug #905071.  Note that the
  * Further work toward completing bug #905071.  Page flip animation is now
  * Moved more code into AlbumPageComponent and now having other components
  * Final commit to complete album page flip animation: Closes bug #905071
  * Fixes QML errors logged to console: Closes bug #925081
  * Albums now look as in spec: Closes bug #922247
  * Merge commit.
  * Line between rows in Event Timeline: Closes bug #921907
  * Speed up page flip animation and loading images in Photo Viewer
  * More tweaking of Gallery image provider code
  * Album Viewer now loads almost instantaneously: Closes bug #925672
  * Merge commit.
  * Larger thumbnails: Closes bug #926328
  * Album open/close transitions: Closes bug #915665
  * Initial commit for album covers (bug #915656)
  * Album Covers: Closes bug #915656
  * No more console warnings when flipping past end of album: Closes bug
  * Fixes assertion failure when adding events to album: Closes bug #929271
  * Album page indicator: Closes bug #915661
  * Added some comments to explain use and theory of operation of
  * Renamed AlbumPageFlipAnimation to AlbumPageViewer.  Fixed small bugs
  * Merge commit.
  * Fixes album page indictor not being visible if returning to the album
  * Page flip transition now incremental: Closes bug #925830
  * Use grid-units rather than pixels: Closes bug #922231
  * Update album viewer margins: Closes bug #938043
  * Fixed spacing for page indicator: bug #937771
  * Merge commit.
  * First round of coding to add event timeline transition: Bug #915671
  * Second commit for event timeline transition: Bug #915671
  * Event timeline transition no longer causes slow startup
  * Refinements to event timeline transition: Bug #915671
  * Merge commit.
  * Final commit to close bug #915671
  * Merge commit.
  * Fixes intermittent bug I found when adding a specific number of photos
  * Feedback when flipping to back cover: Closes bug #928744
  * Removed unused component NavToolbar
  * Open album while entering album page view: Closes bug #939714
  * Page flip transition fades controls and turns chrome: Closes bug #937801
  * Turns off the fade duration when swiping pages in the album viewer, as per
  * Update Event Timeline layout: Closes bug #943730
  * Smoother page flip transitions with Album Viewer: Closes bug #933570
  * No more blank screen returning from Grid View: Closes bug #949538
  * Merge commit.
  * Event Timeline photos now in proper order: Closes bug #933777
  * Merge commit.
  * First commit toward moving some of Gallery's reusable components into
  * Merge commit.
  * Fixes bug introduced in r146 where the Capetown resources could not be
  * Select All / Select None menu items: Closes bug #955549
  * Album Overview layout shows right-hand page only: Closes bug #955292
  * Return from timeline when user touches photo or card: Closes bug #972755
  * Add Photos view should have select all/none menu: Closes bug #978486
  * Removes console messages during event timeline transition: Closes bug #956485
  * Tap a photo in Album View to view album in Photo Viewer: Closes bug #968387
  * Fixes bug introduced in last commit
  * Update selection mode to new visual design: Closes bug #955524
  * Update Event Timeline to new visual design: Closes bug #985604
  * Merge commit.
  * Display photo count in Event Cards: Closes bug #985215
  * In Photo Viewer, fades photo out as it moves off-screen: bug #922238
  * Display event cards in album grid view: Closes bug #987947
  * Event Transition works again: Closes bug #993661
  * DataCollection now uses a binary insert for single add operations: Closes bug #1067486
  * Merge.
  * Use more efficient string concatenation: Closes bug #1067474
  * Use more efficient string concatenation: Closes bug #1067474
  * Custom image handler now caches image: Closes bug #1081270
  * Refactored image loader to break up method
  * Further refinements to photo caching to reduce flicker and disk loads.
  * Custom image handler now caches image: Closes bug #1081270
  * All DataSource and DataCollection objects are now explicitly marked for C++
  * Merge commit.
  * Editing was broken by caching patch due to how images were keyed in the cache.
  * Merge commit.
  * --fullscreen command-line option.
  * Minor bug: ensure the MediaMonitor is deleted when GalleryApplication is
  * Editing was broken by caching patch due to how images were keyed in the cache. Fixes: https://bugs.launchpad.net/bugs/1083842.
  * All DataSource and DataCollection objects are now explicitly marked for C++ memory ownership. Fixes: https://bugs.launchpad.net/bugs/1062642, https://bugs.launchpad.net/bugs/1068400.
  * Minor bug: ensure the MediaMonitor is deleted when GalleryApplication is deleted.  Also, a small coding style fix.
  * Added --fullscreen to usage.  Cleaned up usage a bit.
  * Merge commit.
  * A bit too aggressive in my merge conflict resolution.  This restores code
  * --fullscreen command-line option.
  * Improve startup time by loading QML subsections on-demand.
  * Command-line option to log image loads.  Useful for debugging and performance
  * Log images loads, useful for debugging and performance analysis.
  * Improve startup time by loading QML subsections on-demand. Fixes: https://bugs.launchpad.net/bugs/1085183.
  * Pass orientation to image loader via URI query parameter.  This avoids
  * Pass orientation to image loader via URI query parameter.  This avoids having to load the image metadata each time to determine its orientation. Fixes: https://bugs.launchpad.net/bugs/1081295.
  * Hides overview when entering Photo Viewer (note that tabs are still visible
  * Merge commit.
  * Make the Event Overview visible before starting the Photo Viewer return
  * Hides overview when entering Photo Viewer (note that tabs are still visible but hidden).
  * Qt's image loader depends on the filename to determine an image file's
  * Qt's image loader depends on the filename to determine an image file's format.  Recent change to preview code to make all thumbnails JPEG left thumbnail file extensions to match master's, meaning new thumbnails for non-JPEG files were not being read. Fixes: https://bugs.launchpad.net/bugs/1087859.
  * Basic Photos view available from tab bar
  * Fixes issues Charles found in code review.
  * Adds basic Photos page, available from tab bar. Fixes: https://bugs.launchpad.net/bugs/1088673.
  * Don't use Loader for Photos Overview tab; causes tab scrolling effect to
  * Merge commit.
  * Don't use Loader for Photos Overview tab; causes tab scrolling effect to stop working (see bug #1088740). Fixes: https://bugs.launchpad.net/bugs/1089089.
  * Use new rounded-corners shape for Photos Overview
  * Use new rounded-corners shape for Photos Overview. Fixes: https://bugs.launchpad.net/bugs/1089513.
  * Use new selection asset in Event Overview
  * Use new selection asset in Event Overview. Fixes: https://bugs.launchpad.net/bugs/1089547.
  * Comment out pinch-to-zoom for demo.
  * Comment out pinch-to-zoom for demo.

  [ Charles Lindsay ]
  * AlbumViewer tells the Album which page is current so it remembers where you left off.
  * Adding a Pager component to unify the ListViews we were using to page through single screens of items.
  * Adding a dissolve transition when switching between album/event views.
  * Fixing the album viewer so you can see the top bar again.
  * Adding a dissolve transition when switching between album page and grid views.  Generalizing the dissolve transition used previously in the Overview.
  * More animations including a new transition for the photo viewer being opened.
  * Adding the transition out from the photo viewer, and all the architectural changes that make that work.  Closes #916141.
  * Ignoring invalid/non-jpeg photos.
  * Long-press now goes into selection mode AND selects the item being pressed.
  * The album pager no longer maintains its page number for different albums.  Fixes #925685.
  * Matching the album page view borders to the spec.  Closes lp #925422.
  * Adding blue borders around images in album overview.  Fixes lp #925800.
  * Long-tapping the camera icon quits the app.  Fixes lp #928490.
  * Import button is now invisible in selection mode.  Fixes lp #925406.
  * Tabs now follow the wireframe spec pretty closely.  Fixes several lp bugs: #925399, #921898, and #925402.
  * The bottom toolbar is now shown/hidden in the album page view similarly to how it is in the photo viewer.  Fixes lp #921913.
  * Photos with no/invalid EXIF exposure date will now show an exposure date of their file creation date.  Fixes lp #918933.
  * Show/hide chrome in photo viewer when zoomed.  Fixes lp #925692.
  * Changing the size of album previews slightly.  Fixes lp #931808.
  * Matching tab font size to spec.  Fixes lp #933637.
  * Fixing signal emission/propagation from albums.  Fixes lp #931812.
  * Divvying up photos in the event timeline per spec.  Fixes lp #921884.
  * Refactoring the toolbar, adding an auto-hide timer.  Fixes lp #899291.
  * Removing the grid view in album view.  Fixes lp #937817.
  * Chrome is always visible in album viewer.  Fixes lp #937830.
  * Re-adding the grid view in album view.  Reverts r109.  Re-fixes bug #937817.
  * Updating the album overview and associated components to match the spec.  Fixes
  * Updating toolbars to match latest wireframes.  Closes bugs #937833 and #937853.
  * Tweaking the new toolbars.  Fixes bug #943648.
  * Allowing opening albums in the overview.  Fixes bug #939711.
  * Animating the album opening/closing in the overview.  Fixes bug #915659.
  * Fixing tab bar border.  Fixes bug #939181.
  * Adding an optional selection cancel button to chrome.  Fixes bug #943648.
  * The event timeline auto-returns to overview after timeout.  Fixes bug #921775.
  * Moving some things around so the open/close album animation looks good with how
  * Making dots in the page indicator "approximate."  Closes bug #937771.
  * Updated event overview layout for latest wireframes.  Fixes bug #943732, works
  * Fixed album viewer's grid view layout to match event overview.  Re-fixes bug #939559.
  * Added mat around photos/event cards in the event overview.  Fixes bug #954539.
  * Fixed photo viewer transition from album grid view.  It had broken with new
  * Massive refactoring of album pages.
  * Reworking the page layouts a little.
  * Huge update to the page model for albums.
  * Updating the overviews with new visual assets.  Fixes bug #954544 and takes a
  * Added an album open/close transition in the overview.  Closes bug #955297.
  * Using left page of open albums in overview.  Fixes bug #969333.
  * Transition for returning to the overview from the album viewer.  Closes bug #955357.
  * Adding transitions when entering albums.  Closes bugs #955345 and #955352.
  * Removing the hack around bug #972941.  Fixes bug #973643.
  * Using new visual style for album covers.  Fixes bug #955534.
  * Making sure all static images are cached.  Also removing ReturnButton, as it
  * Updating event cards to new design.  Fixes bug #933678.
  * Transition to close album when flipping to cover in viewer.  For bug #949407.
  * Updating event overview photos to match mockups.  Fixes bug #973698.
  * Open/close album duration depends on where it's started.  Fixes bug #976715.
  * Albums are ordered descendingly by creation time.  Fixes bug #979175.
  * Adding selection mode to album overview.  Fixes bug #975346.
  * Chrome hides when using page indicator to flip.  Fixes bug #966481.
  * Changing thumbnail sizes in event overview.  Fixes bug #983445.
  * Fixing page indicator when adding pages to existing album.  Fixes bug #978492.
  * Checkerboards better define where their items scroll under.  Fixes bug #983134.
  * Fixing wrong selection mode opacity values.  Fixes bug #987946.
  * Adding selection mode to album viewer.  Fixes bug #975347.
  * Fixing album viewer selection menu popup dismissal.
  * Getting rid of album title in album viewer.  Fixes bug #985600.
  * Removing add to album button everywhere but photo viewer.  Fixes bug #987923.
  * Albums now have subtitles.  Fixes bug #985633.
  * Adding album edit mode.  Fixes bug #988622.
  * Edit existing album.  Fixes bug #992268.
  * Media selector now slides into and out of view.  Fixes bug #987928.
  * Fixed long-pressing in media selector exiting selection.  Fixes bug #992264.
  * Album editor transition.  Fixes bug #988623.
  * Updates toolbars to new visual style.  Fixes bug #985210, part of bug #985200.
  * Added ability to delete albums.  Fixes bug #901886.
  * Added the ability to remove photos from albums.  Fixes bug #899288.
  * Delete photos.  Fixes bug #901887.
  * Fixed photo viewer inconsistent state after delete.
  * Fixed PopupActionChoiceDialog signals.  Fixes bug #1000864.
  * Rotate photo.  Fixes bug #901884.
  * No event cards in album grid view.  Fixes bug #999172 and bug #1000455.
  * Removing unused code.
  * Updated "rotate" visual style to match latest spec.
  * Empty albums are always deleted.  Fixes bug #1004122.
  * Album pages now match the latest design mockup.  Fixes bug #985200.
  * Album pages don't use previews.  Fixing a bug from my last commit.
  * Cancel photo editing.  Fixes bug #1003707.
  * Visual assets for album view page indicators.  Fixes bug #1003431.
  * Implementing photo cropping.  Fixes bug #1007028.
  * Event cards evaporate when all photos deleted.  Fixes bug #1000499.
  * Album grid view visual treatment.  Fixes bug #1007358.
  * Fixing errors creating save points.  Fixes bug #1009700.
  * Revert to original.  Fixes bug #1009131.
  * Recrop from original.  Fixes bug #1009144.
  * Fixing missing reference error.  Fixes bug #1012426.
  * Dark toolbars in photo viewer.  Fixes bug #1003584.
  * Riffle effect when flipping pages.  Fixes bug #915672.
  * Fixing error from selection menu.
  * Updated crop tool to match spec.  Fixes bug #1015238.
  * "Add to album" button takes you to album viewer.  Fixes bug #940428.
  * Jump to first page with added photos.  Fixes bug #987931.
  * Event timeline photo opacity 80%.  Fixes bug #1016578.
  * Close albums when paging past last page.  Fixes bug #949407.
  * Event checkerboard items no longer swipable.  Fixes bug #985027.
  * Undo/redo, plus a better edit pipeline.  Fixes bug #901891.
  * Change album page layout algorithm.  Fixes bug #968386 and bug #1023113.
  * Caching media size in DB.
  * New weekly build.
  * Gallery is resizable.  Fixes bug #907013.
  * Exit/close album from last page more consistent.  Fixes bug #1018975.
  * Event card selection follows media selection.  Fixes bug #1023875.
  * Background texture in event timeline.  Fixes bug #1025476.
  * Album viewer chrome fades in/out.  Fixes bug #1023877.
  * Fade into photo viewer from album page view.  Fixes bug #989009.
  * New weekly build.
  * Tap tab bar to scroll to top.  Fixes bug #1025627.
  * Correctly handle QString to std::string conversion.  Fixes bug #1030126.
  * Resize album editor when window resizes.  Fixes bug #1026409.
  * Remove event timeline timeout.  Fixes bug #1026708.
  * Long press doesn't exit selection mode.  Fixes bug #1032285.
  * Button text is regular weight.  Fixes bug #1034344.
  * Add selection mode toolbar in album grid view.  Fixes bug #1034349.
  * Photo viewer arrows unzoom photo.  Fixes bug #1025475.
  * Launch photo viewer from timeline.  Fixes bug #1026713.
  * Album pages no longer simply stretch when resizing.  Mostly fixes bug #1026704.
  * Add portrait mode detection.
  * More portrait album animations.  Fixes bugs #1036763, #1036771, and #1036773.
  * Eliminate photo edit mode.  Fixes bug #1036268.
  * Don't display empty last pages in portrait albums.  Fixes bug #1040363.
  * Bottom photos in full view in selection mode.  Fixes bug #1036263.
  * Massive restructuring of files.  Fixes bug #1021523.
  * Support more image formats.  Fixes bug #1043974.
  * Add command line args for different form factors.  Fixes bug #1046979.
  * Change grid layout in phone.  First step towards bug #1043972.
  * Allow right click (same as long press).  Fixes bug #1049172.
  * Long press in selection toggles pressed item.  Fixes bug #1049138.
  * Updated timeline for phone form factor.  Fixes bug #1046989.
  * Merging Tim's work to make Gallery use the SDK button widgets.
  * Fixing album overview for phone mode.  Another step toward bug #1043972.
  * Fixes album editor for phone form factor.  Fixes bug #1046992.
  * Fixing media selector in phone modes.  Part of bug #1043972.
  * Finish album viewer in phone form factor.  For bug #1043972.
  * Tweak chrome fade durations.  Fixes bug #1044567.
  * Tweak animation durations for albums.  Fixes bug #1044571.
  * Tweak photo viewer chrome settings.  Fixes bug #1049136.
  * Display titles under open albums in picker popup.  Fixes bug #1007033.
  * Fix right click in album editor.  Fixes bug #1057612.
  * Demo incremental timeline transition.  Big step toward bug #943731.
  * New weekly build
  * Add orientation switch with L/P keys.  Fixes bug #1046983.
  * Remove overview demo transition swipe area.
  * Bump version number in packaging.
  * Merging lp:~bfiller/goodhope/fixup-debian.
  * Bump version so people can test from the PPA.
  * Add loading screen while running initial import.  Fixes bug #912801.
  * Allow setting size of a BGU from the command line.
  * New weekly build.
  * Fix broken photo viewer mouse interaction for bug #1065205.
  * New weekly build
  * Put zoomed photos into a Flickable.  Fixes bug #1034964, partially bug #977919.
  * New weekly build.
  * Clean up command line processing, print usage on invalid arg.  Fixes bug #1053591.
  * Add --help command line argument.  Fixes bug #1053612.
  * Bumping version for a coordinated release with SDK
  * Change package release to quantal
  * Bumping version for a coordinated release with SDK.
  * Merging latest trunk
  * Check for existence of passed pictures dir
  * Fix command line processing so Florian can work on --fullscreen, add some invalid argument checking, add --help command line option.  Fixes bug #1053612, partially fixes bug #1053591. Fixes: https://bugs.launchpad.net/bugs/1053591.
  * Preliminary implementation of the organic event view.
  * Making the organic view a little more organic
  * Launch photos from organic view
  * Initial work on new organic event view. Fixes: https://bugs.launchpad.net/bugs/1074021, https://bugs.launchpad.net/bugs/1074022.
  * Add selection capability to new organic view
  * New weekly build
  * Add selection mode to the new organic view. Fixes: https://bugs.launchpad.net/bugs/1078115.
  * Merging
  * New weekly build.
  * Replace old event overview with new organic view
  * Replace old event overview with new organic view
  * Replaces album grid view with organic view
  * Replaces album grid view with organic view
  * Only load visible images in organic view
  * Expose tray load area padding property
  * Only load visible images in organic view. Fixes: https://bugs.launchpad.net/bugs/1078539.
  * New weekly build
  * New weekly build.
  * Add transitions for photo/event removal/addition
  * Add transitions for photo/event removal/addition. Fixes: https://bugs.launchpad.net/bugs/1074027.
  * Initial stab at UbuntuShapes in the organic view
  * Make UbuntuShaped photos appear, although buggily
  * Merging from trunk
  * Merging again
  * Merging yet again
  * Add UbuntuShape to album pages
  * New weekly build
  * Merging
  * New weekly build.
  * Add padding to prevent flashing when swiping left/right
  * Merging latest trunk
  * Fill tab images to parent
  * Fill tab images to parent. Fixes: https://bugs.launchpad.net/bugs/1085180.
  * Update component sizes & use phone album chrome behavior everywhere
  * Delete outdated comment
  * Update component sizes & use phone album chrome behavior everywhere. Fixes: https://bugs.launchpad.net/bugs/1084205.
  * Fix image loading, broken with a prior commit
  * Fix image loading; broken with a prior commit.
  * Merge trunk
  * Merging Guenter's performance patch
  * Use UbuntuShape in organic views
  * Merge latest trunk
  * Fix up to work with latest trunk
  * Make unseen UbuntuShapes invisible
  * New daily build
  * Use UbuntuShape for photos in overview & albums. Fixes: https://bugs.launchpad.net/bugs/1083820.
  * New daily build.
  * Resize album thumbs, update font color, hide text underneath
  * Merging Tim's work
  * Preserve coding conventions; use Ubuntu font for all EventCard text
  * Resize album thumbs, update font color, hide text underneath. Fixes: https://bugs.launchpad.net/bugs/1086104.
  * New daily build
  * Use cropping in album page photos
  * Properly crop album page photos. Fixes: https://bugs.launchpad.net/bugs/1086829.
  * New daily build.
  * New daily build
  * New daily build.
  * Merging Eric's work
  * Clean up ZoomablePhotoComponent, fix a couple tiny issues with pinching
  * Closes #1036272 Pinch-to-zoom in photo viewer. Fixes: https://bugs.launchpad.net/bugs/1036272.
  * New daily build
  * New daily build.
  * New daily build
  * New daily build.
  * Fix delete/add animation
  * Add a note
  * Fix delete/add animation. Fixes: https://bugs.launchpad.net/bugs/1089074.
  * Don't apply rotation to already-rotated PNGs
  * Don't apply rotation to already-rotated PNGs. Fixes: https://bugs.launchpad.net/bugs/1087645.
  * New daily build
  * New daily build.
  * New daily build
  * New daily build.
  * Add paper texture to photos overview
  * Add paper texture to photos overview
  * Disable albums for demo
  * Disable albums for demo. Fixes: https://bugs.launchpad.net/bugs/1090486.
  * New daily build
  * New daily build.

  [ Eric Gregory ]
  * Sqlite database. Closes #992266
  * Closes #906508 Resources no longer bundled inside executable.
  * Closes #1010601 Persiste album open/closed state and current page
  * Closes #1013835 Removed OTHER_FILES from .pro file
  * Closes #1007037 Album cover images.
  * Closes #987925 Album select mode replaced by context menu
  * Closes #925389 Dash icon now says "Gallery"
  * Closes #1016176 Replaced selection mode on album pages with context menu
  * Closes #972757 Keyboard navigation
  * Closes #1019053 Selection mode now has folded corner and green checkbox instead of opacity change
  * Closes #1018938 Refactored components from Goodhope to Capetown
  * Closes #1018942 Factored out PhotoViewer and PhotoComponent to Capetown.
  * Adding missing sqlite dependency
  * Album title now editable, close button removed. Closes #915657 and #1023006
  * Autoenhance spinner. Closes #1018972
  * Closes #1018943 Portrait/landscape modes for albums
  * Basic portrait mode album enter/exit transitions Closes #1036765 Closes #1036766
  * Closes #1036768 Transition: return to album from right (even) page in portrait mode
  * Closes #1025917 Mouse blocked during certain transition animations
  * Closes #1023876 Arrow keys now work in album after using photo viewer
  * Closes #1042937 Delete album dialog now dismissed by clicking outside dialog
  * Closes #1042897 Opening photo in album view's right page no longer screws up page order
  * Closes #1026713 Photos no longer openable from event timeline
  * Fixes #1000520 Transitions for removing photos from an album spread
  * Closes #1020361 Database auto-backup
  * Closes #1032287 Add photos view fades out photos that are already in album
  * Prep work for Qt5
  * Qt5 branch.
  * Closes #1056308 Photo can be removed from album via photo viewer if launched from an album
  * Updating branch from master
  * Removing local ubuntu components copy, small bugfixes
  * Qt5 port. Closes #1018951 Closes #1000520
  * Debian control file updated for Qt5
  * Closes #912781 Suppress Exiv2 warnings
  * Closes #1004122 Allow empty albums
  * Qt5 pre-release path fix
  * Second attempt at fixing package for qt5
  * Removing obsolete version #, fixing build depends
  * Closes #1036259 Updated delete/remove dialogs
  * Closes #1062639 Fixes a couple startup warnings
  * Closes #1044569 Don't bounce at last photo
  * Updates for Qt5 API changes
  * Fixed opacity regression in album add view
  * Closes #1065205 Fixes keyboard nav in photo viewer
  * Optional startup timer for debugging purposes
  * Closes #922908 No longer a black screen when switching from event view to photo view
  * Fixes #922908 Issue where user could click during transition
  * QML/JS startup optimizations
  * Closes #1068361 Album page remembered after Gallery restart
  * Changes from code review
  * Closes #1068361 Album page remembered after gallery restart.
  * Closes #1067479 Store metadata in DB
  * Merging in ch-ch-ch-changes
  * Changes from code review
  * Modifications to DB startup scan
  * Merging in changes
  * Modifications from code review
  * Updates from code review, bugfix for filesize
  * Changes from code review
  * Merging in changes
  * Closes #1067479 Store metadata in DB. Fixes: https://bugs.launchpad.net/bugs/1067479.
  * Fixes #1073162 Album support for BGU sizing
  * BGU further changes from code review
  * Merging in changes
  * Changes from final code review
  * Closes #1083289 Switch to SDK gu sizing
  * Closes #1073162 BGU sizing on album views, album transitions, and icons. Fixes: https://bugs.launchpad.net/bugs/1073162.
  * Change from code review
  * Merged in changes, added import statements, renamed Tab to GalleryTab
  * Changes from code review: removed unecessary line in .pro file
  * Closes #1083289 Use GRID_UNIT_PX instead of --bgu-size. Fixes: https://bugs.launchpad.net/bugs/1083289.
  * Closes #1081272 Load flag and smarter loading of media sources
  * Load flag, delayed load of photos. Fixes: https://bugs.launchpad.net/bugs/1081272.
  * Fixes lp:1083358 Prevent clicking while album previews are animating
  * Merging in changes
  * Prevents clicking while album previews are opening/closing. Fixes: https://bugs.launchpad.net/bugs/1083358.
  * Closes #1036272 Pinch-to-zoom in photo viewer
  * Fixes #1089093 Launch photos from Photo view
  * Fix for slight jump when photo transition starts
  * Fixes #1089093 Launch photos from Photo view. Fixes: https://bugs.launchpad.net/bugs/1089093.
  * Fixes #1086133 New album art (initial commit)
  * Merged changes, added add to album button
  * Small fixes, added opacity rectangle behind album cover text
  * Merging changes
  * Tweaks to animation and removed opacity rect in preview
  * Fixes #1086133 New album art. Fixes: https://bugs.launchpad.net/bugs/1086133.
  * Fixes #1089515 Removed ubuntu shape from album
  * Fixes #1089515 Removed ubuntu shape from album. Fixes: https://bugs.launchpad.net/bugs/1089515.
  * Fixes lp:1090101 Flashing in album view
  * Merging in changes
  * Added extra comment
  * Fixes lp:973860 Flashing in album view. Fixes: https://bugs.launchpad.net/bugs/973860.

  [ Lucas Beeler ]
  * Implements lp #899260 ("respect EXIF orientation"). Both the photo viewing and thumbnail generation logic now properly handle photos with EXIF orientation metadata.
  * Merge commit.
  * Allows adding photos from one album to another; closes lp #899289.
  * Allows the creation of new albums from the photo viewer when the "+ new" button is clicked in the popup album picker. Implements lp #899273.
  * Introduces a flurry of new QML components that help us match the wireframe mockups in the spec exactly. These components also provide a foundation for future UI development and theming. Closes lp #901893.
  * Enables double-tap to zoom/unzoom and panning while zoomed. Closes lp #915652 and #915650.
  * Adds selection mode border stroke. Closes lp #933819.
  * Adds basic QML menu components. Closes lp #915669.
  * Merge commit.
  * Implements more menu functionality, including named separators and the ability to attach icons to menu items.
  * Implements improved menu components and dummy menus throughout the application. Closes lp #915669.
  * Merge commit.
  * Adds item pressed animation and user interface event dispatch functionality to menus. Closes lp #949543.
  * Merge Commit.
  * Makes photo viewer background black.
  * Merge Commit.
  * Fixes menu positioning glitches in the photo viewer. Closes lp #972920.
  * Merge commit.
  * Restyles the album picker popup and integrates it with the rest of the popup system. Closes lp #949539, #925407.
  * Adds basic support for popup dialogs. Implements the first of several planned popup dialog components, the PopupActionCancelDialog.
  * Throws the "Add to New Album" button on the popup album picker upon its funeral pyre. Closes lp #987921.
  * Merge commit.
  * Adds a new class of popup confirmation dialog that generalizes the notion of "Do Something/Do Something Else/Cancel".
  * The navigation bar now auto-hides when the user scrolls in the event view. This closes lp #899268.
  * Increases the top gutter of the event timeline view. Closes lp #1003675
  * Implements popup album picker selection transition (lp: #925408) and changes the album picker popover layout to have two columns (lp: #1003706).
  * Implements Pinterest-like hide-on-scroll behavior for chrome in album view (lp: #1003701).
  * Fixes an issue in which the top of the event timeline transition appears clipped when the navbar chrome is scrolled out. Closes lp: #1004147.
  * Merge commit.
  * Implements scroll-on-hide behavior for the navigation bar chrome in the event timeline view. Closes lp: #1003703.
  * Implements one-touch auto-enhance; closes #901885.
  * Fixes a bug in the auto-enhance algorithm. Closes lp #1019082.
  * Implements dummy menus for toolbar icons in photo overview selection mode. Closes lp# 956454.
  * The photo viewer now properly animates scrolling between photos when advancing forward/backward through the photo list using the glass arrows. Closes lp #912585.
  * Merge commit.
  * Temporarily removes pinch and splay zoom support (will be re-instated once a decision has been made as to what touch input API -- uTouch/OIF or QML 2.x built-in -- should be used). Closes lp #1033570.
  * Rewrites the crop tool to enable seamless pan & zoom inside the crop interaction. Closes #1018946.
  * This patch finally takes issue #1018946 down...like a clown.
  * Merge commit.
  * Adds a workaround for a critical image loading bug (see lp #1065208).
  * Corrects the way the CropOverlay component is set up by the CropInteractor when re-cropping a previously cropped photo. Closes #1053574.
  * Spins the event loop during start-up file processing to ensure the UI remains responsive and displays the loading screen. Closes lp #1068880.
  * Continues work on lp #1068880, spins the event loop everywhere in the startup code in which each photo file in a user's library is (potentially) touched.
  * Merge Commit.
  * Prevents the display flashing to black briefly when applying editing operations. Closes lp:1037781.
  * Merge commit.
  * Updated revision of this branch that fixes problems pointed out in previous code review.
  * Prevents the display flashing to black briefly when applying editing operations. Closes lp:1037781. Fixes: https://bugs.launchpad.net/bugs/1037781.
  * Monitors the ~/Pictures directory for the addition of new files. When new files are added to ~/Pictures, automatically imports the new files as appropriate. Simulates inter-application content picking for the purposes of the January demo.
  * Merge commit.
  * Uses a fade-in transition to prevent an unsightly flash effect when entering the crop tool.
  * Merge commit.
  * Continutes work on file monitoring. This rev is believed to correct a re-entrancy issue present in the previous rev.
  * Continues work on file monitoring. Fixes a re-entrancy condition that could lead to double-import.
  * Continues work on file monitoring.
  * Continues work on file monitoring. This revision addresses all issues mentioned in the initial code review.	
  * Completes work file monitoring.
  * Merge commit.
  * Merge commit.
  * Continues work on reducing flashing when entering the crop tool.
  * Merge commit.
  * Continues work on reducing flashing when entering the crop tool.
  * Completely eliminates all unsightly flashing behavior when entering and leaving the crop tool.
  * Finalizes work on crop flash removal.
  * Merge commit.
  * Removes glass navigation arrow in the photo viewer as these are undesireable for the upcoming demo.
  * Removes glass navigation arrow in the photo viewer as these are undesireable for the upcoming demo. Fixes: https://bugs.launchpad.net/bugs/1084648.
  * Fixes a problem in the image loader.
  * Fixes a problem in the image loader.
  * Contrains maxium image size to prevent texture memory exhaustion on the target device.
  * Constrains loaded image size to prevent texture memory exhaustion on the phone target device. Fixes: https://bugs.launchpad.net/bugs/1084631.
  * Merges recent changes in trunk into this branch.
  * Fixes an annoying image jump problem that occured when zooming and panning a previously zoomed and panned photo.
  * Stabilizes sorting of items with the same exposure date/time in the MediaCollection.
  * Improves upon previous work stabilizing the sorting of media objects.
  * Replaces an if/else construct with the ternary operator.
  * Stabilizes sorting of items with the same exposure date/time in the MediaCollection. Fixes: https://bugs.launchpad.net/bugs/1025485, https://bugs.launchpad.net/bugs/1066195.
  * Eliminates a visual stutter when opening the PhotoViewer from the EventViewer.
  * Adds a comment to keep overzealous refactorers from breaking the PhotoViewer visual stutter fix.
  * Eliminates a visual stutter when opening the PhotoViewer from the EventViewer. Fixes: https://bugs.launchpad.net/bugs/1086558.
  * Uses the Ubuntu Shape when rendering album previews.
  * Simplifies previous work injecting the Ubuntu Shape into the album overview.
  * Incorporates results of second code review.
  * Uses the Ubuntu Shape when rendering album previews. Fixes: https://bugs.launchpad.net/bugs/1087015.
  * Improves performance of PhotoViewer scrolling.
  * Fixes an issue in which the preview image would remain visible during zooming.
  * Fixes bugs noted by Charles in his previous review.
  * Takes Charles's latest change recommendations into effect.
  * Improves performance of PhotoViewer scrolling. Fixes: https://bugs.launchpad.net/bugs/1084642.
  * Makes two visual changes requested by Jouni: changes event card font weight to Font.Normal and decreases event card opacity.
  * Corrects the behavior of the photo viewer exit crossfade.
  * Incorporates requested changes from Charles Lindsay's first code review.
  * Makes two visual changes requested by Jouni: changes event card font weight to Font.Normal and decreases event card opacity. Fixes: https://bugs.launchpad.net/bugs/1089540, https://bugs.launchpad.net/bugs/1089542.
  * Incorporates changes requested in Charles Lindsay's first review.
  * Incorporates changes requested in Charles Lindsay's second code review.
  * Corrects the behavior of the photo viewer exit crossfade. Fixes: https://bugs.launchpad.net/bugs/1089175.
  * Fixes an animation stutter that occurs when zooming into a photo on the phone target device.
  * Incorporates changes requested by Charles Lindsay's first code review.
  * Fixes an animation stutter that occurs when zooming into a photo on the phone target device. Fixes: https://bugs.launchpad.net/bugs/1088694.
  * Corrects an issue where a photo's crop rectangle could become incorrectly oriented following a rotation operation.
  * Adds a comment explaining how crop rectangle rotation code could be simplified.
  * Corrects an issue where a photo's crop rectangle could become incorrectly oriented following a rotation operation. Fixes: https://bugs.launchpad.net/bugs/1089697.

  [ Clint Rogers ]
  * Fixes bug #1036382 - re-anchors the navigation buttons.
  * Keeps the album media selectors' and overview's Y scroll positions in sync; closes bug #1033499.
  * Reduces flickDeceleration in checkerboards to something more sensible; fixes Bug #983200
  * Per Calum's demo, adds a bit of negative space between scrolled images in the Photo Viewer, fixes bug #922238.
  * This corrects Bug #1068892 by using the values read from the DB directly, instead of calling into the set_*() methods.
  * This closes Bug #1068892 by using the values read from the DB directly, instead of calling into the set_*() methods.
  * Forces high-quality resaving of .JPEG files, closes bug #1076167. 
  * Forces high-quality (90) resaving of .JPEG files, closes bug #1076167.
  * Forces high-quality resaving of .JPEG files (using a quality argument of 90), closes bug #1076167.
  * This skips re-encoding of an original or enhanced JPEG file if it has only been rotated, but not cropped; fixes bug #1076166.
  * This skips re-encoding of an original or enhanced JPEG file if it has only been rotated, but not cropped; fixes bug #1076166.
  * This skips re-encoding of an original or enhanced JPEG file if it has only been rotated, but not cropped; fixes bug #1076166.  Now if only bzr will cooperate this time...
  * This skips re-encoding of an original or enhanced JPEG file if it has only been rotated, but not cropped; fixes bug #1076166.
  * Desperate attempt to make bzr play nice.
  * This skips re-encoding of an original or enhanced JPEG file if it has only been rotated, but not cropped; fixes bug #1076166.
  * This skips re-encoding of an original or enhanced JPEG file if it has only been rotated, but not cropped; fixes bug #1076166.
  * This attempts to save some cycles and IO in create_cached_enhanced by reusing an image, thereby skipping out on a JPEG decode.
  * This attempts to save some cycles and IO in create_cached_enhanced by reusing an image, thereby skipping out on a JPEG decode.
  * This skips re-encoding of an original or enhanced JPEG file if it has only been rotated, but not cropped; fixes bug #1076166.
  * This skips re-encoding of an original or enhanced JPEG file if it has only been rotated, but not cropped; fixes bug #1076166.
  * This attempts to save some cycles and IO in create_cached_enhanced by reusing an image, thereby skipping out on an image decode.
  * This skips re-encoding of an original or enhanced JPEG file if it has only been rotated, but not cropped; fixes bug #1076166. Fixes: https://bugs.launchpad.net/bugs/1076166.
  * Rough stab at new event cards; partially closes bug #1074024.  (Please note that more work will be required once the rounded shadowed rectangle widget is available from the SDK.)
  * This fixes the problem where 'Add To Album' would appear incorrectly truncated; fixes bug #1078511.
  * Doing this so bzr will stop behaving like a spoiled toddler and let me do my work.
  * * Merge changes from master.
  * Rough stab at new event cards; partially closes bug #1074024. (Please note that more work will be required once the rounded shadowed rectangle widget is available from the SDK.)
  * Rough stab at new event cards; partially closes bug #1074024. (Please note that more work will be required once the rounded shadowed rectangle widget is available from the SDK.)
  * This fixes the problem where 'Add To Album' would appear incorrectly truncated; fixes bug #1078511. Fixes: https://bugs.launchpad.net/bugs/1078511.
  * Prevents dragging away from a menu item from activating the menu item AND dragging what was displayed underneath it at the same time; fixes bug #1078546.
  * Rough stab at new event cards; partially closes bug #1074024. (Please note that more work will be required once the rounded shadowed rectangle widget is available from the SDK.). Fixes: https://bugs.launchpad.net/bugs/1074024.
  * Prevents dragging away from a menu item from activating the menu item AND dragging what was displayed underneath it at the same time; fixes bug #1078546. Fixes: https://bugs.launchpad.net/bugs/1078546.
  * Adds the ability to spawn an external command from inside QML; partially fixes Bug #1043966.
  * Desperate attempt to placate BZR.
  * Adds the capability of sharing an image with another program on the target devices; _partially_ addresses bug #1043966.
  * Adds support for content sharing via launching an external command or program with the currently-selected image(s) as (an) argument(s); partially fixes  bug #1043966.
  * implemented changes #1 and #3 from charles' review on 2012-11-25
  * item #2 from charles' list - alternate call form of startDetached()
  * Adds support for content sharing via launching an external command or program with the currently-selected image(s) as (an) argument(s); partially fixes bug #1043966.
  * Merge commit.
  * Adds support for content sharing via launching an external command or program with the currently-selected image(s) as (an) argument(s); partially fixes bug #1043966.
  * Adds support for content sharing via launching an external command or program with the currently-selected image(s) as (an) argument(s); partially fixes bug #1043966.
  * Setting as a rollback point in case merging ruins everything again.
  * Merge commit.
  * Adds support for content sharing via launching an external command or program with the currently-selected image(s) as (an) argument(s); partially fixes bug #1043966.
  * Adds support for content sharing via launching an external command or program with the currently-selected image(s) as (an) argument(s); partially fixes bug #1043966.
  * Adds support for content sharing via launching an external command or program with the currently-selected image(s) as (an) argument(s); partially fixes bug #1043966.
  * Adds support for content sharing via launching an external command or program with the currently-selected image(s) as (an) argument(s); partially fixes bug #1043966.
  * Adds support for content sharing via launching an external command or program with the currently-selected image(s) as (an) argument(s); partially fixes bug #1043966.
  * Removes crash by preventing isReady from checking whether a non-existant image is loaded; closes bug #1083958.
  * Removes crash by preventing viewerWrapper.isReady from checking whether a non-existant image is loaded; closes bug #1083958. Fixes: https://bugs.launchpad.net/bugs/1083958.
  * Merge commit.
  * Adds some extra documentation to the code regarding the empty-model check added by commit 416.
  * Makes swiping up from the bottom of the photo viewer screen 'feel' more like the user would expect it to; closes bug #1084646.
  * Adds some extra documentation to the code regarding the empty-model check added by commit 416. Fixes: https://bugs.launchpad.net/bugs/1083958.
  * Merge commit.
  * This fixes the type error on startup (model may not point anywhere useful yet if isReady is accessed _very_ close to the beginning of runtime). Fixes bug #1084795.
  * This fixes the type error on startup (model may not point anywhere useful yet if isReady is accessed _very_ close to the beginning of runtime). Fixes bug #1084795.
  * Makes swiping up from the bottom of the photo viewer screen 'feel' more like the user would expect it to; closes bug #1084646.
  * Merge commit.
  * This fixes the type error on startup (model may not point anywhere useful yet and show up as 'undefined' if isReady is accessed _very_ close to the beginning of runtime). Fixes bug #1084795.
  * This fixes the type error on startup (model may not point anywhere useful yet if isReady is accessed _very_ close to the beginning of runtime). Fixes bug #1084795. Fixes: https://bugs.launchpad.net/bugs/1084795.
  * Makes swiping up from the bottom of the photo viewer screen 'feel' more like the user would expect it to; closes bug #1084646. Fixes: https://bugs.launchpad.net/bugs/1084646.
  * Causes the photo viewer to fade away cleanly when backed out of; fixes #1074026.
  * Merge commit.
  * Causes the photo viewer to fade away cleanly when backed out of; fixes #1074026.
  * Merge commit.
  * Prevents us from accidentally seeing a newly-edited photo as a duplicate of its unedited self; fixes bug #1084836.
  * Causes the photo viewer to fade away cleanly when backed out of; fixes #1074026.
  * Merge commit.
  * Prevents us from accidentally seeing a newly-edited photo as a duplicate of its unedited self; fixes bug #1084836.
  * Makes the font typeface, size and positioning mimic Events_design_Grid.png (as it appeared on 3 December 2012 at 04:00:26 PM PST); fixes bug #1086114.
  * Prevents us from accidentally seeing a newly-edited photo as a duplicate of its unedited self; fixes bug #1084836.
  * Makes the font typeface, size and positioning mimic Events_design_Grid.png (as it appeared on 3 December 2012 at 04:00:26 PM PST); fixes bug #1086114.
  * Causes the photo viewer to fade away cleanly when backed out of; fixes #1074026. Fixes: https://bugs.launchpad.net/bugs/1074026.
  * Merge commit.
  * Makes the font typeface, size and positioning mimic Events_design_Grid.png (as it appeared on 3 December 2012 at 04:00:26 PM PST); fixes bug #1086114. Fixes: https://bugs.launchpad.net/bugs/1086114.
  * Merge commit.
  * Prevents us from accidentally seeing a newly-edited photo as a duplicate of its unedited self; fixes bug #1084836.
  * merge commit
  * Prevents us from accidentally seeing a newly-edited photo as a duplicate of its unedited self; fixes bug #1084836.
  * Prevents us from accidentally seeing a newly-edited photo as a duplicate of its unedited self; fixes bug #1084836.
  * Prevents us from accidentally seeing a newly-edited photo as a duplicate of its unedited self; fixes bug #1084836. Fixes: https://bugs.launchpad.net/bugs/1084836.
  * merge commit
  * Prevents galleryPhotoViewer.photo from getting out of sync with the current index after deleting an image from within the photo viewer; fixes bug #1086311.
  * Prevents 'photo' from getting out of sync with the current index after deleting an image from within the photo viewer; fixes bug #1086311. Fixes: https://bugs.launchpad.net/bugs/1086311.
  * Makes the album page-flipping mechanism remember the last direction the user dragged their finger when swiping and takes that into account when deciding whether to flip the page or not; fixes bug #1044572.
  * Merge commit.
  * Makes the album page-flipping mechanism remember the last direction the user dragged their finger when swiping and takes that into account when deciding whether to flip the page or not; fixes bug #1044572.
  * Slightly increases the time allotted before the chrome slides in (to prevent it from appearing if the user double-taps slowly); closes bug #1087066.
  * Slightly increases the time allotted before the chrome slides in (to prevent it from appearing if the user double-taps slowly); closes bug #1087066.
  * Merge commit.
  * Slightly increases the time allotted before the chrome slides in (to prevent it from appearing if the user double-taps slowly); closes bug #1087066. Fixes: https://bugs.launchpad.net/bugs/1087066.
  * Makes the album page-flipping mechanism remember the last direction the user dragged their finger when swiping and takes that into account when deciding whether to flip the page or not; fixes bug #1044572. Fixes: https://bugs.launchpad.net/bugs/1044572.
  * Prevent ourselves from trying to get date/time/orientation data from a null metadata object; fixes bug #1086560.
  * Prevent ourselves from trying to get date/time/orientation data from a null metadata object; fixes bug #1086560.
  * merge commit.
  * Prevent ourselves from trying to get date/time/orientation data from a null metadata object; fixes bug #1086560.
  * Merge commit.
  * Prevent ourselves from trying to get date/time/orientation data from a null metadata object; fixes bug #1086560. Fixes: https://bugs.launchpad.net/bugs/1086560.
  * Causes the crop tool to have the correct background when transitioned into or out of; closes bug #1087648.
  * Causes the crop tool to have the correct background when transitioned into or out of; closes bug #1087648.
  * Causes the crop tool to have the correct background when transitioned into or out of; closes bug #1087648. Fixes: https://bugs.launchpad.net/bugs/1087648.
  * Allows the capability to create albums from the overview's selection mode. Fixes bug #1088664.
  * merge commit.
  * Copies the height value from Toolbar.qml here, preventing the error.  Fixes bug #1087515.
  * Copies the height value from Toolbar.qml here, preventing the error. Fixes bug #1087515. Fixes: https://bugs.launchpad.net/bugs/1087515.
  * * Merge commit.
  * Allows the capability to create albums from the overview's selection mode. Fixes bug #1088664.
  * Allows the capability to create albums from the overview's selection mode. Fixes bug #1088664.
  * Allows the capability to create albums from the overview's selection mode. Fixes bug #1088664. Fixes: https://bugs.launchpad.net/bugs/1088664.
  * Disables 'add' and 'delete' buttons when there's nothing selected; fixes bug #973824.
  * Merge commit.
  * Disables 'add' and 'delete' buttons when there's nothing selected; fixes bug #973824.
  * merge commit
  * Checks whether 'index' is defined yet before trying to use it; fixes bug #1090101.
  * Disables 'add' and 'delete' buttons when there's nothing selected; fixes bug #973824. Fixes: https://bugs.launchpad.net/bugs/973824.
  * Checks whether 'index' is defined yet before trying to use it; fixes bug #1090101. Fixes: https://bugs.launchpad.net/bugs/1090101.

  [ adam@yorba.org ]
  * New PPA build.
  * New PPA builds for Oneiric and Precise.
  * New weekly build.
  * New weekly build.
  * New weekly build.
  * New weekly build.
  * New weekly build.
  * New weekly build.
  * New weekly build, remembering to incremement the version number.  :)
  * New weekly build.
  * New weekly build.
  * New weekly build.
  * New weekly build.
  * New weekly build.
  * New weekly build.
  * New weekly build.

  [ Zoltán Balogh ]
  * 
  * 
  * :
  * 

  [ Adam Dingle ]
  * Initial commit from Yorba.
  * 1. Implemented #899263 (use Qt resource system to bind QML to executable).
  * Added Debian packaging.
  * Use a 3-digit version number (0.0.0).
  * Disable unused parameter warnings; treat other warnings as errors.
  * First PPA build.
  * Fixed section capitalization in Debian control file.
  * Fixed #901510 (pushing either tab switches views).
  * Added missing QML files to project file.
  * New PPA build.
  * New PPA build.
  * Updated Debian packaging with new build dependencies.
  * Create the thumbnail directory automatically.  Fixes #899349.
  * New PPA build.
  * merge
  * New PPA build.
  * New build for Oneiric.
  * Desktop prototype release.
  * New PPA builds for Oneiric and Precise.
  * New PPA builds for Oneiric and Precise.
  * New PPA builds for Oneiric and Precise.
  * New PPA builds for Oneiric and Precise.
  * Added dependency on libutouch-qml.
  * New PPA builds for Oneiric and Precise.
  * New PPA builds for Oneiric and Precise.
  * New PPA builds for Oneiric and Precise.
  * New PPA builds for Oneiric and Precise.
  * New PPA builds for Oneiric and Precise.
  * New PPA builds for Oneiric and Precise.
  * New PPA builds for Oneiric and Precise.
  * New PPA packages for Oneiric and Precise.
  * New PPA builds for Oneiric and Precise.
  * Added a pointUnits function to GalleryApplication to let us apply a temporary fudge factor
  * New PPA builds for Oneiric and Precise.
  * New PPA builds for Oneiric and Precise.

  [ Lucas Stephen Beeler ]
  * Changes the gallery UI to conform to the newest revision of the spec issued this morning (12/2/2011). Closes Launchpad bugs 899355 and 899353.
  * Changes the order of the "Photos" and "Albums" tabs in the checkerboard view. Closes lp: 899346.
  * Adds translucent glass arrows that appear and disappear in a context-sensitive way to the photo viewer. Implements lp 899265.
  * Merged changes from remote host.
  * Adds the PhotoMetadata class, a QObject wrapper around the exiv2 library to enable access to EXIF, IPTC, and XMP metadata stored in photo files. Note that this introduces a dependency on libexiv2.
  * Merge commit.
  * Configures the maximum source size for images in the photo viewer to be 1280 pixels. This conserves TRAM while preserving image quality.
  * Implements lp #899277 "add to existing album from photo overview"
  * Improves album viewer chrome; implements lp #904546.
  * Fixes photo sizing and orientation problems introduced by my previous zoom commit. Closes lp #921883.
  * Implements basic pinch-to-zoom functionality. Closes lp #901882.

  [ Paul Sladen ]
  * .desktop file and icon for Dash: Closes bug #904465

 -- Cédric Bellegarde <cedric.bellegarde@adishatz.org>  Mon, 19 May 2025 23:11:24 +0200

